/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.comunemodena;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * The primary key class for the capitoloarticolocc database table.
 * 
 */
@Embeddable
public class CapitoloArticoloCCPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column(nullable=false)
	private Long idContoContrattuale;
	
	/*@ManyToOne
	@JoinColumn(name="idContoContrattuale", nullable=false)
	private ContoContrattuale contoContrattuale;*/
	
	@Column(nullable=false)
	private int capitolo;

	@Column(nullable=false)
	private int articolo;

    public CapitoloArticoloCCPK() {
    }
	public Long getIdContoContrattuale() {
		return this.idContoContrattuale;
	}
	public void setIdContoContrattuale(Long idContoContrattuale) {
		this.idContoContrattuale = idContoContrattuale;
	}
    
	public int getCapitolo() {
		return this.capitolo;
	}
	public void setCapitolo(int capitolo) {
		this.capitolo = capitolo;
	}
	public int getArticolo() {
		return this.articolo;
	}
	public void setArticolo(int articolo) {
		this.articolo = articolo;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof CapitoloArticoloCCPK)) {
			return false;
		}
		CapitoloArticoloCCPK castOther = (CapitoloArticoloCCPK)other;
		return 
			(this.idContoContrattuale.equals(castOther.idContoContrattuale))
			&& (this.capitolo == castOther.capitolo)
			&& (this.articolo == castOther.articolo);

    }
    
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.idContoContrattuale.hashCode();
		hash = hash * prime + this.capitolo;
		hash = hash * prime + this.articolo;
		
		return hash;
    }
}