/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.comunemodena;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


/**
 * The persistent class for the centridicostotree database table.
 * 
 */
@Entity
@Table(name="CentriDiCostoTree")
public class CentroDiCostoTree implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(unique=true, nullable=false)
	private int id;

    @Temporal( TemporalType.DATE)
	@Column(nullable=false)
	private Date dataFineValidita;

    @Temporal( TemporalType.DATE)
	@Column(nullable=false)
	private Date dataInizioValidita;

	@Column(nullable=false)
	private int idCentroDiCosto;

	@Column
	private int idPadre;

	@Column(nullable=false)
	private int livello;

	@Column(nullable=false, length=1)
	private String nodoFoglia;

	@Column(nullable=false)
	private int ordine;

    public CentroDiCostoTree() {
    }

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Date getDataFineValidita() {
		return this.dataFineValidita;
	}

	public void setDataFineValidita(Date dataFineValidita) {
		this.dataFineValidita = dataFineValidita;
	}

	public Date getDataInizioValidita() {
		return this.dataInizioValidita;
	}

	public void setDataInizioValidita(Date dataInizioValidita) {
		this.dataInizioValidita = dataInizioValidita;
	}

	public int getIdCentroDiCosto() {
		return this.idCentroDiCosto;
	}

	public void setIdCentroDiCosto(int idCentroDiCosto) {
		this.idCentroDiCosto = idCentroDiCosto;
	}

	public int getIdPadre() {
		return this.idPadre;
	}

	public void setIdPadre(int idPadre) {
		this.idPadre = idPadre;
	}

	public int getLivello() {
		return this.livello;
	}

	public void setLivello(int livello) {
		this.livello = livello;
	}

	public String getNodoFoglia() {
		return this.nodoFoglia;
	}

	public void setNodoFoglia(String nodoFoglia) {
		this.nodoFoglia = nodoFoglia;
	}

	public int getOrdine() {
		return this.ordine;
	}

	public void setOrdine(int ordine) {
		this.ordine = ordine;
	}

}