/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.comunemodena;

import it.fe.core.par.invoice.AdditionalData;
import it.fe.core.par.invoice.Invoice;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="InvoiceCoMoAdditionalData")
public class InvoiceAdditionalData extends AdditionalData implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Column
	private String tipoFattura;
	@Column
	private Integer codiceSettore;
	@Column
	private Integer codiceDivisione;
	@Column
	private Integer codiceUfficio;
	@Column
	private Date inizioCompetenzaEconomica;
	@Column
	private Date fineCompetenzaEconomica;
	@Column
	private Integer annoEsercizio;
	@ManyToOne
	@JoinColumn(name="invoiceRefId", referencedColumnName="invoiceId")
	private Invoice documentoRef;
	
	public String getTipoFattura() {
		return tipoFattura;
	}
	public void setTipoFattura(String tipoFattura) {
		this.tipoFattura = tipoFattura;
	}
	public Integer getCodiceSettore() {
		return codiceSettore;
	}
	public void setCodiceSettore(Integer codiceSettore) {
		this.codiceSettore = codiceSettore;
	}
	public Integer getCodiceDivisione() {
		return codiceDivisione;
	}
	public void setCodiceDivisione(Integer codiceDivisione) {
		this.codiceDivisione = codiceDivisione;
	}
	public Integer getCodiceUfficio() {
		return codiceUfficio;
	}
	public void setCodiceUfficio(Integer codiceUfficio) {
		this.codiceUfficio = codiceUfficio;
	}
	public Date getInizioCompetenzaEconomica() {
		return inizioCompetenzaEconomica;
	}
	public void setInizioCompetenzaEconomica(Date inizioCompetenzaEconomica) {
		this.inizioCompetenzaEconomica = inizioCompetenzaEconomica;
	}
	public Date getFineCompetenzaEconomica() {
		return fineCompetenzaEconomica;
	}
	public void setFineCompetenzaEconomica(Date fineCompetenzaEconomica) {
		this.fineCompetenzaEconomica = fineCompetenzaEconomica;
	}
	public Integer getAnnoEsercizio() {
		return annoEsercizio;
	}
	public void setAnnoEsercizio(Integer annoEsercizio) {
		this.annoEsercizio = annoEsercizio;
	}
	public void setDocumentoRef(Invoice documentoRef) {
		this.documentoRef = documentoRef;
	}
	public Invoice getDocumentoRef() {
		return documentoRef;
	}

}
