/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;

import javax.persistence.Entity;

@Entity(name="CIA_ABICAB")
public class AbiCab extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_ABICAB";
	
	private String abi;
	private String abi1;
	private String descrizione;
	private String cab;
	private String cab1;
	private String localita;
	private String cap;
	private String ubicazione;
	private String indirizzo;
	private String agenzia;
	private String descrizione_agenzia;
	private String filler;
	
//	public AbiCab() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the abi
	 */
	public String getAbi() {
		return abi;
	}
	/**
	 * @param abi the abi to set
	 */
	public void setAbi(String abi) {
		this.abi = abi;
	}
	/**
	 * @return the abi1
	 */
	public String getAbi1() {
		return abi1;
	}
	/**
	 * @param abi1 the abi1 to set
	 */
	public void setAbi1(String abi1) {
		this.abi1 = abi1;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the cab
	 */
	public String getCab() {
		return cab;
	}
	/**
	 * @param cab the cab to set
	 */
	public void setCab(String cab) {
		this.cab = cab;
	}
	/**
	 * @return the cab1
	 */
	public String getCab1() {
		return cab1;
	}
	/**
	 * @param cab1 the cab1 to set
	 */
	public void setCab1(String cab1) {
		this.cab1 = cab1;
	}
	/**
	 * @return the localita
	 */
	public String getLocalita() {
		return localita;
	}
	/**
	 * @param localita the localita to set
	 */
	public void setLocalita(String localita) {
		this.localita = localita;
	}
	/**
	 * @return the cap
	 */
	public String getCap() {
		return cap;
	}
	/**
	 * @param cap the cap to set
	 */
	public void setCap(String cap) {
		this.cap = cap;
	}
	/**
	 * @return the ubicazione
	 */
	public String getUbicazione() {
		return ubicazione;
	}
	/**
	 * @param ubicazione the ubicazione to set
	 */
	public void setUbicazione(String ubicazione) {
		this.ubicazione = ubicazione;
	}
	/**
	 * @return the indirizzo
	 */
	public String getIndirizzo() {
		return indirizzo;
	}
	/**
	 * @param indirizzo the indirizzo to set
	 */
	public void setIndirizzo(String indirizzo) {
		this.indirizzo = indirizzo;
	}
	/**
	 * @return the agenzia
	 */
	public String getAgenzia() {
		return agenzia;
	}
	/**
	 * @param agenzia the agenzia to set
	 */
	public void setAgenzia(String agenzia) {
		this.agenzia = agenzia;
	}
	/**
	 * @return the descrizione_agenzia
	 */
	public String getDescrizione_agenzia() {
		return descrizione_agenzia;
	}
	/**
	 * @param descrizioneAgenzia the descrizione_agenzia to set
	 */
	public void setDescrizione_agenzia(String descrizioneAgenzia) {
		descrizione_agenzia = descrizioneAgenzia;
	}
	/**
	 * @return the filler
	 */
	public String getFiller() {
		return filler;
	}
	/**
	 * @param filler the filler to set
	 */
	public void setFiller(String filler) {
		this.filler = filler;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((abi == null) ? 0 : abi.hashCode());
		result = prime * result + ((abi1 == null) ? 0 : abi1.hashCode());
		result = prime * result + ((agenzia == null) ? 0 : agenzia.hashCode());
		result = prime * result + ((cab == null) ? 0 : cab.hashCode());
		result = prime * result + ((cab1 == null) ? 0 : cab1.hashCode());
		result = prime * result + ((cap == null) ? 0 : cap.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime
				* result
				+ ((descrizione_agenzia == null) ? 0 : descrizione_agenzia
						.hashCode());
		result = prime * result + ((filler == null) ? 0 : filler.hashCode());
		result = prime * result
				+ ((indirizzo == null) ? 0 : indirizzo.hashCode());
		result = prime * result
				+ ((localita == null) ? 0 : localita.hashCode());
		result = prime * result
				+ ((ubicazione == null) ? 0 : ubicazione.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof AbiCab))
			return false;
		AbiCab other = (AbiCab) obj;
		if (abi == null) {
			if (other.abi != null)
				return false;
		} else if (!abi.equals(other.abi))
			return false;
		if (abi1 == null) {
			if (other.abi1 != null)
				return false;
		} else if (!abi1.equals(other.abi1))
			return false;
		if (agenzia == null) {
			if (other.agenzia != null)
				return false;
		} else if (!agenzia.equals(other.agenzia))
			return false;
		if (cab == null) {
			if (other.cab != null)
				return false;
		} else if (!cab.equals(other.cab))
			return false;
		if (cab1 == null) {
			if (other.cab1 != null)
				return false;
		} else if (!cab1.equals(other.cab1))
			return false;
		if (cap == null) {
			if (other.cap != null)
				return false;
		} else if (!cap.equals(other.cap))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (descrizione_agenzia == null) {
			if (other.descrizione_agenzia != null)
				return false;
		} else if (!descrizione_agenzia.equals(other.descrizione_agenzia))
			return false;
		if (filler == null) {
			if (other.filler != null)
				return false;
		} else if (!filler.equals(other.filler))
			return false;
		if (indirizzo == null) {
			if (other.indirizzo != null)
				return false;
		} else if (!indirizzo.equals(other.indirizzo))
			return false;
		if (localita == null) {
			if (other.localita != null)
				return false;
		} else if (!localita.equals(other.localita))
			return false;
		if (ubicazione == null) {
			if (other.ubicazione != null)
				return false;
		} else if (!ubicazione.equals(other.ubicazione))
			return false;
		return true;
	}
	
	
}
