/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_ANAGRAFICO")
public class Anagrafico extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_ANAGRAFICO";
	
	private String codice;
	private String tipo;
	private String no_iva;
	private String occasionale;
	private BigDecimal italiana_estera;
	private String codice_precedente;
	private String codice_unita_organizzativa;
	private String nome_unita_organizzativa;
	private String codice_dipendente;
	private String nome;
	private String cognome;
	private String indicatore_entita;
	private String anno;
	private String ragione_sociale;
	private String codice_fiscale;
	private String partita_iva;
	private String tipo_iva;
	private String ritenuta_acconto;
	private String codice_anagrafico_correlato;
	private String causale_collegamento;
	private String settore_merceologico;
	private String causale_fine_rapporto;
	private String legale_rappresentante;
	private String note;
	@Temporal(TemporalType.DATE)
	private Date data_fine_rapporto;
	@Temporal(TemporalType.DATE)
	private Date data_canc;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date data_antimafia;
	private String tipologia;
	private String tipo_entita_giuridica;
	private String tipo_entita_fisica;
	private String ruolo;
	@Temporal(TemporalType.DATE)
	private Date data_nascita;
	private String luogo_nascita;
	private String cittadinanza;
	private double aliquota_fiscale;
	private String ente_appartenenza;
	private String codice_tariffa_auto;
	private String conto_numerario_credito;
	private String conto_numerario_debito;
	private String livello;
	private String classe;
	private String qualifica;
	private String sesso;
	private String codice_nazione;
	private String esportatore_abituale;
	private String codice_iso;
	private String fatturazione_differita;
	private String codice_tipologia_ditta;
	private String numero_cciaa;
	private String codice_fiscale_caf;
	private String num_iscrizione_albo;
	private String denominazione_caf;
	private String codice_fiscale_estero;
	private String sede_inail;
	private String codice_inps;
	private String codice_altra_ass_previd;
	private String utcr;
	private String cod_comune_att_lavorativa;
	private String cod_titolo_studio;
	
//	public Anagrafico() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}
	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}
	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	
	/**
	 * @return the occasionale
	 */
	public String getOccasionale() {
		return occasionale;
	}
	/**
	 * @param occasionale the occasionale to set
	 */
	public void setOccasionale(String occasionale) {
		this.occasionale = occasionale;
	}

	/**
	 * @return the codice_precedente
	 */
	public String getCodice_precedente() {
		return codice_precedente;
	}
	/**
	 * @param codicePrecedente the codice_precedente to set
	 */
	public void setCodice_precedente(String codicePrecedente) {
		codice_precedente = codicePrecedente;
	}
	/**
	 * @return the codice_unita_organizzativa
	 */
	public String getCodice_unita_organizzativa() {
		return codice_unita_organizzativa;
	}
	/**
	 * @param codiceUnitaOrganizzativa the codice_unita_organizzativa to set
	 */
	public void setCodice_unita_organizzativa(String codiceUnitaOrganizzativa) {
		codice_unita_organizzativa = codiceUnitaOrganizzativa;
	}
	/**
	 * @return the nome_unita_organizzativa
	 */
	public String getNome_unita_organizzativa() {
		return nome_unita_organizzativa;
	}
	/**
	 * @param nomeUnitaOrganizzativa the nome_unita_organizzativa to set
	 */
	public void setNome_unita_organizzativa(String nomeUnitaOrganizzativa) {
		nome_unita_organizzativa = nomeUnitaOrganizzativa;
	}
	/**
	 * @return the codice_dipendente
	 */
	public String getCodice_dipendente() {
		return codice_dipendente;
	}
	/**
	 * @param codiceDipendente the codice_dipendente to set
	 */
	public void setCodice_dipendente(String codiceDipendente) {
		codice_dipendente = codiceDipendente;
	}
	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}
	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}
	/**
	 * @return the cognome
	 */
	public String getCognome() {
		return cognome;
	}
	/**
	 * @param cognome the cognome to set
	 */
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	/**
	 * @return the indicatore_entita
	 */
	public String getIndicatore_entita() {
		return indicatore_entita;
	}
	/**
	 * @param indicatoreEntita the indicatore_entita to set
	 */
	public void setIndicatore_entita(String indicatoreEntita) {
		indicatore_entita = indicatoreEntita;
	}
	/**
	 * @return the anno
	 */
	public String getAnno() {
		return anno;
	}
	/**
	 * @param anno the anno to set
	 */
	public void setAnno(String anno) {
		this.anno = anno;
	}
	/**
	 * @return the ragione_sociale
	 */
	public String getRagione_sociale() {
		return ragione_sociale;
	}
	/**
	 * @param ragioneSociale the ragione_sociale to set
	 */
	public void setRagione_sociale(String ragioneSociale) {
		ragione_sociale = ragioneSociale;
	}
	/**
	 * @return the codice_fiscale
	 */
	public String getCodice_fiscale() {
		return codice_fiscale;
	}
	/**
	 * @param codiceFiscale the codice_fiscale to set
	 */
	public void setCodice_fiscale(String codiceFiscale) {
		codice_fiscale = codiceFiscale;
	}
	/**
	 * @return the partita_iva
	 */
	public String getPartita_iva() {
		return partita_iva;
	}
	/**
	 * @param partitaIva the partita_iva to set
	 */
	public void setPartita_iva(String partitaIva) {
		partita_iva = partitaIva;
	}
	/**
	 * @return the tipo_iva
	 */
	public String getTipo_iva() {
		return tipo_iva;
	}
	/**
	 * @param tipoIva the tipo_iva to set
	 */
	public void setTipo_iva(String tipoIva) {
		tipo_iva = tipoIva;
	}
	/**
	 * @return the ritenuta_acconto
	 */
	public String getRitenuta_acconto() {
		return ritenuta_acconto;
	}
	/**
	 * @param ritenutaAcconto the ritenuta_acconto to set
	 */
	public void setRitenuta_acconto(String ritenutaAcconto) {
		ritenuta_acconto = ritenutaAcconto;
	}
	/**
	 * @return the codice_anagrafico_correlato
	 */
	public String getCodice_anagrafico_correlato() {
		return codice_anagrafico_correlato;
	}
	/**
	 * @param codiceAnagraficoCorrelato the codice_anagrafico_correlato to set
	 */
	public void setCodice_anagrafico_correlato(String codiceAnagraficoCorrelato) {
		codice_anagrafico_correlato = codiceAnagraficoCorrelato;
	}
	/**
	 * @return the causale_collegamento
	 */
	public String getCausale_collegamento() {
		return causale_collegamento;
	}
	/**
	 * @param causaleCollegamento the causale_collegamento to set
	 */
	public void setCausale_collegamento(String causaleCollegamento) {
		causale_collegamento = causaleCollegamento;
	}
	/**
	 * @return the settore_merceologico
	 */
	public String getSettore_merceologico() {
		return settore_merceologico;
	}
	/**
	 * @param settoreMerceologico the settore_merceologico to set
	 */
	public void setSettore_merceologico(String settoreMerceologico) {
		settore_merceologico = settoreMerceologico;
	}
	/**
	 * @return the causale_fine_rapporto
	 */
	public String getCausale_fine_rapporto() {
		return causale_fine_rapporto;
	}
	/**
	 * @param causaleFineRapporto the causale_fine_rapporto to set
	 */
	public void setCausale_fine_rapporto(String causaleFineRapporto) {
		causale_fine_rapporto = causaleFineRapporto;
	}
	/**
	 * @return the legale_rappresentante
	 */
	public String getLegale_rappresentante() {
		return legale_rappresentante;
	}
	/**
	 * @param legaleRappresentante the legale_rappresentante to set
	 */
	public void setLegale_rappresentante(String legaleRappresentante) {
		legale_rappresentante = legaleRappresentante;
	}
	/**
	 * @return the note
	 */
	public String getNote() {
		return note;
	}
	/**
	 * @param note the note to set
	 */
	public void setNote(String note) {
		this.note = note;
	}
	/**
	 * @return the data_fine_rapporto
	 */
	public Date getData_fine_rapporto() {
		return data_fine_rapporto;
	}
	/**
	 * @param dataFineRapporto the data_fine_rapporto to set
	 */
	public void setData_fine_rapporto(Date dataFineRapporto) {
		data_fine_rapporto = dataFineRapporto;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the data_antimafia
	 */
	public Date getData_antimafia() {
		return data_antimafia;
	}
	/**
	 * @param dataAntimafia the data_antimafia to set
	 */
	public void setData_antimafia(Date dataAntimafia) {
		data_antimafia = dataAntimafia;
	}
	/**
	 * @return the tipologia
	 */
	public String getTipologia() {
		return tipologia;
	}
	/**
	 * @param tipologia the tipologia to set
	 */
	public void setTipologia(String tipologia) {
		this.tipologia = tipologia;
	}
	/**
	 * @return the tipo_entita_giuridica
	 */
	public String getTipo_entita_giuridica() {
		return tipo_entita_giuridica;
	}
	/**
	 * @param tipoEntitaGiuridica the tipo_entita_giuridica to set
	 */
	public void setTipo_entita_giuridica(String tipoEntitaGiuridica) {
		tipo_entita_giuridica = tipoEntitaGiuridica;
	}
	/**
	 * @return the tipo_entita_fisica
	 */
	public String getTipo_entita_fisica() {
		return tipo_entita_fisica;
	}
	/**
	 * @param tipoEntitaFisica the tipo_entita_fisica to set
	 */
	public void setTipo_entita_fisica(String tipoEntitaFisica) {
		tipo_entita_fisica = tipoEntitaFisica;
	}
	/**
	 * @return the ruolo
	 */
	public String getRuolo() {
		return ruolo;
	}
	/**
	 * @param ruolo the ruolo to set
	 */
	public void setRuolo(String ruolo) {
		this.ruolo = ruolo;
	}
	/**
	 * @return the data_nascita
	 */
	public Date getData_nascita() {
		return data_nascita;
	}
	/**
	 * @param dataNascita the data_nascita to set
	 */
	public void setData_nascita(Date dataNascita) {
		data_nascita = dataNascita;
	}
	/**
	 * @return the luogo_nascita
	 */
	public String getLuogo_nascita() {
		return luogo_nascita;
	}
	/**
	 * @param luogoNascita the luogo_nascita to set
	 */
	public void setLuogo_nascita(String luogoNascita) {
		luogo_nascita = luogoNascita;
	}
	/**
	 * @return the cittadinanza
	 */
	public String getCittadinanza() {
		return cittadinanza;
	}
	/**
	 * @param cittadinanza the cittadinanza to set
	 */
	public void setCittadinanza(String cittadinanza) {
		this.cittadinanza = cittadinanza;
	}
	/**
	 * @return the aliquota_fiscale
	 */
	public double getAliquota_fiscale() {
		return aliquota_fiscale;
	}
	/**
	 * @param aliquotaFiscale the aliquota_fiscale to set
	 */
	public void setAliquota_fiscale(double aliquotaFiscale) {
		aliquota_fiscale = aliquotaFiscale;
	}
	/**
	 * @return the ente_appartenenza
	 */
	public String getEnte_appartenenza() {
		return ente_appartenenza;
	}
	/**
	 * @param enteAppartenenza the ente_appartenenza to set
	 */
	public void setEnte_appartenenza(String enteAppartenenza) {
		ente_appartenenza = enteAppartenenza;
	}
	/**
	 * @return the codice_tariffa_auto
	 */
	public String getCodice_tariffa_auto() {
		return codice_tariffa_auto;
	}
	/**
	 * @param codiceTariffaAuto the codice_tariffa_auto to set
	 */
	public void setCodice_tariffa_auto(String codiceTariffaAuto) {
		codice_tariffa_auto = codiceTariffaAuto;
	}
	/**
	 * @return the conto_numerario_credito
	 */
	public String getConto_numerario_credito() {
		return conto_numerario_credito;
	}
	/**
	 * @param contoNumerarioCredito the conto_numerario_credito to set
	 */
	public void setConto_numerario_credito(String contoNumerarioCredito) {
		conto_numerario_credito = contoNumerarioCredito;
	}
	/**
	 * @return the conto_numerario_debito
	 */
	public String getConto_numerario_debito() {
		return conto_numerario_debito;
	}
	/**
	 * @param contoNumerarioDebito the conto_numerario_debito to set
	 */
	public void setConto_numerario_debito(String contoNumerarioDebito) {
		conto_numerario_debito = contoNumerarioDebito;
	}
	/**
	 * @return the livello
	 */
	public String getLivello() {
		return livello;
	}
	/**
	 * @param livello the livello to set
	 */
	public void setLivello(String livello) {
		this.livello = livello;
	}
	/**
	 * @return the classe
	 */
	public String getClasse() {
		return classe;
	}
	/**
	 * @param classe the classe to set
	 */
	public void setClasse(String classe) {
		this.classe = classe;
	}
	/**
	 * @return the qualifica
	 */
	public String getQualifica() {
		return qualifica;
	}
	/**
	 * @param qualifica the qualifica to set
	 */
	public void setQualifica(String qualifica) {
		this.qualifica = qualifica;
	}
	/**
	 * @return the sesso
	 */
	public String getSesso() {
		return sesso;
	}
	/**
	 * @param sesso the sesso to set
	 */
	public void setSesso(String sesso) {
		this.sesso = sesso;
	}
	/**
	 * @return the codice_nazione
	 */
	public String getCodice_nazione() {
		return codice_nazione;
	}
	/**
	 * @param codiceNazione the codice_nazione to set
	 */
	public void setCodice_nazione(String codiceNazione) {
		codice_nazione = codiceNazione;
	}
	/**
	 * @return the esportatore_abituale
	 */
	public String getEsportatore_abituale() {
		return esportatore_abituale;
	}
	/**
	 * @param esportatoreAbituale the esportatore_abituale to set
	 */
	public void setEsportatore_abituale(String esportatoreAbituale) {
		esportatore_abituale = esportatoreAbituale;
	}
	/**
	 * @return the codice_iso
	 */
	public String getCodice_iso() {
		return codice_iso;
	}
	/**
	 * @param codiceIso the codice_iso to set
	 */
	public void setCodice_iso(String codiceIso) {
		codice_iso = codiceIso;
	}
	/**
	 * @return the fatturazione_differita
	 */
	public String getFatturazione_differita() {
		return fatturazione_differita;
	}
	/**
	 * @param fatturazioneDifferita the fatturazione_differita to set
	 */
	public void setFatturazione_differita(String fatturazioneDifferita) {
		fatturazione_differita = fatturazioneDifferita;
	}
	/**
	 * @return the codice_tipologia_ditta
	 */
	public String getCodice_tipologia_ditta() {
		return codice_tipologia_ditta;
	}
	/**
	 * @param codiceTipologiaDitta the codice_tipologia_ditta to set
	 */
	public void setCodice_tipologia_ditta(String codiceTipologiaDitta) {
		codice_tipologia_ditta = codiceTipologiaDitta;
	}
	
	/**
	 * @return the codice_fiscale_caf
	 */
	public String getCodice_fiscale_caf() {
		return codice_fiscale_caf;
	}
	/**
	 * @param codiceFiscaleCaf the codice_fiscale_caf to set
	 */
	public void setCodice_fiscale_caf(String codiceFiscaleCaf) {
		codice_fiscale_caf = codiceFiscaleCaf;
	}
	/**
	 * @return the num_iscrizione_albo
	 */
	public String getNum_iscrizione_albo() {
		return num_iscrizione_albo;
	}
	/**
	 * @param numIscrizioneAlbo the num_iscrizione_albo to set
	 */
	public void setNum_iscrizione_albo(String numIscrizioneAlbo) {
		num_iscrizione_albo = numIscrizioneAlbo;
	}
	/**
	 * @return the denominazione_caf
	 */
	public String getDenominazione_caf() {
		return denominazione_caf;
	}
	/**
	 * @param denominazioneCaf the denominazione_caf to set
	 */
	public void setDenominazione_caf(String denominazioneCaf) {
		denominazione_caf = denominazioneCaf;
	}
	/**
	 * @return the codice_fiscale_estero
	 */
	public String getCodice_fiscale_estero() {
		return codice_fiscale_estero;
	}
	/**
	 * @param codiceFiscaleEstero the codice_fiscale_estero to set
	 */
	public void setCodice_fiscale_estero(String codiceFiscaleEstero) {
		codice_fiscale_estero = codiceFiscaleEstero;
	}
	/**
	 * @return the sede_inail
	 */
	public String getSede_inail() {
		return sede_inail;
	}
	/**
	 * @param sedeInail the sede_inail to set
	 */
	public void setSede_inail(String sedeInail) {
		sede_inail = sedeInail;
	}
	/**
	 * @return the codice_inps
	 */
	public String getCodice_inps() {
		return codice_inps;
	}
	/**
	 * @param codiceInps the codice_inps to set
	 */
	public void setCodice_inps(String codiceInps) {
		codice_inps = codiceInps;
	}
	/**
	 * @return the codice_altra_ass_previd
	 */
	public String getCodice_altra_ass_previd() {
		return codice_altra_ass_previd;
	}
	/**
	 * @param codiceAltraAssPrevid the codice_altra_ass_previd to set
	 */
	public void setCodice_altra_ass_previd(String codiceAltraAssPrevid) {
		codice_altra_ass_previd = codiceAltraAssPrevid;
	}
	/**
	 * @return the utcr
	 */
	public String getUtcr() {
		return utcr;
	}
	/**
	 * @param utcr the utcr to set
	 */
	public void setUtcr(String utcr) {
		this.utcr = utcr;
	}
	/**
	 * @return the cod_comune_att_lavorativa
	 */
	public String getCod_comune_att_lavorativa() {
		return cod_comune_att_lavorativa;
	}
	/**
	 * @param codComuneAttLavorativa the cod_comune_att_lavorativa to set
	 */
	public void setCod_comune_att_lavorativa(String codComuneAttLavorativa) {
		cod_comune_att_lavorativa = codComuneAttLavorativa;
	}
	/**
	 * @return the cod_titolo_studio
	 */
	public String getCod_titolo_studio() {
		return cod_titolo_studio;
	}
	/**
	 * @param codTitoloStudio the cod_titolo_studio to set
	 */
	public void setCod_titolo_studio(String codTitoloStudio) {
		cod_titolo_studio = codTitoloStudio;
	}
	
	/**
	 * @return the no_iva
	 */
	public String getNo_iva() {
		return no_iva;
	}
	/**
	 * @param noIva the no_iva to set
	 */
	public void setNo_iva(String noIva) {
		no_iva = noIva;
	}
	/**
	 * @return the italiana_estera
	 */
	public BigDecimal getItaliana_estera() {
		return italiana_estera;
	}
	/**
	 * @param italianaEstera the italiana_estera to set
	 */
	public void setItaliana_estera(BigDecimal italianaEstera) {
		italiana_estera = italianaEstera;
	}
	/**
	 * @return the numero_cciaa
	 */
	public String getNumero_cciaa() {
		return numero_cciaa;
	}
	/**
	 * @param numeroCciaa the numero_cciaa to set
	 */
	public void setNumero_cciaa(String numeroCciaa) {
		numero_cciaa = numeroCciaa;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result
				+ ((codice_fiscale == null) ? 0 : codice_fiscale.hashCode());
		result = prime * result
				+ ((partita_iva == null) ? 0 : partita_iva.hashCode());
		result = prime * result
				+ ((ragione_sociale == null) ? 0 : ragione_sociale.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Anagrafico))
			return false;
		Anagrafico other = (Anagrafico) obj;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (codice_fiscale == null) {
			if (other.codice_fiscale != null)
				return false;
		} else if (!codice_fiscale.equals(other.codice_fiscale))
			return false;
		if (partita_iva == null) {
			if (other.partita_iva != null)
				return false;
		} else if (!partita_iva.equals(other.partita_iva))
			return false;
		if (ragione_sociale == null) {
			if (other.ragione_sociale != null)
				return false;
		} else if (!ragione_sociale.equals(other.ragione_sociale))
			return false;
		return true;
	}
	
	
}
