/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * 
*
 *
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_BENE_SERVIZIO")
public class BeneServizio extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public static final String ciaViewName = "EPOCA_BENE_SERVIZIO";
	
	private String codice_bene;
	private String tipo;
	private String descrizione;
	private String codice_iva;
	private String unita_misura;
	private String soggetto_collaudo;
	private String gestito_inventario;
	@Temporal(TemporalType.DATE)
	private Date data_canc;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	private String tipologia_acq;
	private String codice_iva_det;
	
	/**
	 * @return the codice_bene
	 */
	public String getCodice_bene() {
		return codice_bene;
	}
	/**
	 * @param codice_bene the codice_bene to set
	 */
	public void setCodice_bene(String codice_bene) {
		this.codice_bene = codice_bene;
	}
	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the unita_misura
	 */
	public String getUnita_misura() {
		return unita_misura;
	}
	/**
	 * @param unita_misura the unita_misura to set
	 */
	public void setUnita_misura(String unita_misura) {
		this.unita_misura = unita_misura;
	}
	/**
	 * @return the soggetto_collaudo
	 */
	public String getSoggetto_collaudo() {
		return soggetto_collaudo;
	}
	/**
	 * @param soggetto_collaudo the soggetto_collaudo to set
	 */
	public void setSoggetto_collaudo(String soggetto_collaudo) {
		this.soggetto_collaudo = soggetto_collaudo;
	}
	/**
	 * @return the gestito_inventario
	 */
	public String getGestito_inventario() {
		return gestito_inventario;
	}
	/**
	 * @param gestito_inventario the gestito_inventario to set
	 */
	public void setGestito_inventario(String gestito_inventario) {
		this.gestito_inventario = gestito_inventario;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param data_canc the data_canc to set
	 */
	public void setData_canc(Date data_canc) {
		this.data_canc = data_canc;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the tipologia_acq
	 */
	public String getTipologia_acq() {
		return tipologia_acq;
	}
	/**
	 * @param tipologia_acq the tipologia_acq to set
	 */
	public void setTipologia_acq(String tipologia_acq) {
		this.tipologia_acq = tipologia_acq;
	}
	/**
	 * @return the codice_iva_det
	 */
	public String getCodice_iva_det() {
		return codice_iva_det;
	}
	/**
	 * @param codice_iva_det the codice_iva_det to set
	 */
	public void setCodice_iva_det(String codice_iva_det) {
		this.codice_iva_det = codice_iva_det;
	}
	/**
	 * @return the codice_iva
	 */
	public String getCodice_iva() {
		return codice_iva;
	}
	/**
	 * @param codice_iva the codice_iva to set
	 */
	public void setCodice_iva(String codice_iva) {
		this.codice_iva = codice_iva;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((codice_bene == null) ? 0 : codice_bene.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof BeneServizio))
			return false;
		BeneServizio other = (BeneServizio) obj;
		if (codice_bene == null) {
			if (other.codice_bene != null)
				return false;
		} else if (!codice_bene.equals(other.codice_bene))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		return true;
	}
	
}
