/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_CAUSALI")
public class Causale extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;

	public static final String ciaViewName = "EPOCA_CAUSALI";
	
	private String codice;
	private String descrizione;
	private String numero_versione;
	private String spesa_entrata;
	private String codice_causale_collegata;
	@Temporal(TemporalType.DATE)
	private Date data_canc;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	
//	public Causale() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	
	
	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}
	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the numero_versione
	 */
	public String getNumero_versione() {
		return numero_versione;
	}
	/**
	 * @param numeroVersione the numero_versione to set
	 */
	public void setNumero_versione(String numeroVersione) {
		numero_versione = numeroVersione;
	}
	/**
	 * @return the spesa_entrata
	 */
	public String getSpesa_entrata() {
		return spesa_entrata;
	}
	/**
	 * @param spesaEntrata the spesa_entrata to set
	 */
	public void setSpesa_entrata(String spesaEntrata) {
		spesa_entrata = spesaEntrata;
	}
	/**
	 * @return the codice_causale_collegata
	 */
	public String getCodice_causale_collegata() {
		return codice_causale_collegata;
	}
	/**
	 * @param codiceCausaleCollegata the codice_causale_collegata to set
	 */
	public void setCodice_causale_collegata(String codiceCausaleCollegata) {
		codice_causale_collegata = codiceCausaleCollegata;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Causale))
			return false;
		Causale other = (Causale) obj;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		return true;
	}
	

}
