/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_CENTRO_COSTO")
public class CentroCosto extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;

	public static final String ciaViewName = "EPOCA_CENTRO_COSTO";
	
	private String chiave_completa;
	private String esercizio;
	private String nome;
	private String descrizione;
	private String ultimo_livello;
	private String cdc_comune;
	private String costi_strutturali;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date duva;
	@Temporal(TemporalType.DATE)
	private Date data_canc;
	private String con_responsabile;
	private String bilancio;
	private String tipologia;
	private String tipo_parametro_cessione;
	private BigDecimal step_tipologia;
	private String progetto;
	
//	public CentroCosto() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the costi_strutturali
	 */
	public String getCosti_strutturali() {
		return costi_strutturali;
	}
	/**
	 * @param costiStrutturali the costi_strutturali to set
	 */
	public void setCosti_strutturali(String costiStrutturali) {
		costi_strutturali = costiStrutturali;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	
	/**
	 * @return the con_responsabile
	 */
	public String getCon_responsabile() {
		return con_responsabile;
	}
	/**
	 * @param conResponsabile the con_responsabile to set
	 */
	public void setCon_responsabile(String conResponsabile) {
		con_responsabile = conResponsabile;
	}
	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}
	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}
	/**
	 * @return the tipologia
	 */
	public String getTipologia() {
		return tipologia;
	}
	/**
	 * @param tipologia the tipologia to set
	 */
	public void setTipologia(String tipologia) {
		this.tipologia = tipologia;
	}
	/**
	 * @return the tipo_parametro_cessione
	 */
	public String getTipo_parametro_cessione() {
		return tipo_parametro_cessione;
	}
	/**
	 * @param tipoParametroCessione the tipo_parametro_cessione to set
	 */
	public void setTipo_parametro_cessione(String tipoParametroCessione) {
		tipo_parametro_cessione = tipoParametroCessione;
	}
	/**
	 * @return the progetto
	 */
	public String getProgetto() {
		return progetto;
	}
	/**
	 * @param progetto the progetto to set
	 */
	public void setProgetto(String progetto) {
		this.progetto = progetto;
	}
	/**
	 * @return the chiave_completa
	 */
	public String getChiave_completa() {
		return chiave_completa;
	}
	/**
	 * @param chiaveCompleta the chiave_completa to set
	 */
	public void setChiave_completa(String chiaveCompleta) {
		chiave_completa = chiaveCompleta;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}
	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the ultimo_livello
	 */
	public String getUltimo_livello() {
		return ultimo_livello;
	}
	/**
	 * @param ultimoLivello the ultimo_livello to set
	 */
	public void setUltimo_livello(String ultimoLivello) {
		ultimo_livello = ultimoLivello;
	}
	/**
	 * @return the cdc_comune
	 */
	public String getCdc_comune() {
		return cdc_comune;
	}
	/**
	 * @param cdcComune the cdc_comune to set
	 */
	public void setCdc_comune(String cdcComune) {
		cdc_comune = cdcComune;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param data_canc the data_canc to set
	 */
	public void setData_canc(Date data_canc) {
		this.data_canc = data_canc;
	}
	/**
	 * @return the step_tipologia
	 */
	public BigDecimal getStep_tipologia() {
		return step_tipologia;
	}
	/**
	 * @param step_tipologia the step_tipologia to set
	 */
	public void setStep_tipologia(BigDecimal step_tipologia) {
		this.step_tipologia = step_tipologia;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((chiave_completa == null) ? 0 : chiave_completa.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof CentroCosto))
			return false;
		CentroCosto other = (CentroCosto) obj;
		if (chiave_completa == null) {
			if (other.chiave_completa != null)
				return false;
		} else if (!chiave_completa.equals(other.chiave_completa))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		return true;
	}
	
	
}
