/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_CODICE_IVA")
public class CodiceIva extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_CODICE_IVA";
	
	private String codice;
	private String descrizione;
	private double percentuale;
	private Date data_eff;
	private Date duva;
	private String utuv;
	private Date dacr;
	private String detraibile;
	private String non_imponibile;
	private String esente;
	private String non_soggetto;
	private String escluso;
	private double percentuale_detraibilita;
	private String tipo_documento;
	private String gruppo_iva;
	private String intra;
	private String autofattura;
	private String bolla_doganale;
	private String esportatore_abituale;
	private Date data_canc;
	private String corrispettivi;
	
//	public CodiceIva() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	
	/**
	 * @return the codice
	 */
	public String getCodice() {
		return codice;
	}
	/**
	 * @param codice the codice to set
	 */
	public void setCodice(String codice) {
		this.codice = codice;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the percentuale
	 */
	public double getPercentuale() {
		return percentuale;
	}
	/**
	 * @param percentuale the percentuale to set
	 */
	public void setPercentuale(double percentuale) {
		this.percentuale = percentuale;
	}
	/**
	 * @return the data_eff
	 */
	public Date getData_eff() {
		return data_eff;
	}
	/**
	 * @param dataEff the data_eff to set
	 */
	public void setData_eff(Date dataEff) {
		data_eff = dataEff;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the detraibile
	 */
	public String getDetraibile() {
		return detraibile;
	}
	/**
	 * @param detraibile the detraibile to set
	 */
	public void setDetraibile(String detraibile) {
		this.detraibile = detraibile;
	}
	/**
	 * @return the non_imponibile
	 */
	public String getNon_imponibile() {
		return non_imponibile;
	}
	/**
	 * @param nonImponibile the non_imponibile to set
	 */
	public void setNon_imponibile(String nonImponibile) {
		non_imponibile = nonImponibile;
	}
	/**
	 * @return the esente
	 */
	public String getEsente() {
		return esente;
	}
	/**
	 * @param esente the esente to set
	 */
	public void setEsente(String esente) {
		this.esente = esente;
	}
	/**
	 * @return the non_soggetto
	 */
	public String getNon_soggetto() {
		return non_soggetto;
	}
	/**
	 * @param nonSoggetto the non_soggetto to set
	 */
	public void setNon_soggetto(String nonSoggetto) {
		non_soggetto = nonSoggetto;
	}
	/**
	 * @return the escluso
	 */
	public String getEscluso() {
		return escluso;
	}
	/**
	 * @param escluso the escluso to set
	 */
	public void setEscluso(String escluso) {
		this.escluso = escluso;
	}
	/**
	 * @return the percentuale_detraibilita
	 */
	public double getPercentuale_detraibilita() {
		return percentuale_detraibilita;
	}
	/**
	 * @param percentualeDetraibilita the percentuale_detraibilita to set
	 */
	public void setPercentuale_detraibilita(double percentualeDetraibilita) {
		percentuale_detraibilita = percentualeDetraibilita;
	}
	/**
	 * @return the tipo_documento
	 */
	public String getTipo_documento() {
		return tipo_documento;
	}
	/**
	 * @param tipoDocumento the tipo_documento to set
	 */
	public void setTipo_documento(String tipoDocumento) {
		tipo_documento = tipoDocumento;
	}
	/**
	 * @return the gruppo_iva
	 */
	public String getGruppo_iva() {
		return gruppo_iva;
	}
	/**
	 * @param gruppoIva the gruppo_iva to set
	 */
	public void setGruppo_iva(String gruppoIva) {
		gruppo_iva = gruppoIva;
	}
	/**
	 * @return the intra
	 */
	public String getIntra() {
		return intra;
	}
	/**
	 * @param intra the intra to set
	 */
	public void setIntra(String intra) {
		this.intra = intra;
	}
	/**
	 * @return the autofattura
	 */
	public String getAutofattura() {
		return autofattura;
	}
	/**
	 * @param autofattura the autofattura to set
	 */
	public void setAutofattura(String autofattura) {
		this.autofattura = autofattura;
	}
	/**
	 * @return the bolla_doganale
	 */
	public String getBolla_doganale() {
		return bolla_doganale;
	}
	/**
	 * @param bollaDoganale the bolla_doganale to set
	 */
	public void setBolla_doganale(String bollaDoganale) {
		bolla_doganale = bollaDoganale;
	}
	/**
	 * @return the esportatore_abituale
	 */
	public String getEsportatore_abituale() {
		return esportatore_abituale;
	}
	/**
	 * @param esportatoreAbituale the esportatore_abituale to set
	 */
	public void setEsportatore_abituale(String esportatoreAbituale) {
		esportatore_abituale = esportatoreAbituale;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}
	/**
	 * @return the corrispettivi
	 */
	public String getCorrispettivi() {
		return corrispettivi;
	}
	/**
	 * @param corrispettivi the corrispettivi to set
	 */
	public void setCorrispettivi(String corrispettivi) {
		this.corrispettivi = corrispettivi;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((autofattura == null) ? 0 : autofattura.hashCode());
		result = prime * result
				+ ((bolla_doganale == null) ? 0 : bolla_doganale.hashCode());
		result = prime * result + ((codice == null) ? 0 : codice.hashCode());
		result = prime * result
				+ ((corrispettivi == null) ? 0 : corrispettivi.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result
				+ ((data_canc == null) ? 0 : data_canc.hashCode());
		result = prime * result
				+ ((data_eff == null) ? 0 : data_eff.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result
				+ ((detraibile == null) ? 0 : detraibile.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result + ((escluso == null) ? 0 : escluso.hashCode());
		result = prime * result + ((esente == null) ? 0 : esente.hashCode());
		result = prime
				* result
				+ ((esportatore_abituale == null) ? 0 : esportatore_abituale
						.hashCode());
		result = prime * result
				+ ((gruppo_iva == null) ? 0 : gruppo_iva.hashCode());
		result = prime * result + ((intra == null) ? 0 : intra.hashCode());
		result = prime * result
				+ ((non_imponibile == null) ? 0 : non_imponibile.hashCode());
		result = prime * result
				+ ((non_soggetto == null) ? 0 : non_soggetto.hashCode());
		long temp;
		temp = Double.doubleToLongBits(percentuale);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(percentuale_detraibilita);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((tipo_documento == null) ? 0 : tipo_documento.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof CodiceIva))
			return false;
		CodiceIva other = (CodiceIva) obj;
		if (autofattura == null) {
			if (other.autofattura != null)
				return false;
		} else if (!autofattura.equals(other.autofattura))
			return false;
		if (bolla_doganale == null) {
			if (other.bolla_doganale != null)
				return false;
		} else if (!bolla_doganale.equals(other.bolla_doganale))
			return false;
		if (codice == null) {
			if (other.codice != null)
				return false;
		} else if (!codice.equals(other.codice))
			return false;
		if (corrispettivi == null) {
			if (other.corrispettivi != null)
				return false;
		} else if (!corrispettivi.equals(other.corrispettivi))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_canc == null) {
			if (other.data_canc != null)
				return false;
		} else if (!data_canc.equals(other.data_canc))
			return false;
		if (data_eff == null) {
			if (other.data_eff != null)
				return false;
		} else if (!data_eff.equals(other.data_eff))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (detraibile == null) {
			if (other.detraibile != null)
				return false;
		} else if (!detraibile.equals(other.detraibile))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (escluso == null) {
			if (other.escluso != null)
				return false;
		} else if (!escluso.equals(other.escluso))
			return false;
		if (esente == null) {
			if (other.esente != null)
				return false;
		} else if (!esente.equals(other.esente))
			return false;
		if (esportatore_abituale == null) {
			if (other.esportatore_abituale != null)
				return false;
		} else if (!esportatore_abituale.equals(other.esportatore_abituale))
			return false;
		if (gruppo_iva == null) {
			if (other.gruppo_iva != null)
				return false;
		} else if (!gruppo_iva.equals(other.gruppo_iva))
			return false;
		if (intra == null) {
			if (other.intra != null)
				return false;
		} else if (!intra.equals(other.intra))
			return false;
		if (non_imponibile == null) {
			if (other.non_imponibile != null)
				return false;
		} else if (!non_imponibile.equals(other.non_imponibile))
			return false;
		if (non_soggetto == null) {
			if (other.non_soggetto != null)
				return false;
		} else if (!non_soggetto.equals(other.non_soggetto))
			return false;
		if (Double.doubleToLongBits(percentuale) != Double
				.doubleToLongBits(other.percentuale))
			return false;
		if (Double.doubleToLongBits(percentuale_detraibilita) != Double
				.doubleToLongBits(other.percentuale_detraibilita))
			return false;
		if (tipo_documento == null) {
			if (other.tipo_documento != null)
				return false;
		} else if (!tipo_documento.equals(other.tipo_documento))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
	
	
}
