/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_COMMESSA")
public class Commessa extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_COMMESSA";
		
	private String bilancio;
	private String codice_commessa;
	private String descrizione;
	private String responsabile;
	private Date data_inizio;
	private Date data_scadenza;
	private double importo_complessivo;
	private String tipo;
	private Date data_canc;
	private Date dacr;
	private String utuv;
	private Date duva;
	private String esercizio;
	
//	public Commessa() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}
	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}
	/**
	 * @return the codice_commessa
	 */
	public String getCodice_commessa() {
		return codice_commessa;
	}
	/**
	 * @param codiceCommessa the codice_commessa to set
	 */
	public void setCodice_commessa(String codiceCommessa) {
		codice_commessa = codiceCommessa;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the responsabile
	 */
	public String getResponsabile() {
		return responsabile;
	}
	/**
	 * @param responsabile the responsabile to set
	 */
	public void setResponsabile(String responsabile) {
		this.responsabile = responsabile;
	}
	/**
	 * @return the data_inizio
	 */
	public Date getData_inizio() {
		return data_inizio;
	}
	/**
	 * @param dataInizio the data_inizio to set
	 */
	public void setData_inizio(Date dataInizio) {
		data_inizio = dataInizio;
	}
	/**
	 * @return the data_scadenza
	 */
	public Date getData_scadenza() {
		return data_scadenza;
	}
	/**
	 * @param dataScadenza the data_scadenza to set
	 */
	public void setData_scadenza(Date dataScadenza) {
		data_scadenza = dataScadenza;
	}
	/**
	 * @return the importo_complessivo
	 */
	public double getImporto_complessivo() {
		return importo_complessivo;
	}
	/**
	 * @param importoComplessivo the importo_complessivo to set
	 */
	public void setImporto_complessivo(double importoComplessivo) {
		importo_complessivo = importoComplessivo;
	}
	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	/**
	 * @return the data_canc
	 */
	public Date getData_canc() {
		return data_canc;
	}
	/**
	 * @param dataCanc the data_canc to set
	 */
	public void setData_canc(Date dataCanc) {
		data_canc = dataCanc;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((bilancio == null) ? 0 : bilancio.hashCode());
		result = prime * result
				+ ((codice_commessa == null) ? 0 : codice_commessa.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime * result
				+ ((data_canc == null) ? 0 : data_canc.hashCode());
		result = prime * result
				+ ((data_inizio == null) ? 0 : data_inizio.hashCode());
		result = prime * result
				+ ((data_scadenza == null) ? 0 : data_scadenza.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		long temp;
		temp = Double.doubleToLongBits(importo_complessivo);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((responsabile == null) ? 0 : responsabile.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Commessa))
			return false;
		Commessa other = (Commessa) obj;
		if (bilancio == null) {
			if (other.bilancio != null)
				return false;
		} else if (!bilancio.equals(other.bilancio))
			return false;
		if (codice_commessa == null) {
			if (other.codice_commessa != null)
				return false;
		} else if (!codice_commessa.equals(other.codice_commessa))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_canc == null) {
			if (other.data_canc != null)
				return false;
		} else if (!data_canc.equals(other.data_canc))
			return false;
		if (data_inizio == null) {
			if (other.data_inizio != null)
				return false;
		} else if (!data_inizio.equals(other.data_inizio))
			return false;
		if (data_scadenza == null) {
			if (other.data_scadenza != null)
				return false;
		} else if (!data_scadenza.equals(other.data_scadenza))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (Double.doubleToLongBits(importo_complessivo) != Double
				.doubleToLongBits(other.importo_complessivo))
			return false;
		if (responsabile == null) {
			if (other.responsabile != null)
				return false;
		} else if (!responsabile.equals(other.responsabile))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
	
	

}
