/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;

@Entity(name="CIA_IMPEGNI")
public class Impegno extends AdditionalData implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_IMPEGNI";
		
	private String chiave_completa_documento;
	private String chiave_piano;
	private String chiave_padre_tipologia;
	private String esercizio;
	private String chiave_conto;
	private String descrizione;
	private String chiave;
	private String chiave_primo_documento;
	private String chiave_precedente_associato;
	private String chiave_altro_documento;
	private String tipo;
	private String numero_versione;
	private String chiave_documento_originale;
	private String causale;
	private String codice_anag;
	private String nome;
	private String cognome;
	private String ragione_sociale;
	private String partita_iva;
	private String codice_fiscale;
	private String codice_bene_servizio;
	private String codice_proventi_ricavi;
	private String codice_ubicazione;
	private String descrizione_transazione;
	private String numero_bolla;
	private String numero_delibera_autorizzazione;
	private String numero_protocollo;
	private String numero_fattura_attiva;
	private String numero_fattura_passiva;
	private String tipo_iva;
	private String numero_quitanza;
	private String numero_contratto;
	private String modalita_pagamento;
	private String termini_pagamento;
	private String numero_preventivo_fornitore;
	private String abi_universita;
	private String cab_universita;
	private String numero_conto_universita;
	private String abi_cliente_fornitore;
	private String cab_cliente_fornitore;
	private String numero_conto_cliente_fornitore;
	private String descrizione_banca_cli_for;
	private String bilancio;
	private String unita_organizzativa;
	private String competenza_residui;
	private String codice_valuta_estera;
	private String codice_carico_inventario;
	private String numero_conto_contabile;
	private String scadenza_tassativa;
	private String stato;
	private String inviare_cassiere;
	private String attiva;
	private String autorizzatorio;
	private String riportato;
	private String entrata_spesa;
	private int posizione;
	private String piu;
	private double aliquota_iva;
	private double ammontare_iva;
	private double ammontare;
	private double ammontare_valuta_estera;
	private double quantita_bene_servizio;
	private double ritenuta_acconto;
	private double importo_ritenuta_acconto;
	private double imponibile_iva;
	private double importo_unitario;
	private double preventivo_assestato;
	private double consuntivo_primi_documenti;
	private double importo_residuo;
	private Date data_scadenza;
	private Date inizio_anno_accademico;
	private Date fine_anno_accademico;
	private Date data_fattura;
	private Date data_incasso;
	private Date data_regolarizzazione;
	private Date data_contabilizzazione;
	private Date data_trasmissione;
	private Date data_ultima;
	private Date data_versione;
	private Date data_storno;
	private Date data_invio_storno;
	private Date data_cancellazione;
	private Date data_pagamento;
	private Date dacr;
	private Date duva;
	private String utuv;
	private String nome_unita_organizzativa;
	private Date data_trasmissione_storno;
	private String chiave_categoria;
	private Date data_estinzione;
	private String descrizione_causale; 
	private String numero_pagamento_provvisorio;
	private String cessionario;
	private String intestazione_conto;
	private String tipo_conto;
	private String unita_organizzativa_beneficiario;
	private String numero_versione_tipologia;
	private String residuo_utilizzato;
	private String progetto;
	private double arrotondamento;
	private String tipo_anagrafico;
	private double ammontare_residuo_documento;
	private String chiave_precedente_procedura;
	private double importo_bollo;
	private String descrizione_bollo;
	private String riportato_chiusura;
	private Date data_stampa;
	private String regolarizzazione;
	private String riclassificazione;
	private String utcr;
	private String stato_modifica_residuo;
	private String riclassificazione_murst;
	private String cin;
	private String iban;
	private String bic;
	private String codice_gestionale;
	private String tipo_provvedimento;
	private Date data_provvedimento;
	private String numero_provvedimento;
	private String sezione_cassa;
	private String progetto_destinazione;
	private String cup;
	private String inviare_firma;
	private String inestinto;
	private String cdr_destinazione;
	private String ambito;
	private String inviare_variazione;
	private String data_trasmissione_variazione;
	private String tipo_imputazione;
	private String note;
	
//	public Impegno() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}
	
	/**
	 * @return the chiave_completa_documento
	 */
	public String getChiave_completa_documento() {
		return chiave_completa_documento;
	}
	/**
	 * @param chiaveCompletaDocumento the chiave_completa_documento to set
	 */
	public void setChiave_completa_documento(String chiaveCompletaDocumento) {
		chiave_completa_documento = chiaveCompletaDocumento;
	}
	/**
	 * @return the chiave_piano
	 */
	public String getChiave_piano() {
		return chiave_piano;
	}
	/**
	 * @param chiavePiano the chiave_piano to set
	 */
	public void setChiave_piano(String chiavePiano) {
		chiave_piano = chiavePiano;
	}
	/**
	 * @return the chiave_padre_tipologia
	 */
	public String getChiave_padre_tipologia() {
		return chiave_padre_tipologia;
	}
	/**
	 * @param chiavePadreTipologia the chiave_padre_tipologia to set
	 */
	public void setChiave_padre_tipologia(String chiavePadreTipologia) {
		chiave_padre_tipologia = chiavePadreTipologia;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/**
	 * @return the chiave_conto
	 */
	public String getChiave_conto() {
		return chiave_conto;
	}
	/**
	 * @param chiaveConto the chiave_conto to set
	 */
	public void setChiave_conto(String chiaveConto) {
		chiave_conto = chiaveConto;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the chiave
	 */
	public String getChiave() {
		return chiave;
	}
	/**
	 * @param chiave the chiave to set
	 */
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	/**
	 * @return the chiave_primo_documento
	 */
	public String getChiave_primo_documento() {
		return chiave_primo_documento;
	}
	/**
	 * @param chiavePrimoDocumento the chiave_primo_documento to set
	 */
	public void setChiave_primo_documento(String chiavePrimoDocumento) {
		chiave_primo_documento = chiavePrimoDocumento;
	}
	/**
	 * @return the chiave_precedente_associato
	 */
	public String getChiave_precedente_associato() {
		return chiave_precedente_associato;
	}
	/**
	 * @param chiavePrecedenteAssociato the chiave_precedente_associato to set
	 */
	public void setChiave_precedente_associato(String chiavePrecedenteAssociato) {
		chiave_precedente_associato = chiavePrecedenteAssociato;
	}
	/**
	 * @return the chiave_altro_documento
	 */
	public String getChiave_altro_documento() {
		return chiave_altro_documento;
	}
	/**
	 * @param chiaveAltroDocumento the chiave_altro_documento to set
	 */
	public void setChiave_altro_documento(String chiaveAltroDocumento) {
		chiave_altro_documento = chiaveAltroDocumento;
	}
	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	/**
	 * @return the numero_versione
	 */
	public String getNumero_versione() {
		return numero_versione;
	}
	/**
	 * @param numeroVersione the numero_versione to set
	 */
	public void setNumero_versione(String numeroVersione) {
		numero_versione = numeroVersione;
	}
	/**
	 * @return the chiave_documento_originale
	 */
	public String getChiave_documento_originale() {
		return chiave_documento_originale;
	}
	/**
	 * @param chiaveDocumentoOriginale the chiave_documento_originale to set
	 */
	public void setChiave_documento_originale(String chiaveDocumentoOriginale) {
		chiave_documento_originale = chiaveDocumentoOriginale;
	}
	/**
	 * @return the causale
	 */
	public String getCausale() {
		return causale;
	}
	/**
	 * @param causale the causale to set
	 */
	public void setCausale(String causale) {
		this.causale = causale;
	}
	/**
	 * @return the codice_anag
	 */
	public String getCodice_anag() {
		return codice_anag;
	}
	/**
	 * @param codiceAnag the codice_anag to set
	 */
	public void setCodice_anag(String codiceAnag) {
		codice_anag = codiceAnag;
	}
	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}
	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}
	/**
	 * @return the cognome
	 */
	public String getCognome() {
		return cognome;
	}
	/**
	 * @param cognome the cognome to set
	 */
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	/**
	 * @return the ragione_sociale
	 */
	public String getRagione_sociale() {
		return ragione_sociale;
	}
	/**
	 * @param ragioneSociale the ragione_sociale to set
	 */
	public void setRagione_sociale(String ragioneSociale) {
		ragione_sociale = ragioneSociale;
	}
	/**
	 * @return the partita_iva
	 */
	public String getPartita_iva() {
		return partita_iva;
	}
	/**
	 * @param partitaIva the partita_iva to set
	 */
	public void setPartita_iva(String partitaIva) {
		partita_iva = partitaIva;
	}
	/**
	 * @return the codice_fiscale
	 */
	public String getCodice_fiscale() {
		return codice_fiscale;
	}
	/**
	 * @param codiceFiscale the codice_fiscale to set
	 */
	public void setCodice_fiscale(String codiceFiscale) {
		codice_fiscale = codiceFiscale;
	}
	/**
	 * @return the codice_bene_servizio
	 */
	public String getCodice_bene_servizio() {
		return codice_bene_servizio;
	}
	/**
	 * @param codiceBeneServizio the codice_bene_servizio to set
	 */
	public void setCodice_bene_servizio(String codiceBeneServizio) {
		codice_bene_servizio = codiceBeneServizio;
	}
	/**
	 * @return the codice_proventi_ricavi
	 */
	public String getCodice_proventi_ricavi() {
		return codice_proventi_ricavi;
	}
	/**
	 * @param codiceProventiRicavi the codice_proventi_ricavi to set
	 */
	public void setCodice_proventi_ricavi(String codiceProventiRicavi) {
		codice_proventi_ricavi = codiceProventiRicavi;
	}
	/**
	 * @return the codice_ubicazione
	 */
	public String getCodice_ubicazione() {
		return codice_ubicazione;
	}
	/**
	 * @param codiceUbicazione the codice_ubicazione to set
	 */
	public void setCodice_ubicazione(String codiceUbicazione) {
		codice_ubicazione = codiceUbicazione;
	}
	/**
	 * @return the descrizione_transazione
	 */
	public String getDescrizione_transazione() {
		return descrizione_transazione;
	}
	/**
	 * @param descrizioneTransazione the descrizione_transazione to set
	 */
	public void setDescrizione_transazione(String descrizioneTransazione) {
		descrizione_transazione = descrizioneTransazione;
	}
	/**
	 * @return the numero_bolla
	 */
	public String getNumero_bolla() {
		return numero_bolla;
	}
	/**
	 * @param numeroBolla the numero_bolla to set
	 */
	public void setNumero_bolla(String numeroBolla) {
		numero_bolla = numeroBolla;
	}
	/**
	 * @return the numero_delibera_autorizzazione
	 */
	public String getNumero_delibera_autorizzazione() {
		return numero_delibera_autorizzazione;
	}
	/**
	 * @param numeroDeliberaAutorizzazione the numero_delibera_autorizzazione to set
	 */
	public void setNumero_delibera_autorizzazione(
			String numeroDeliberaAutorizzazione) {
		numero_delibera_autorizzazione = numeroDeliberaAutorizzazione;
	}
	/**
	 * @return the numero_protocollo
	 */
	public String getNumero_protocollo() {
		return numero_protocollo;
	}
	/**
	 * @param numeroProtocollo the numero_protocollo to set
	 */
	public void setNumero_protocollo(String numeroProtocollo) {
		numero_protocollo = numeroProtocollo;
	}
	/**
	 * @return the numero_fattura_attiva
	 */
	public String getNumero_fattura_attiva() {
		return numero_fattura_attiva;
	}
	/**
	 * @param numeroFatturaAttiva the numero_fattura_attiva to set
	 */
	public void setNumero_fattura_attiva(String numeroFatturaAttiva) {
		numero_fattura_attiva = numeroFatturaAttiva;
	}
	/**
	 * @return the numero_fattura_passiva
	 */
	public String getNumero_fattura_passiva() {
		return numero_fattura_passiva;
	}
	/**
	 * @param numeroFatturaPassiva the numero_fattura_passiva to set
	 */
	public void setNumero_fattura_passiva(String numeroFatturaPassiva) {
		numero_fattura_passiva = numeroFatturaPassiva;
	}
	/**
	 * @return the tipo_iva
	 */
	public String getTipo_iva() {
		return tipo_iva;
	}
	/**
	 * @param tipoIva the tipo_iva to set
	 */
	public void setTipo_iva(String tipoIva) {
		tipo_iva = tipoIva;
	}
	/**
	 * @return the numero_quitanza
	 */
	public String getNumero_quitanza() {
		return numero_quitanza;
	}
	/**
	 * @param numeroQuitanza the numero_quitanza to set
	 */
	public void setNumero_quitanza(String numeroQuitanza) {
		numero_quitanza = numeroQuitanza;
	}
	/**
	 * @return the numero_contratto
	 */
	public String getNumero_contratto() {
		return numero_contratto;
	}
	/**
	 * @param numeroContratto the numero_contratto to set
	 */
	public void setNumero_contratto(String numeroContratto) {
		numero_contratto = numeroContratto;
	}
	/**
	 * @return the modalita_pagamento
	 */
	public String getModalita_pagamento() {
		return modalita_pagamento;
	}
	/**
	 * @param modalitaPagamento the modalita_pagamento to set
	 */
	public void setModalita_pagamento(String modalitaPagamento) {
		modalita_pagamento = modalitaPagamento;
	}
	/**
	 * @return the termini_pagamento
	 */
	public String getTermini_pagamento() {
		return termini_pagamento;
	}
	/**
	 * @param terminiPagamento the termini_pagamento to set
	 */
	public void setTermini_pagamento(String terminiPagamento) {
		termini_pagamento = terminiPagamento;
	}
	/**
	 * @return the numero_preventivo_fornitore
	 */
	public String getNumero_preventivo_fornitore() {
		return numero_preventivo_fornitore;
	}
	/**
	 * @param numeroPreventivoFornitore the numero_preventivo_fornitore to set
	 */
	public void setNumero_preventivo_fornitore(String numeroPreventivoFornitore) {
		numero_preventivo_fornitore = numeroPreventivoFornitore;
	}
	/**
	 * @return the abi_universita
	 */
	public String getAbi_universita() {
		return abi_universita;
	}
	/**
	 * @param abiUniversita the abi_universita to set
	 */
	public void setAbi_universita(String abiUniversita) {
		abi_universita = abiUniversita;
	}
	/**
	 * @return the cab_universita
	 */
	public String getCab_universita() {
		return cab_universita;
	}
	/**
	 * @param cabUniversita the cab_universita to set
	 */
	public void setCab_universita(String cabUniversita) {
		cab_universita = cabUniversita;
	}
	/**
	 * @return the numero_conto_universita
	 */
	public String getNumero_conto_universita() {
		return numero_conto_universita;
	}
	/**
	 * @param numeroContoUniversita the numero_conto_universita to set
	 */
	public void setNumero_conto_universita(String numeroContoUniversita) {
		numero_conto_universita = numeroContoUniversita;
	}
	/**
	 * @return the abi_cliente_fornitore
	 */
	public String getAbi_cliente_fornitore() {
		return abi_cliente_fornitore;
	}
	/**
	 * @param abiClienteFornitore the abi_cliente_fornitore to set
	 */
	public void setAbi_cliente_fornitore(String abiClienteFornitore) {
		abi_cliente_fornitore = abiClienteFornitore;
	}
	/**
	 * @return the cab_cliente_fornitore
	 */
	public String getCab_cliente_fornitore() {
		return cab_cliente_fornitore;
	}
	/**
	 * @param cabClienteFornitore the cab_cliente_fornitore to set
	 */
	public void setCab_cliente_fornitore(String cabClienteFornitore) {
		cab_cliente_fornitore = cabClienteFornitore;
	}
	/**
	 * @return the numero_conto_cliente_fornitore
	 */
	public String getNumero_conto_cliente_fornitore() {
		return numero_conto_cliente_fornitore;
	}
	/**
	 * @param numeroContoClienteFornitore the numero_conto_cliente_fornitore to set
	 */
	public void setNumero_conto_cliente_fornitore(String numeroContoClienteFornitore) {
		numero_conto_cliente_fornitore = numeroContoClienteFornitore;
	}
	/**
	 * @return the descrizione_banca_cli_for
	 */
	public String getDescrizione_banca_cli_for() {
		return descrizione_banca_cli_for;
	}
	/**
	 * @param descrizioneBancaCliFor the descrizione_banca_cli_for to set
	 */
	public void setDescrizione_banca_cli_for(String descrizioneBancaCliFor) {
		descrizione_banca_cli_for = descrizioneBancaCliFor;
	}
	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}
	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}
	/**
	 * @return the unita_organizzativa
	 */
	public String getUnita_organizzativa() {
		return unita_organizzativa;
	}
	/**
	 * @param unitaOrganizzativa the unita_organizzativa to set
	 */
	public void setUnita_organizzativa(String unitaOrganizzativa) {
		unita_organizzativa = unitaOrganizzativa;
	}
	/**
	 * @return the competenza_residui
	 */
	public String getCompetenza_residui() {
		return competenza_residui;
	}
	/**
	 * @param competenzaResidui the competenza_residui to set
	 */
	public void setCompetenza_residui(String competenzaResidui) {
		competenza_residui = competenzaResidui;
	}
	/**
	 * @return the codice_valuta_estera
	 */
	public String getCodice_valuta_estera() {
		return codice_valuta_estera;
	}
	/**
	 * @param codiceValutaEstera the codice_valuta_estera to set
	 */
	public void setCodice_valuta_estera(String codiceValutaEstera) {
		codice_valuta_estera = codiceValutaEstera;
	}
	/**
	 * @return the codice_carico_inventario
	 */
	public String getCodice_carico_inventario() {
		return codice_carico_inventario;
	}
	/**
	 * @param codiceCaricoInventario the codice_carico_inventario to set
	 */
	public void setCodice_carico_inventario(String codiceCaricoInventario) {
		codice_carico_inventario = codiceCaricoInventario;
	}
	/**
	 * @return the numero_conto_contabile
	 */
	public String getNumero_conto_contabile() {
		return numero_conto_contabile;
	}
	/**
	 * @param numeroContoContabile the numero_conto_contabile to set
	 */
	public void setNumero_conto_contabile(String numeroContoContabile) {
		numero_conto_contabile = numeroContoContabile;
	}
	/**
	 * @return the scadenza_tassativa
	 */
	public String getScadenza_tassativa() {
		return scadenza_tassativa;
	}
	/**
	 * @param scadenzaTassativa the scadenza_tassativa to set
	 */
	public void setScadenza_tassativa(String scadenzaTassativa) {
		scadenza_tassativa = scadenzaTassativa;
	}
	/**
	 * @return the stato
	 */
	public String getStato() {
		return stato;
	}
	/**
	 * @param stato the stato to set
	 */
	public void setStato(String stato) {
		this.stato = stato;
	}
	/**
	 * @return the inviare_cassiere
	 */
	public String getInviare_cassiere() {
		return inviare_cassiere;
	}
	/**
	 * @param inviareCassiere the inviare_cassiere to set
	 */
	public void setInviare_cassiere(String inviareCassiere) {
		inviare_cassiere = inviareCassiere;
	}
	/**
	 * @return the attiva
	 */
	public String getAttiva() {
		return attiva;
	}
	/**
	 * @param attiva the attiva to set
	 */
	public void setAttiva(String attiva) {
		this.attiva = attiva;
	}
	/**
	 * @return the autorizzatorio
	 */
	public String getAutorizzatorio() {
		return autorizzatorio;
	}
	/**
	 * @param autorizzatorio the autorizzatorio to set
	 */
	public void setAutorizzatorio(String autorizzatorio) {
		this.autorizzatorio = autorizzatorio;
	}
	/**
	 * @return the riportato
	 */
	public String getRiportato() {
		return riportato;
	}
	/**
	 * @param riportato the riportato to set
	 */
	public void setRiportato(String riportato) {
		this.riportato = riportato;
	}
	/**
	 * @return the entrata_spesa
	 */
	public String getEntrata_spesa() {
		return entrata_spesa;
	}
	/**
	 * @param entrataSpesa the entrata_spesa to set
	 */
	public void setEntrata_spesa(String entrataSpesa) {
		entrata_spesa = entrataSpesa;
	}
	/**
	 * @return the posizione
	 */
	public int getPosizione() {
		return posizione;
	}
	/**
	 * @param posizione the posizione to set
	 */
	public void setPosizione(int posizione) {
		this.posizione = posizione;
	}
	/**
	 * @return the piu
	 */
	public String getPiu() {
		return piu;
	}
	/**
	 * @param piu the piu to set
	 */
	public void setPiu(String piu) {
		this.piu = piu;
	}
	/**
	 * @return the aliquota_iva
	 */
	public double getAliquota_iva() {
		return aliquota_iva;
	}
	/**
	 * @param aliquotaIva the aliquota_iva to set
	 */
	public void setAliquota_iva(double aliquotaIva) {
		aliquota_iva = aliquotaIva;
	}
	/**
	 * @return the ammontare_iva
	 */
	public double getAmmontare_iva() {
		return ammontare_iva;
	}
	/**
	 * @param ammontareIva the ammontare_iva to set
	 */
	public void setAmmontare_iva(double ammontareIva) {
		ammontare_iva = ammontareIva;
	}
	/**
	 * @return the ammontare
	 */
	public double getAmmontare() {
		return ammontare;
	}
	/**
	 * @param ammontare the ammontare to set
	 */
	public void setAmmontare(double ammontare) {
		this.ammontare = ammontare;
	}
	/**
	 * @return the ammontare_valuta_estera
	 */
	public double getAmmontare_valuta_estera() {
		return ammontare_valuta_estera;
	}
	/**
	 * @param ammontareValutaEstera the ammontare_valuta_estera to set
	 */
	public void setAmmontare_valuta_estera(double ammontareValutaEstera) {
		ammontare_valuta_estera = ammontareValutaEstera;
	}
	/**
	 * @return the quantita_bene_servizio
	 */
	public double getQuantita_bene_servizio() {
		return quantita_bene_servizio;
	}
	/**
	 * @param quantitaBeneServizio the quantita_bene_servizio to set
	 */
	public void setQuantita_bene_servizio(double quantitaBeneServizio) {
		quantita_bene_servizio = quantitaBeneServizio;
	}
	/**
	 * @return the ritenuta_acconto
	 */
	public double getRitenuta_acconto() {
		return ritenuta_acconto;
	}
	/**
	 * @param ritenutaAcconto the ritenuta_acconto to set
	 */
	public void setRitenuta_acconto(double ritenutaAcconto) {
		ritenuta_acconto = ritenutaAcconto;
	}
	/**
	 * @return the importo_ritenuta_acconto
	 */
	public double getImporto_ritenuta_acconto() {
		return importo_ritenuta_acconto;
	}
	/**
	 * @param importoRitenutaAcconto the importo_ritenuta_acconto to set
	 */
	public void setImporto_ritenuta_acconto(double importoRitenutaAcconto) {
		importo_ritenuta_acconto = importoRitenutaAcconto;
	}
	/**
	 * @return the imponibile_iva
	 */
	public double getImponibile_iva() {
		return imponibile_iva;
	}
	/**
	 * @param imponibileIva the imponibile_iva to set
	 */
	public void setImponibile_iva(double imponibileIva) {
		imponibile_iva = imponibileIva;
	}
	/**
	 * @return the importo_unitario
	 */
	public double getImporto_unitario() {
		return importo_unitario;
	}
	/**
	 * @param importoUnitario the importo_unitario to set
	 */
	public void setImporto_unitario(double importoUnitario) {
		importo_unitario = importoUnitario;
	}
	/**
	 * @return the preventivo_assestato
	 */
	public double getPreventivo_assestato() {
		return preventivo_assestato;
	}
	/**
	 * @param preventivoAssestato the preventivo_assestato to set
	 */
	public void setPreventivo_assestato(double preventivoAssestato) {
		preventivo_assestato = preventivoAssestato;
	}
	/**
	 * @return the consuntivo_primi_documenti
	 */
	public double getConsuntivo_primi_documenti() {
		return consuntivo_primi_documenti;
	}
	/**
	 * @param consuntivoPrimiDocumenti the consuntivo_primi_documenti to set
	 */
	public void setConsuntivo_primi_documenti(double consuntivoPrimiDocumenti) {
		consuntivo_primi_documenti = consuntivoPrimiDocumenti;
	}
	/**
	 * @return the importo_residuo
	 */
	public double getImporto_residuo() {
		return importo_residuo;
	}
	/**
	 * @param importoResiduo the importo_residuo to set
	 */
	public void setImporto_residuo(double importoResiduo) {
		importo_residuo = importoResiduo;
	}
	/**
	 * @return the data_scadenza
	 */
	public Date getData_scadenza() {
		return data_scadenza;
	}
	/**
	 * @param dataScadenza the data_scadenza to set
	 */
	public void setData_scadenza(Date dataScadenza) {
		data_scadenza = dataScadenza;
	}
	/**
	 * @return the inizio_anno_accademico
	 */
	public Date getInizio_anno_accademico() {
		return inizio_anno_accademico;
	}
	/**
	 * @param inizioAnnoAccademico the inizio_anno_accademico to set
	 */
	public void setInizio_anno_accademico(Date inizioAnnoAccademico) {
		inizio_anno_accademico = inizioAnnoAccademico;
	}
	/**
	 * @return the fine_anno_accademico
	 */
	public Date getFine_anno_accademico() {
		return fine_anno_accademico;
	}
	/**
	 * @param fineAnnoAccademico the fine_anno_accademico to set
	 */
	public void setFine_anno_accademico(Date fineAnnoAccademico) {
		fine_anno_accademico = fineAnnoAccademico;
	}
	/**
	 * @return the data_fattura
	 */
	public Date getData_fattura() {
		return data_fattura;
	}
	/**
	 * @param dataFattura the data_fattura to set
	 */
	public void setData_fattura(Date dataFattura) {
		data_fattura = dataFattura;
	}
	/**
	 * @return the data_incasso
	 */
	public Date getData_incasso() {
		return data_incasso;
	}
	/**
	 * @param dataIncasso the data_incasso to set
	 */
	public void setData_incasso(Date dataIncasso) {
		data_incasso = dataIncasso;
	}
	/**
	 * @return the data_regolarizzazione
	 */
	public Date getData_regolarizzazione() {
		return data_regolarizzazione;
	}
	/**
	 * @param dataRegolarizzazione the data_regolarizzazione to set
	 */
	public void setData_regolarizzazione(Date dataRegolarizzazione) {
		data_regolarizzazione = dataRegolarizzazione;
	}
	/**
	 * @return the data_contabilizzazione
	 */
	public Date getData_contabilizzazione() {
		return data_contabilizzazione;
	}
	/**
	 * @param dataContabilizzazione the data_contabilizzazione to set
	 */
	public void setData_contabilizzazione(Date dataContabilizzazione) {
		data_contabilizzazione = dataContabilizzazione;
	}
	/**
	 * @return the data_trasmissione
	 */
	public Date getData_trasmissione() {
		return data_trasmissione;
	}
	/**
	 * @param dataTrasmissione the data_trasmissione to set
	 */
	public void setData_trasmissione(Date dataTrasmissione) {
		data_trasmissione = dataTrasmissione;
	}
	/**
	 * @return the data_ultima
	 */
	public Date getData_ultima() {
		return data_ultima;
	}
	/**
	 * @param dataUltima the data_ultima to set
	 */
	public void setData_ultima(Date dataUltima) {
		data_ultima = dataUltima;
	}
	/**
	 * @return the data_versione
	 */
	public Date getData_versione() {
		return data_versione;
	}
	/**
	 * @param dataVersione the data_versione to set
	 */
	public void setData_versione(Date dataVersione) {
		data_versione = dataVersione;
	}
	/**
	 * @return the data_storno
	 */
	public Date getData_storno() {
		return data_storno;
	}
	/**
	 * @param dataStorno the data_storno to set
	 */
	public void setData_storno(Date dataStorno) {
		data_storno = dataStorno;
	}
	/**
	 * @return the data_invio_storno
	 */
	public Date getData_invio_storno() {
		return data_invio_storno;
	}
	/**
	 * @param dataInvioStorno the data_invio_storno to set
	 */
	public void setData_invio_storno(Date dataInvioStorno) {
		data_invio_storno = dataInvioStorno;
	}
	/**
	 * @return the data_cancellazione
	 */
	public Date getData_cancellazione() {
		return data_cancellazione;
	}
	/**
	 * @param dataCancellazione the data_cancellazione to set
	 */
	public void setData_cancellazione(Date dataCancellazione) {
		data_cancellazione = dataCancellazione;
	}
	/**
	 * @return the data_pagamento
	 */
	public Date getData_pagamento() {
		return data_pagamento;
	}
	/**
	 * @param dataPagamento the data_pagamento to set
	 */
	public void setData_pagamento(Date dataPagamento) {
		data_pagamento = dataPagamento;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the nome_unita_organizzativa
	 */
	public String getNome_unita_organizzativa() {
		return nome_unita_organizzativa;
	}
	/**
	 * @param nomeUnitaOrganizzativa the nome_unita_organizzativa to set
	 */
	public void setNome_unita_organizzativa(String nomeUnitaOrganizzativa) {
		nome_unita_organizzativa = nomeUnitaOrganizzativa;
	}
	/**
	 * @return the data_trasmissione_storno
	 */
	public Date getData_trasmissione_storno() {
		return data_trasmissione_storno;
	}
	/**
	 * @param dataTrasmissioneStorno the data_trasmissione_storno to set
	 */
	public void setData_trasmissione_storno(Date dataTrasmissioneStorno) {
		data_trasmissione_storno = dataTrasmissioneStorno;
	}
	/**
	 * @return the chiave_categoria
	 */
	public String getChiave_categoria() {
		return chiave_categoria;
	}
	/**
	 * @param chiaveCategoria the chiave_categoria to set
	 */
	public void setChiave_categoria(String chiaveCategoria) {
		chiave_categoria = chiaveCategoria;
	}
	/**
	 * @return the data_estinzione
	 */
	public Date getData_estinzione() {
		return data_estinzione;
	}
	/**
	 * @param dataEstinzione the data_estinzione to set
	 */
	public void setData_estinzione(Date dataEstinzione) {
		data_estinzione = dataEstinzione;
	}
	/**
	 * @return the descrizione_causale
	 */
	public String getDescrizione_causale() {
		return descrizione_causale;
	}
	/**
	 * @param descrizioneCausale the descrizione_causale to set
	 */
	public void setDescrizione_causale(String descrizioneCausale) {
		descrizione_causale = descrizioneCausale;
	}
	/**
	 * @return the numero_pagamento_provvisorio
	 */
	public String getNumero_pagamento_provvisorio() {
		return numero_pagamento_provvisorio;
	}
	/**
	 * @param numeroPagamentoProvvisorio the numero_pagamento_provvisorio to set
	 */
	public void setNumero_pagamento_provvisorio(String numeroPagamentoProvvisorio) {
		numero_pagamento_provvisorio = numeroPagamentoProvvisorio;
	}
	/**
	 * @return the cessionario
	 */
	public String getCessionario() {
		return cessionario;
	}
	/**
	 * @param cessionario the cessionario to set
	 */
	public void setCessionario(String cessionario) {
		this.cessionario = cessionario;
	}
	/**
	 * @return the intestazione_conto
	 */
	public String getIntestazione_conto() {
		return intestazione_conto;
	}
	/**
	 * @param intestazioneConto the intestazione_conto to set
	 */
	public void setIntestazione_conto(String intestazioneConto) {
		intestazione_conto = intestazioneConto;
	}
	/**
	 * @return the tipo_conto
	 */
	public String getTipo_conto() {
		return tipo_conto;
	}
	/**
	 * @param tipoConto the tipo_conto to set
	 */
	public void setTipo_conto(String tipoConto) {
		tipo_conto = tipoConto;
	}
	/**
	 * @return the unita_organizzativa_beneficiario
	 */
	public String getUnita_organizzativa_beneficiario() {
		return unita_organizzativa_beneficiario;
	}
	/**
	 * @param unitaOrganizzativaBeneficiario the unita_organizzativa_beneficiario to set
	 */
	public void setUnita_organizzativa_beneficiario(
			String unitaOrganizzativaBeneficiario) {
		unita_organizzativa_beneficiario = unitaOrganizzativaBeneficiario;
	}
	/**
	 * @return the numero_versione_tipologia
	 */
	public String getNumero_versione_tipologia() {
		return numero_versione_tipologia;
	}
	/**
	 * @param numeroVersioneTipologia the numero_versione_tipologia to set
	 */
	public void setNumero_versione_tipologia(String numeroVersioneTipologia) {
		numero_versione_tipologia = numeroVersioneTipologia;
	}
	/**
	 * @return the residuo_utilizzato
	 */
	public String getResiduo_utilizzato() {
		return residuo_utilizzato;
	}
	/**
	 * @param residuoUtilizzato the residuo_utilizzato to set
	 */
	public void setResiduo_utilizzato(String residuoUtilizzato) {
		residuo_utilizzato = residuoUtilizzato;
	}
	/**
	 * @return the progetto
	 */
	public String getProgetto() {
		return progetto;
	}
	/**
	 * @param progetto the progetto to set
	 */
	public void setProgetto(String progetto) {
		this.progetto = progetto;
	}
	/**
	 * @return the arrotondamento
	 */
	public double getArrotondamento() {
		return arrotondamento;
	}
	/**
	 * @param arrotondamento the arrotondamento to set
	 */
	public void setArrotondamento(double arrotondamento) {
		this.arrotondamento = arrotondamento;
	}
	/**
	 * @return the tipo_anagrafico
	 */
	public String getTipo_anagrafico() {
		return tipo_anagrafico;
	}
	/**
	 * @param tipoAnagrafico the tipo_anagrafico to set
	 */
	public void setTipo_anagrafico(String tipoAnagrafico) {
		tipo_anagrafico = tipoAnagrafico;
	}
	/**
	 * @return the ammontare_residuo_documento
	 */
	public double getAmmontare_residuo_documento() {
		return ammontare_residuo_documento;
	}
	/**
	 * @param ammontareResiduoDocumento the ammontare_residuo_documento to set
	 */
	public void setAmmontare_residuo_documento(double ammontareResiduoDocumento) {
		ammontare_residuo_documento = ammontareResiduoDocumento;
	}
	/**
	 * @return the chiave_precedente_procedura
	 */
	public String getChiave_precedente_procedura() {
		return chiave_precedente_procedura;
	}
	/**
	 * @param chiavePrecedenteProcedura the chiave_precedente_procedura to set
	 */
	public void setChiave_precedente_procedura(String chiavePrecedenteProcedura) {
		chiave_precedente_procedura = chiavePrecedenteProcedura;
	}
	/**
	 * @return the importo_bollo
	 */
	public double getImporto_bollo() {
		return importo_bollo;
	}
	/**
	 * @param importoBollo the importo_bollo to set
	 */
	public void setImporto_bollo(double importoBollo) {
		importo_bollo = importoBollo;
	}
	/**
	 * @return the descrizione_bollo
	 */
	public String getDescrizione_bollo() {
		return descrizione_bollo;
	}
	/**
	 * @param descrizioneBollo the descrizione_bollo to set
	 */
	public void setDescrizione_bollo(String descrizioneBollo) {
		descrizione_bollo = descrizioneBollo;
	}
	/**
	 * @return the riportato_chiusura
	 */
	public String getRiportato_chiusura() {
		return riportato_chiusura;
	}
	/**
	 * @param riportatoChiusura the riportato_chiusura to set
	 */
	public void setRiportato_chiusura(String riportatoChiusura) {
		riportato_chiusura = riportatoChiusura;
	}
	/**
	 * @return the data_stampa
	 */
	public Date getData_stampa() {
		return data_stampa;
	}
	/**
	 * @param dataStampa the data_stampa to set
	 */
	public void setData_stampa(Date dataStampa) {
		data_stampa = dataStampa;
	}
	/**
	 * @return the regolarizzazione
	 */
	public String getRegolarizzazione() {
		return regolarizzazione;
	}
	/**
	 * @param regolarizzazione the regolarizzazione to set
	 */
	public void setRegolarizzazione(String regolarizzazione) {
		this.regolarizzazione = regolarizzazione;
	}
	/**
	 * @return the riclassificazione
	 */
	public String getRiclassificazione() {
		return riclassificazione;
	}
	/**
	 * @param riclassificazione the riclassificazione to set
	 */
	public void setRiclassificazione(String riclassificazione) {
		this.riclassificazione = riclassificazione;
	}
	/**
	 * @return the utcr
	 */
	public String getUtcr() {
		return utcr;
	}
	/**
	 * @param utcr the utcr to set
	 */
	public void setUtcr(String utcr) {
		this.utcr = utcr;
	}
	/**
	 * @return the stato_modifica_residuo
	 */
	public String getStato_modifica_residuo() {
		return stato_modifica_residuo;
	}
	/**
	 * @param statoModificaResiduo the stato_modifica_residuo to set
	 */
	public void setStato_modifica_residuo(String statoModificaResiduo) {
		stato_modifica_residuo = statoModificaResiduo;
	}
	/**
	 * @return the riclassificazione_murst
	 */
	public String getRiclassificazione_murst() {
		return riclassificazione_murst;
	}
	/**
	 * @param riclassificazioneMurst the riclassificazione_murst to set
	 */
	public void setRiclassificazione_murst(String riclassificazioneMurst) {
		riclassificazione_murst = riclassificazioneMurst;
	}
	/**
	 * @return the cin
	 */
	public String getCin() {
		return cin;
	}
	/**
	 * @param cin the cin to set
	 */
	public void setCin(String cin) {
		this.cin = cin;
	}
	/**
	 * @return the iban
	 */
	public String getIban() {
		return iban;
	}
	/**
	 * @param iban the iban to set
	 */
	public void setIban(String iban) {
		this.iban = iban;
	}
	/**
	 * @return the bic
	 */
	public String getBic() {
		return bic;
	}
	/**
	 * @param bic the bic to set
	 */
	public void setBic(String bic) {
		this.bic = bic;
	}
	/**
	 * @return the codice_gestionale
	 */
	public String getCodice_gestionale() {
		return codice_gestionale;
	}
	/**
	 * @param codiceGestionale the codice_gestionale to set
	 */
	public void setCodice_gestionale(String codiceGestionale) {
		codice_gestionale = codiceGestionale;
	}
	/**
	 * @return the tipo_provvedimento
	 */
	public String getTipo_provvedimento() {
		return tipo_provvedimento;
	}
	/**
	 * @param tipoProvvedimento the tipo_provvedimento to set
	 */
	public void setTipo_provvedimento(String tipoProvvedimento) {
		tipo_provvedimento = tipoProvvedimento;
	}
	/**
	 * @return the data_provvedimento
	 */
	public Date getData_provvedimento() {
		return data_provvedimento;
	}
	/**
	 * @param dataProvvedimento the data_provvedimento to set
	 */
	public void setData_provvedimento(Date dataProvvedimento) {
		data_provvedimento = dataProvvedimento;
	}
	/**
	 * @return the numero_provvedimento
	 */
	public String getNumero_provvedimento() {
		return numero_provvedimento;
	}
	/**
	 * @param numeroProvvedimento the numero_provvedimento to set
	 */
	public void setNumero_provvedimento(String numeroProvvedimento) {
		numero_provvedimento = numeroProvvedimento;
	}
	/**
	 * @return the sezione_cassa
	 */
	public String getSezione_cassa() {
		return sezione_cassa;
	}
	/**
	 * @param sezioneCassa the sezione_cassa to set
	 */
	public void setSezione_cassa(String sezioneCassa) {
		sezione_cassa = sezioneCassa;
	}
	/**
	 * @return the progetto_destinazione
	 */
	public String getProgetto_destinazione() {
		return progetto_destinazione;
	}
	/**
	 * @param progettoDestinazione the progetto_destinazione to set
	 */
	public void setProgetto_destinazione(String progettoDestinazione) {
		progetto_destinazione = progettoDestinazione;
	}
	/**
	 * @return the cup
	 */
	public String getCup() {
		return cup;
	}
	/**
	 * @param cup the cup to set
	 */
	public void setCup(String cup) {
		this.cup = cup;
	}
	/**
	 * @return the inviare_firma
	 */
	public String getInviare_firma() {
		return inviare_firma;
	}
	/**
	 * @param inviareFirma the inviare_firma to set
	 */
	public void setInviare_firma(String inviareFirma) {
		inviare_firma = inviareFirma;
	}
	/**
	 * @return the inestinto
	 */
	public String getInestinto() {
		return inestinto;
	}
	/**
	 * @param inestinto the inestinto to set
	 */
	public void setInestinto(String inestinto) {
		this.inestinto = inestinto;
	}
	/**
	 * @return the cdr_destinazione
	 */
	public String getCdr_destinazione() {
		return cdr_destinazione;
	}
	/**
	 * @param cdrDestinazione the cdr_destinazione to set
	 */
	public void setCdr_destinazione(String cdrDestinazione) {
		cdr_destinazione = cdrDestinazione;
	}
	/**
	 * @return the ambito
	 */
	public String getAmbito() {
		return ambito;
	}
	/**
	 * @param ambito the ambito to set
	 */
	public void setAmbito(String ambito) {
		this.ambito = ambito;
	}
	/**
	 * @return the inviare_variazione
	 */
	public String getInviare_variazione() {
		return inviare_variazione;
	}
	/**
	 * @param inviareVariazione the inviare_variazione to set
	 */
	public void setInviare_variazione(String inviareVariazione) {
		inviare_variazione = inviareVariazione;
	}
	/**
	 * @return the data_trasmissione_variazione
	 */
	public String getData_trasmissione_variazione() {
		return data_trasmissione_variazione;
	}
	/**
	 * @param dataTrasmissioneVariazione the data_trasmissione_variazione to set
	 */
	public void setData_trasmissione_variazione(String dataTrasmissioneVariazione) {
		data_trasmissione_variazione = dataTrasmissioneVariazione;
	}
	/**
	 * @return the tipo_imputazione
	 */
	public String getTipo_imputazione() {
		return tipo_imputazione;
	}
	/**
	 * @param tipoImputazione the tipo_imputazione to set
	 */
	public void setTipo_imputazione(String tipoImputazione) {
		tipo_imputazione = tipoImputazione;
	}
	/**
	 * @return the note
	 */
	public String getNote() {
		return note;
	}
	/**
	 * @param note the note to set
	 */
	public void setNote(String note) {
		this.note = note;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime
				* result
				+ ((abi_cliente_fornitore == null) ? 0 : abi_cliente_fornitore
						.hashCode());
		result = prime * result
				+ ((abi_universita == null) ? 0 : abi_universita.hashCode());
		long temp;
		temp = Double.doubleToLongBits(aliquota_iva);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result + ((ambito == null) ? 0 : ambito.hashCode());
		temp = Double.doubleToLongBits(ammontare);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(ammontare_iva);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(ammontare_residuo_documento);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(ammontare_valuta_estera);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(arrotondamento);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result + ((attiva == null) ? 0 : attiva.hashCode());
		result = prime * result
				+ ((autorizzatorio == null) ? 0 : autorizzatorio.hashCode());
		result = prime * result + ((bic == null) ? 0 : bic.hashCode());
		result = prime * result
				+ ((bilancio == null) ? 0 : bilancio.hashCode());
		result = prime
				* result
				+ ((cab_cliente_fornitore == null) ? 0 : cab_cliente_fornitore
						.hashCode());
		result = prime * result
				+ ((cab_universita == null) ? 0 : cab_universita.hashCode());
		result = prime * result + ((causale == null) ? 0 : causale.hashCode());
		result = prime
				* result
				+ ((cdr_destinazione == null) ? 0 : cdr_destinazione.hashCode());
		result = prime * result
				+ ((cessionario == null) ? 0 : cessionario.hashCode());
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		result = prime
				* result
				+ ((chiave_altro_documento == null) ? 0
						: chiave_altro_documento.hashCode());
		result = prime
				* result
				+ ((chiave_categoria == null) ? 0 : chiave_categoria.hashCode());
		result = prime
				* result
				+ ((chiave_completa_documento == null) ? 0
						: chiave_completa_documento.hashCode());
		result = prime * result
				+ ((chiave_conto == null) ? 0 : chiave_conto.hashCode());
		result = prime
				* result
				+ ((chiave_documento_originale == null) ? 0
						: chiave_documento_originale.hashCode());
		result = prime
				* result
				+ ((chiave_padre_tipologia == null) ? 0
						: chiave_padre_tipologia.hashCode());
		result = prime * result
				+ ((chiave_piano == null) ? 0 : chiave_piano.hashCode());
		result = prime
				* result
				+ ((chiave_precedente_associato == null) ? 0
						: chiave_precedente_associato.hashCode());
		result = prime
				* result
				+ ((chiave_precedente_procedura == null) ? 0
						: chiave_precedente_procedura.hashCode());
		result = prime
				* result
				+ ((chiave_primo_documento == null) ? 0
						: chiave_primo_documento.hashCode());
		result = prime * result + ((cin == null) ? 0 : cin.hashCode());
		result = prime * result
				+ ((codice_anag == null) ? 0 : codice_anag.hashCode());
		result = prime
				* result
				+ ((codice_bene_servizio == null) ? 0 : codice_bene_servizio
						.hashCode());
		result = prime
				* result
				+ ((codice_carico_inventario == null) ? 0
						: codice_carico_inventario.hashCode());
		result = prime * result
				+ ((codice_fiscale == null) ? 0 : codice_fiscale.hashCode());
		result = prime
				* result
				+ ((codice_gestionale == null) ? 0 : codice_gestionale
						.hashCode());
		result = prime
				* result
				+ ((codice_proventi_ricavi == null) ? 0
						: codice_proventi_ricavi.hashCode());
		result = prime
				* result
				+ ((codice_ubicazione == null) ? 0 : codice_ubicazione
						.hashCode());
		result = prime
				* result
				+ ((codice_valuta_estera == null) ? 0 : codice_valuta_estera
						.hashCode());
		result = prime * result + ((cognome == null) ? 0 : cognome.hashCode());
		result = prime
				* result
				+ ((competenza_residui == null) ? 0 : competenza_residui
						.hashCode());
		temp = Double.doubleToLongBits(consuntivo_primi_documenti);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result + ((cup == null) ? 0 : cup.hashCode());
		result = prime * result + ((dacr == null) ? 0 : dacr.hashCode());
		result = prime
				* result
				+ ((data_cancellazione == null) ? 0 : data_cancellazione
						.hashCode());
		result = prime
				* result
				+ ((data_contabilizzazione == null) ? 0
						: data_contabilizzazione.hashCode());
		result = prime * result
				+ ((data_estinzione == null) ? 0 : data_estinzione.hashCode());
		result = prime * result
				+ ((data_fattura == null) ? 0 : data_fattura.hashCode());
		result = prime * result
				+ ((data_incasso == null) ? 0 : data_incasso.hashCode());
		result = prime
				* result
				+ ((data_invio_storno == null) ? 0 : data_invio_storno
						.hashCode());
		result = prime * result
				+ ((data_pagamento == null) ? 0 : data_pagamento.hashCode());
		result = prime
				* result
				+ ((data_provvedimento == null) ? 0 : data_provvedimento
						.hashCode());
		result = prime
				* result
				+ ((data_regolarizzazione == null) ? 0 : data_regolarizzazione
						.hashCode());
		result = prime * result
				+ ((data_scadenza == null) ? 0 : data_scadenza.hashCode());
		result = prime * result
				+ ((data_stampa == null) ? 0 : data_stampa.hashCode());
		result = prime * result
				+ ((data_storno == null) ? 0 : data_storno.hashCode());
		result = prime
				* result
				+ ((data_trasmissione == null) ? 0 : data_trasmissione
						.hashCode());
		result = prime
				* result
				+ ((data_trasmissione_storno == null) ? 0
						: data_trasmissione_storno.hashCode());
		result = prime
				* result
				+ ((data_trasmissione_variazione == null) ? 0
						: data_trasmissione_variazione.hashCode());
		result = prime * result
				+ ((data_ultima == null) ? 0 : data_ultima.hashCode());
		result = prime * result
				+ ((data_versione == null) ? 0 : data_versione.hashCode());
		result = prime * result
				+ ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime
				* result
				+ ((descrizione_banca_cli_for == null) ? 0
						: descrizione_banca_cli_for.hashCode());
		result = prime
				* result
				+ ((descrizione_bollo == null) ? 0 : descrizione_bollo
						.hashCode());
		result = prime
				* result
				+ ((descrizione_causale == null) ? 0 : descrizione_causale
						.hashCode());
		result = prime
				* result
				+ ((descrizione_transazione == null) ? 0
						: descrizione_transazione.hashCode());
		result = prime * result + ((duva == null) ? 0 : duva.hashCode());
		result = prime * result
				+ ((entrata_spesa == null) ? 0 : entrata_spesa.hashCode());
		result = prime * result
				+ ((esercizio == null) ? 0 : esercizio.hashCode());
		result = prime
				* result
				+ ((fine_anno_accademico == null) ? 0 : fine_anno_accademico
						.hashCode());
		result = prime * result + ((iban == null) ? 0 : iban.hashCode());
		temp = Double.doubleToLongBits(imponibile_iva);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(importo_bollo);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(importo_residuo);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(importo_ritenuta_acconto);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		temp = Double.doubleToLongBits(importo_unitario);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((inestinto == null) ? 0 : inestinto.hashCode());
		result = prime
				* result
				+ ((inizio_anno_accademico == null) ? 0
						: inizio_anno_accademico.hashCode());
		result = prime
				* result
				+ ((intestazione_conto == null) ? 0 : intestazione_conto
						.hashCode());
		result = prime
				* result
				+ ((inviare_cassiere == null) ? 0 : inviare_cassiere.hashCode());
		result = prime * result
				+ ((inviare_firma == null) ? 0 : inviare_firma.hashCode());
		result = prime
				* result
				+ ((inviare_variazione == null) ? 0 : inviare_variazione
						.hashCode());
		result = prime
				* result
				+ ((modalita_pagamento == null) ? 0 : modalita_pagamento
						.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime
				* result
				+ ((nome_unita_organizzativa == null) ? 0
						: nome_unita_organizzativa.hashCode());
		result = prime * result + ((note == null) ? 0 : note.hashCode());
		result = prime * result
				+ ((numero_bolla == null) ? 0 : numero_bolla.hashCode());
		result = prime
				* result
				+ ((numero_conto_cliente_fornitore == null) ? 0
						: numero_conto_cliente_fornitore.hashCode());
		result = prime
				* result
				+ ((numero_conto_contabile == null) ? 0
						: numero_conto_contabile.hashCode());
		result = prime
				* result
				+ ((numero_conto_universita == null) ? 0
						: numero_conto_universita.hashCode());
		result = prime
				* result
				+ ((numero_contratto == null) ? 0 : numero_contratto.hashCode());
		result = prime
				* result
				+ ((numero_delibera_autorizzazione == null) ? 0
						: numero_delibera_autorizzazione.hashCode());
		result = prime
				* result
				+ ((numero_fattura_attiva == null) ? 0 : numero_fattura_attiva
						.hashCode());
		result = prime
				* result
				+ ((numero_fattura_passiva == null) ? 0
						: numero_fattura_passiva.hashCode());
		result = prime
				* result
				+ ((numero_pagamento_provvisorio == null) ? 0
						: numero_pagamento_provvisorio.hashCode());
		result = prime
				* result
				+ ((numero_preventivo_fornitore == null) ? 0
						: numero_preventivo_fornitore.hashCode());
		result = prime
				* result
				+ ((numero_protocollo == null) ? 0 : numero_protocollo
						.hashCode());
		result = prime
				* result
				+ ((numero_provvedimento == null) ? 0 : numero_provvedimento
						.hashCode());
		result = prime * result
				+ ((numero_quitanza == null) ? 0 : numero_quitanza.hashCode());
		result = prime * result
				+ ((numero_versione == null) ? 0 : numero_versione.hashCode());
		result = prime
				* result
				+ ((numero_versione_tipologia == null) ? 0
						: numero_versione_tipologia.hashCode());
		result = prime * result
				+ ((partita_iva == null) ? 0 : partita_iva.hashCode());
		result = prime * result + ((piu == null) ? 0 : piu.hashCode());
		result = prime * result + posizione;
		temp = Double.doubleToLongBits(preventivo_assestato);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((progetto == null) ? 0 : progetto.hashCode());
		result = prime
				* result
				+ ((progetto_destinazione == null) ? 0 : progetto_destinazione
						.hashCode());
		temp = Double.doubleToLongBits(quantita_bene_servizio);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime * result
				+ ((ragione_sociale == null) ? 0 : ragione_sociale.hashCode());
		result = prime
				* result
				+ ((regolarizzazione == null) ? 0 : regolarizzazione.hashCode());
		result = prime
				* result
				+ ((residuo_utilizzato == null) ? 0 : residuo_utilizzato
						.hashCode());
		result = prime
				* result
				+ ((riclassificazione == null) ? 0 : riclassificazione
						.hashCode());
		result = prime
				* result
				+ ((riclassificazione_murst == null) ? 0
						: riclassificazione_murst.hashCode());
		result = prime * result
				+ ((riportato == null) ? 0 : riportato.hashCode());
		result = prime
				* result
				+ ((riportato_chiusura == null) ? 0 : riportato_chiusura
						.hashCode());
		temp = Double.doubleToLongBits(ritenuta_acconto);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		result = prime
				* result
				+ ((scadenza_tassativa == null) ? 0 : scadenza_tassativa
						.hashCode());
		result = prime * result
				+ ((sezione_cassa == null) ? 0 : sezione_cassa.hashCode());
		result = prime * result + ((stato == null) ? 0 : stato.hashCode());
		result = prime
				* result
				+ ((stato_modifica_residuo == null) ? 0
						: stato_modifica_residuo.hashCode());
		result = prime
				* result
				+ ((termini_pagamento == null) ? 0 : termini_pagamento
						.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		result = prime * result
				+ ((tipo_anagrafico == null) ? 0 : tipo_anagrafico.hashCode());
		result = prime * result
				+ ((tipo_conto == null) ? 0 : tipo_conto.hashCode());
		result = prime
				* result
				+ ((tipo_imputazione == null) ? 0 : tipo_imputazione.hashCode());
		result = prime * result
				+ ((tipo_iva == null) ? 0 : tipo_iva.hashCode());
		result = prime
				* result
				+ ((tipo_provvedimento == null) ? 0 : tipo_provvedimento
						.hashCode());
		result = prime
				* result
				+ ((unita_organizzativa == null) ? 0 : unita_organizzativa
						.hashCode());
		result = prime
				* result
				+ ((unita_organizzativa_beneficiario == null) ? 0
						: unita_organizzativa_beneficiario.hashCode());
		result = prime * result + ((utcr == null) ? 0 : utcr.hashCode());
		result = prime * result + ((utuv == null) ? 0 : utuv.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Impegno))
			return false;
		Impegno other = (Impegno) obj;
		if (abi_cliente_fornitore == null) {
			if (other.abi_cliente_fornitore != null)
				return false;
		} else if (!abi_cliente_fornitore.equals(other.abi_cliente_fornitore))
			return false;
		if (abi_universita == null) {
			if (other.abi_universita != null)
				return false;
		} else if (!abi_universita.equals(other.abi_universita))
			return false;
		if (Double.doubleToLongBits(aliquota_iva) != Double
				.doubleToLongBits(other.aliquota_iva))
			return false;
		if (ambito == null) {
			if (other.ambito != null)
				return false;
		} else if (!ambito.equals(other.ambito))
			return false;
		if (Double.doubleToLongBits(ammontare) != Double
				.doubleToLongBits(other.ammontare))
			return false;
		if (Double.doubleToLongBits(ammontare_iva) != Double
				.doubleToLongBits(other.ammontare_iva))
			return false;
		if (Double.doubleToLongBits(ammontare_residuo_documento) != Double
				.doubleToLongBits(other.ammontare_residuo_documento))
			return false;
		if (Double.doubleToLongBits(ammontare_valuta_estera) != Double
				.doubleToLongBits(other.ammontare_valuta_estera))
			return false;
		if (Double.doubleToLongBits(arrotondamento) != Double
				.doubleToLongBits(other.arrotondamento))
			return false;
		if (attiva == null) {
			if (other.attiva != null)
				return false;
		} else if (!attiva.equals(other.attiva))
			return false;
		if (autorizzatorio == null) {
			if (other.autorizzatorio != null)
				return false;
		} else if (!autorizzatorio.equals(other.autorizzatorio))
			return false;
		if (bic == null) {
			if (other.bic != null)
				return false;
		} else if (!bic.equals(other.bic))
			return false;
		if (bilancio == null) {
			if (other.bilancio != null)
				return false;
		} else if (!bilancio.equals(other.bilancio))
			return false;
		if (cab_cliente_fornitore == null) {
			if (other.cab_cliente_fornitore != null)
				return false;
		} else if (!cab_cliente_fornitore.equals(other.cab_cliente_fornitore))
			return false;
		if (cab_universita == null) {
			if (other.cab_universita != null)
				return false;
		} else if (!cab_universita.equals(other.cab_universita))
			return false;
		if (causale == null) {
			if (other.causale != null)
				return false;
		} else if (!causale.equals(other.causale))
			return false;
		if (cdr_destinazione == null) {
			if (other.cdr_destinazione != null)
				return false;
		} else if (!cdr_destinazione.equals(other.cdr_destinazione))
			return false;
		if (cessionario == null) {
			if (other.cessionario != null)
				return false;
		} else if (!cessionario.equals(other.cessionario))
			return false;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		if (chiave_altro_documento == null) {
			if (other.chiave_altro_documento != null)
				return false;
		} else if (!chiave_altro_documento.equals(other.chiave_altro_documento))
			return false;
		if (chiave_categoria == null) {
			if (other.chiave_categoria != null)
				return false;
		} else if (!chiave_categoria.equals(other.chiave_categoria))
			return false;
		if (chiave_completa_documento == null) {
			if (other.chiave_completa_documento != null)
				return false;
		} else if (!chiave_completa_documento
				.equals(other.chiave_completa_documento))
			return false;
		if (chiave_conto == null) {
			if (other.chiave_conto != null)
				return false;
		} else if (!chiave_conto.equals(other.chiave_conto))
			return false;
		if (chiave_documento_originale == null) {
			if (other.chiave_documento_originale != null)
				return false;
		} else if (!chiave_documento_originale
				.equals(other.chiave_documento_originale))
			return false;
		if (chiave_padre_tipologia == null) {
			if (other.chiave_padre_tipologia != null)
				return false;
		} else if (!chiave_padre_tipologia.equals(other.chiave_padre_tipologia))
			return false;
		if (chiave_piano == null) {
			if (other.chiave_piano != null)
				return false;
		} else if (!chiave_piano.equals(other.chiave_piano))
			return false;
		if (chiave_precedente_associato == null) {
			if (other.chiave_precedente_associato != null)
				return false;
		} else if (!chiave_precedente_associato
				.equals(other.chiave_precedente_associato))
			return false;
		if (chiave_precedente_procedura == null) {
			if (other.chiave_precedente_procedura != null)
				return false;
		} else if (!chiave_precedente_procedura
				.equals(other.chiave_precedente_procedura))
			return false;
		if (chiave_primo_documento == null) {
			if (other.chiave_primo_documento != null)
				return false;
		} else if (!chiave_primo_documento.equals(other.chiave_primo_documento))
			return false;
		if (cin == null) {
			if (other.cin != null)
				return false;
		} else if (!cin.equals(other.cin))
			return false;
		if (codice_anag == null) {
			if (other.codice_anag != null)
				return false;
		} else if (!codice_anag.equals(other.codice_anag))
			return false;
		if (codice_bene_servizio == null) {
			if (other.codice_bene_servizio != null)
				return false;
		} else if (!codice_bene_servizio.equals(other.codice_bene_servizio))
			return false;
		if (codice_carico_inventario == null) {
			if (other.codice_carico_inventario != null)
				return false;
		} else if (!codice_carico_inventario
				.equals(other.codice_carico_inventario))
			return false;
		if (codice_fiscale == null) {
			if (other.codice_fiscale != null)
				return false;
		} else if (!codice_fiscale.equals(other.codice_fiscale))
			return false;
		if (codice_gestionale == null) {
			if (other.codice_gestionale != null)
				return false;
		} else if (!codice_gestionale.equals(other.codice_gestionale))
			return false;
		if (codice_proventi_ricavi == null) {
			if (other.codice_proventi_ricavi != null)
				return false;
		} else if (!codice_proventi_ricavi.equals(other.codice_proventi_ricavi))
			return false;
		if (codice_ubicazione == null) {
			if (other.codice_ubicazione != null)
				return false;
		} else if (!codice_ubicazione.equals(other.codice_ubicazione))
			return false;
		if (codice_valuta_estera == null) {
			if (other.codice_valuta_estera != null)
				return false;
		} else if (!codice_valuta_estera.equals(other.codice_valuta_estera))
			return false;
		if (cognome == null) {
			if (other.cognome != null)
				return false;
		} else if (!cognome.equals(other.cognome))
			return false;
		if (competenza_residui == null) {
			if (other.competenza_residui != null)
				return false;
		} else if (!competenza_residui.equals(other.competenza_residui))
			return false;
		if (Double.doubleToLongBits(consuntivo_primi_documenti) != Double
				.doubleToLongBits(other.consuntivo_primi_documenti))
			return false;
		if (cup == null) {
			if (other.cup != null)
				return false;
		} else if (!cup.equals(other.cup))
			return false;
		if (dacr == null) {
			if (other.dacr != null)
				return false;
		} else if (!dacr.equals(other.dacr))
			return false;
		if (data_cancellazione == null) {
			if (other.data_cancellazione != null)
				return false;
		} else if (!data_cancellazione.equals(other.data_cancellazione))
			return false;
		if (data_contabilizzazione == null) {
			if (other.data_contabilizzazione != null)
				return false;
		} else if (!data_contabilizzazione.equals(other.data_contabilizzazione))
			return false;
		if (data_estinzione == null) {
			if (other.data_estinzione != null)
				return false;
		} else if (!data_estinzione.equals(other.data_estinzione))
			return false;
		if (data_fattura == null) {
			if (other.data_fattura != null)
				return false;
		} else if (!data_fattura.equals(other.data_fattura))
			return false;
		if (data_incasso == null) {
			if (other.data_incasso != null)
				return false;
		} else if (!data_incasso.equals(other.data_incasso))
			return false;
		if (data_invio_storno == null) {
			if (other.data_invio_storno != null)
				return false;
		} else if (!data_invio_storno.equals(other.data_invio_storno))
			return false;
		if (data_pagamento == null) {
			if (other.data_pagamento != null)
				return false;
		} else if (!data_pagamento.equals(other.data_pagamento))
			return false;
		if (data_provvedimento == null) {
			if (other.data_provvedimento != null)
				return false;
		} else if (!data_provvedimento.equals(other.data_provvedimento))
			return false;
		if (data_regolarizzazione == null) {
			if (other.data_regolarizzazione != null)
				return false;
		} else if (!data_regolarizzazione.equals(other.data_regolarizzazione))
			return false;
		if (data_scadenza == null) {
			if (other.data_scadenza != null)
				return false;
		} else if (!data_scadenza.equals(other.data_scadenza))
			return false;
		if (data_stampa == null) {
			if (other.data_stampa != null)
				return false;
		} else if (!data_stampa.equals(other.data_stampa))
			return false;
		if (data_storno == null) {
			if (other.data_storno != null)
				return false;
		} else if (!data_storno.equals(other.data_storno))
			return false;
		if (data_trasmissione == null) {
			if (other.data_trasmissione != null)
				return false;
		} else if (!data_trasmissione.equals(other.data_trasmissione))
			return false;
		if (data_trasmissione_storno == null) {
			if (other.data_trasmissione_storno != null)
				return false;
		} else if (!data_trasmissione_storno
				.equals(other.data_trasmissione_storno))
			return false;
		if (data_trasmissione_variazione == null) {
			if (other.data_trasmissione_variazione != null)
				return false;
		} else if (!data_trasmissione_variazione
				.equals(other.data_trasmissione_variazione))
			return false;
		if (data_ultima == null) {
			if (other.data_ultima != null)
				return false;
		} else if (!data_ultima.equals(other.data_ultima))
			return false;
		if (data_versione == null) {
			if (other.data_versione != null)
				return false;
		} else if (!data_versione.equals(other.data_versione))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (descrizione_banca_cli_for == null) {
			if (other.descrizione_banca_cli_for != null)
				return false;
		} else if (!descrizione_banca_cli_for
				.equals(other.descrizione_banca_cli_for))
			return false;
		if (descrizione_bollo == null) {
			if (other.descrizione_bollo != null)
				return false;
		} else if (!descrizione_bollo.equals(other.descrizione_bollo))
			return false;
		if (descrizione_causale == null) {
			if (other.descrizione_causale != null)
				return false;
		} else if (!descrizione_causale.equals(other.descrizione_causale))
			return false;
		if (descrizione_transazione == null) {
			if (other.descrizione_transazione != null)
				return false;
		} else if (!descrizione_transazione
				.equals(other.descrizione_transazione))
			return false;
		if (duva == null) {
			if (other.duva != null)
				return false;
		} else if (!duva.equals(other.duva))
			return false;
		if (entrata_spesa == null) {
			if (other.entrata_spesa != null)
				return false;
		} else if (!entrata_spesa.equals(other.entrata_spesa))
			return false;
		if (esercizio == null) {
			if (other.esercizio != null)
				return false;
		} else if (!esercizio.equals(other.esercizio))
			return false;
		if (fine_anno_accademico == null) {
			if (other.fine_anno_accademico != null)
				return false;
		} else if (!fine_anno_accademico.equals(other.fine_anno_accademico))
			return false;
		if (iban == null) {
			if (other.iban != null)
				return false;
		} else if (!iban.equals(other.iban))
			return false;
		if (Double.doubleToLongBits(imponibile_iva) != Double
				.doubleToLongBits(other.imponibile_iva))
			return false;
		if (Double.doubleToLongBits(importo_bollo) != Double
				.doubleToLongBits(other.importo_bollo))
			return false;
		if (Double.doubleToLongBits(importo_residuo) != Double
				.doubleToLongBits(other.importo_residuo))
			return false;
		if (Double.doubleToLongBits(importo_ritenuta_acconto) != Double
				.doubleToLongBits(other.importo_ritenuta_acconto))
			return false;
		if (Double.doubleToLongBits(importo_unitario) != Double
				.doubleToLongBits(other.importo_unitario))
			return false;
		if (inestinto == null) {
			if (other.inestinto != null)
				return false;
		} else if (!inestinto.equals(other.inestinto))
			return false;
		if (inizio_anno_accademico == null) {
			if (other.inizio_anno_accademico != null)
				return false;
		} else if (!inizio_anno_accademico.equals(other.inizio_anno_accademico))
			return false;
		if (intestazione_conto == null) {
			if (other.intestazione_conto != null)
				return false;
		} else if (!intestazione_conto.equals(other.intestazione_conto))
			return false;
		if (inviare_cassiere == null) {
			if (other.inviare_cassiere != null)
				return false;
		} else if (!inviare_cassiere.equals(other.inviare_cassiere))
			return false;
		if (inviare_firma == null) {
			if (other.inviare_firma != null)
				return false;
		} else if (!inviare_firma.equals(other.inviare_firma))
			return false;
		if (inviare_variazione == null) {
			if (other.inviare_variazione != null)
				return false;
		} else if (!inviare_variazione.equals(other.inviare_variazione))
			return false;
		if (modalita_pagamento == null) {
			if (other.modalita_pagamento != null)
				return false;
		} else if (!modalita_pagamento.equals(other.modalita_pagamento))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (nome_unita_organizzativa == null) {
			if (other.nome_unita_organizzativa != null)
				return false;
		} else if (!nome_unita_organizzativa
				.equals(other.nome_unita_organizzativa))
			return false;
		if (note == null) {
			if (other.note != null)
				return false;
		} else if (!note.equals(other.note))
			return false;
		if (numero_bolla == null) {
			if (other.numero_bolla != null)
				return false;
		} else if (!numero_bolla.equals(other.numero_bolla))
			return false;
		if (numero_conto_cliente_fornitore == null) {
			if (other.numero_conto_cliente_fornitore != null)
				return false;
		} else if (!numero_conto_cliente_fornitore
				.equals(other.numero_conto_cliente_fornitore))
			return false;
		if (numero_conto_contabile == null) {
			if (other.numero_conto_contabile != null)
				return false;
		} else if (!numero_conto_contabile.equals(other.numero_conto_contabile))
			return false;
		if (numero_conto_universita == null) {
			if (other.numero_conto_universita != null)
				return false;
		} else if (!numero_conto_universita
				.equals(other.numero_conto_universita))
			return false;
		if (numero_contratto == null) {
			if (other.numero_contratto != null)
				return false;
		} else if (!numero_contratto.equals(other.numero_contratto))
			return false;
		if (numero_delibera_autorizzazione == null) {
			if (other.numero_delibera_autorizzazione != null)
				return false;
		} else if (!numero_delibera_autorizzazione
				.equals(other.numero_delibera_autorizzazione))
			return false;
		if (numero_fattura_attiva == null) {
			if (other.numero_fattura_attiva != null)
				return false;
		} else if (!numero_fattura_attiva.equals(other.numero_fattura_attiva))
			return false;
		if (numero_fattura_passiva == null) {
			if (other.numero_fattura_passiva != null)
				return false;
		} else if (!numero_fattura_passiva.equals(other.numero_fattura_passiva))
			return false;
		if (numero_pagamento_provvisorio == null) {
			if (other.numero_pagamento_provvisorio != null)
				return false;
		} else if (!numero_pagamento_provvisorio
				.equals(other.numero_pagamento_provvisorio))
			return false;
		if (numero_preventivo_fornitore == null) {
			if (other.numero_preventivo_fornitore != null)
				return false;
		} else if (!numero_preventivo_fornitore
				.equals(other.numero_preventivo_fornitore))
			return false;
		if (numero_protocollo == null) {
			if (other.numero_protocollo != null)
				return false;
		} else if (!numero_protocollo.equals(other.numero_protocollo))
			return false;
		if (numero_provvedimento == null) {
			if (other.numero_provvedimento != null)
				return false;
		} else if (!numero_provvedimento.equals(other.numero_provvedimento))
			return false;
		if (numero_quitanza == null) {
			if (other.numero_quitanza != null)
				return false;
		} else if (!numero_quitanza.equals(other.numero_quitanza))
			return false;
		if (numero_versione == null) {
			if (other.numero_versione != null)
				return false;
		} else if (!numero_versione.equals(other.numero_versione))
			return false;
		if (numero_versione_tipologia == null) {
			if (other.numero_versione_tipologia != null)
				return false;
		} else if (!numero_versione_tipologia
				.equals(other.numero_versione_tipologia))
			return false;
		if (partita_iva == null) {
			if (other.partita_iva != null)
				return false;
		} else if (!partita_iva.equals(other.partita_iva))
			return false;
		if (piu == null) {
			if (other.piu != null)
				return false;
		} else if (!piu.equals(other.piu))
			return false;
		if (posizione != other.posizione)
			return false;
		if (Double.doubleToLongBits(preventivo_assestato) != Double
				.doubleToLongBits(other.preventivo_assestato))
			return false;
		if (progetto == null) {
			if (other.progetto != null)
				return false;
		} else if (!progetto.equals(other.progetto))
			return false;
		if (progetto_destinazione == null) {
			if (other.progetto_destinazione != null)
				return false;
		} else if (!progetto_destinazione.equals(other.progetto_destinazione))
			return false;
		if (Double.doubleToLongBits(quantita_bene_servizio) != Double
				.doubleToLongBits(other.quantita_bene_servizio))
			return false;
		if (ragione_sociale == null) {
			if (other.ragione_sociale != null)
				return false;
		} else if (!ragione_sociale.equals(other.ragione_sociale))
			return false;
		if (regolarizzazione == null) {
			if (other.regolarizzazione != null)
				return false;
		} else if (!regolarizzazione.equals(other.regolarizzazione))
			return false;
		if (residuo_utilizzato == null) {
			if (other.residuo_utilizzato != null)
				return false;
		} else if (!residuo_utilizzato.equals(other.residuo_utilizzato))
			return false;
		if (riclassificazione == null) {
			if (other.riclassificazione != null)
				return false;
		} else if (!riclassificazione.equals(other.riclassificazione))
			return false;
		if (riclassificazione_murst == null) {
			if (other.riclassificazione_murst != null)
				return false;
		} else if (!riclassificazione_murst
				.equals(other.riclassificazione_murst))
			return false;
		if (riportato == null) {
			if (other.riportato != null)
				return false;
		} else if (!riportato.equals(other.riportato))
			return false;
		if (riportato_chiusura == null) {
			if (other.riportato_chiusura != null)
				return false;
		} else if (!riportato_chiusura.equals(other.riportato_chiusura))
			return false;
		if (Double.doubleToLongBits(ritenuta_acconto) != Double
				.doubleToLongBits(other.ritenuta_acconto))
			return false;
		if (scadenza_tassativa == null) {
			if (other.scadenza_tassativa != null)
				return false;
		} else if (!scadenza_tassativa.equals(other.scadenza_tassativa))
			return false;
		if (sezione_cassa == null) {
			if (other.sezione_cassa != null)
				return false;
		} else if (!sezione_cassa.equals(other.sezione_cassa))
			return false;
		if (stato == null) {
			if (other.stato != null)
				return false;
		} else if (!stato.equals(other.stato))
			return false;
		if (stato_modifica_residuo == null) {
			if (other.stato_modifica_residuo != null)
				return false;
		} else if (!stato_modifica_residuo.equals(other.stato_modifica_residuo))
			return false;
		if (termini_pagamento == null) {
			if (other.termini_pagamento != null)
				return false;
		} else if (!termini_pagamento.equals(other.termini_pagamento))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		if (tipo_anagrafico == null) {
			if (other.tipo_anagrafico != null)
				return false;
		} else if (!tipo_anagrafico.equals(other.tipo_anagrafico))
			return false;
		if (tipo_conto == null) {
			if (other.tipo_conto != null)
				return false;
		} else if (!tipo_conto.equals(other.tipo_conto))
			return false;
		if (tipo_imputazione == null) {
			if (other.tipo_imputazione != null)
				return false;
		} else if (!tipo_imputazione.equals(other.tipo_imputazione))
			return false;
		if (tipo_iva == null) {
			if (other.tipo_iva != null)
				return false;
		} else if (!tipo_iva.equals(other.tipo_iva))
			return false;
		if (tipo_provvedimento == null) {
			if (other.tipo_provvedimento != null)
				return false;
		} else if (!tipo_provvedimento.equals(other.tipo_provvedimento))
			return false;
		if (unita_organizzativa == null) {
			if (other.unita_organizzativa != null)
				return false;
		} else if (!unita_organizzativa.equals(other.unita_organizzativa))
			return false;
		if (unita_organizzativa_beneficiario == null) {
			if (other.unita_organizzativa_beneficiario != null)
				return false;
		} else if (!unita_organizzativa_beneficiario
				.equals(other.unita_organizzativa_beneficiario))
			return false;
		if (utcr == null) {
			if (other.utcr != null)
				return false;
		} else if (!utcr.equals(other.utcr))
			return false;
		if (utuv == null) {
			if (other.utuv != null)
				return false;
		} else if (!utuv.equals(other.utuv))
			return false;
		return true;
	}
	
}	
	