/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

@Entity(name="CIA_UNITA_ORGANIZZATIVA")
public class UnitaOrganizzativa extends AdditionalData implements Serializable {
	
	@Transient
	private static final long serialVersionUID = 1L;

	@Transient
	public static final String ciaViewName = "EPOCA_UNITA_ORGANIZZATIVA";

	private String chiave_struttura;
	private String chiave_completa;
	private String chiave;
	private String chiave_completa_padre;
	private String versione;
	private String attiva;
	private String esercizio;
	private String nome_unita;
	private String descrizione;
	private String responsabile;
	private String tipo_unita;
	private String codice_anag;
	private String identificativo_bilancio;
	private BigDecimal numero_livello;
	private String autonomia_spesa;
	private BigDecimal spesa_max_consentita;
	private String autonomia_finanziaria;
	private String cassa;
	private String competenza;
	private String consolida_bilancio;
	private String aggregazione_bilancio;
	@Temporal(TemporalType.DATE)
	private Date data_inizio;
	@Temporal(TemporalType.DATE)
	private Date data_fine;
	@Temporal(TemporalType.DATE)
	private Date duva;
	private String utuv;
	@Temporal(TemporalType.DATE)
	private Date dacr;
	private String durata;
	@Temporal(TemporalType.DATE)
	private Date proroga;
	private String progetto;
	private String matricola_responsabile;
	
//	public UnitaOrganizzativa() {
//		super.setAdditionalDataType(this.getClass().getSimpleName());
//	}

	/**
	 * @return the chiave_struttura
	 */
	public String getChiave_struttura() {
		return chiave_struttura;
	}
	/**
	 * @param chiaveStruttura the chiave_struttura to set
	 */
	public void setChiave_struttura(String chiaveStruttura) {
		chiave_struttura = chiaveStruttura;
	}
	/**
	 * @return the chiave_completa
	 */
	public String getChiave_completa() {
		return chiave_completa;
	}
	/**
	 * @param chiaveCompleta the chiave_completa to set
	 */
	public void setChiave_completa(String chiaveCompleta) {
		chiave_completa = chiaveCompleta;
	}
	/**
	 * @return the chiave
	 */
	public String getChiave() {
		return chiave;
	}
	/**
	 * @param chiave the chiave to set
	 */
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	/**
	 * @return the chiave_completa_padre
	 */
	public String getChiave_completa_padre() {
		return chiave_completa_padre;
	}
	/**
	 * @param chiaveCompletaPadre the chiave_completa_padre to set
	 */
	public void setChiave_completa_padre(String chiaveCompletaPadre) {
		chiave_completa_padre = chiaveCompletaPadre;
	}
	/**
	 * @return the versione
	 */
	public String getVersione() {
		return versione;
	}
	/**
	 * @param versione the versione to set
	 */
	public void setVersione(String versione) {
		this.versione = versione;
	}
	/**
	 * @return the attiva
	 */
	public String getAttiva() {
		return attiva;
	}
	/**
	 * @param attiva the attiva to set
	 */
	public void setAttiva(String attiva) {
		this.attiva = attiva;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/**
	 * @return the nome_unita
	 */
	public String getNome_unita() {
		return nome_unita;
	}
	/**
	 * @param nomeUnita the nome_unita to set
	 */
	public void setNome_unita(String nomeUnita) {
		nome_unita = nomeUnita;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the responsabile
	 */
	public String getResponsabile() {
		return responsabile;
	}
	/**
	 * @param responsabile the responsabile to set
	 */
	public void setResponsabile(String responsabile) {
		this.responsabile = responsabile;
	}
	/**
	 * @return the tipo_unita
	 */
	public String getTipo_unita() {
		return tipo_unita;
	}
	/**
	 * @param tipoUnita the tipo_unita to set
	 */
	public void setTipo_unita(String tipoUnita) {
		tipo_unita = tipoUnita;
	}
	/**
	 * @return the codice_anag
	 */
	public String getCodice_anag() {
		return codice_anag;
	}
	/**
	 * @param codiceAnag the codice_anag to set
	 */
	public void setCodice_anag(String codiceAnag) {
		codice_anag = codiceAnag;
	}
	/**
	 * @return the identificativo_bilancio
	 */
	public String getIdentificativo_bilancio() {
		return identificativo_bilancio;
	}
	/**
	 * @param identificativoBilancio the identificativo_bilancio to set
	 */
	public void setIdentificativo_bilancio(String identificativoBilancio) {
		identificativo_bilancio = identificativoBilancio;
	}
	
	/**
	 * @return the autonomia_spesa
	 */
	public String getAutonomia_spesa() {
		return autonomia_spesa;
	}
	/**
	 * @param autonomiaSpesa the autonomia_spesa to set
	 */
	public void setAutonomia_spesa(String autonomiaSpesa) {
		autonomia_spesa = autonomiaSpesa;
	}
	
	/**
	 * @return the autonomia_finanziaria
	 */
	public String getAutonomia_finanziaria() {
		return autonomia_finanziaria;
	}
	/**
	 * @param autonomiaFinanziaria the autonomia_finanziaria to set
	 */
	public void setAutonomia_finanziaria(String autonomiaFinanziaria) {
		autonomia_finanziaria = autonomiaFinanziaria;
	}
	/**
	 * @return the cassa
	 */
	public String getCassa() {
		return cassa;
	}
	/**
	 * @param cassa the cassa to set
	 */
	public void setCassa(String cassa) {
		this.cassa = cassa;
	}
	/**
	 * @return the competenza
	 */
	public String getCompetenza() {
		return competenza;
	}
	/**
	 * @param competenza the competenza to set
	 */
	public void setCompetenza(String competenza) {
		this.competenza = competenza;
	}
	/**
	 * @return the consolida_bilancio
	 */
	public String getConsolida_bilancio() {
		return consolida_bilancio;
	}
	/**
	 * @param consolidaBilancio the consolida_bilancio to set
	 */
	public void setConsolida_bilancio(String consolidaBilancio) {
		consolida_bilancio = consolidaBilancio;
	}
	/**
	 * @return the aggregazione_bilancio
	 */
	public String getAggregazione_bilancio() {
		return aggregazione_bilancio;
	}
	/**
	 * @param aggregazioneBilancio the aggregazione_bilancio to set
	 */
	public void setAggregazione_bilancio(String aggregazioneBilancio) {
		aggregazione_bilancio = aggregazioneBilancio;
	}
	/**
	 * @return the data_inizio
	 */
	public Date getData_inizio() {
		return data_inizio;
	}
	/**
	 * @param dataInizio the data_inizio to set
	 */
	public void setData_inizio(Date dataInizio) {
		data_inizio = dataInizio;
	}
	/**
	 * @return the data_fine
	 */
	public Date getData_fine() {
		return data_fine;
	}
	/**
	 * @param dataFine the data_fine to set
	 */
	public void setData_fine(Date dataFine) {
		data_fine = dataFine;
	}
	/**
	 * @return the durata
	 */
	public String getDurata() {
		return durata;
	}
	/**
	 * @param durata the durata to set
	 */
	public void setDurata(String durata) {
		this.durata = durata;
	}
	/**
	 * @return the proroga
	 */
	public Date getProroga() {
		return proroga;
	}
	/**
	 * @param proroga the proroga to set
	 */
	public void setProroga(Date proroga) {
		this.proroga = proroga;
	}
	/**
	 * @return the progetto
	 */
	public String getProgetto() {
		return progetto;
	}
	/**
	 * @param progetto the progetto to set
	 */
	public void setProgetto(String progetto) {
		this.progetto = progetto;
	}
	/**
	 * @return the matricola_responsabile
	 */
	public String getMatricola_responsabile() {
		return matricola_responsabile;
	}
	/**
	 * @param matricolaResponsabile the matricola_responsabile to set
	 */
	public void setMatricola_responsabile(String matricolaResponsabile) {
		matricola_responsabile = matricolaResponsabile;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((chiave_completa == null) ? 0 : chiave_completa.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof UnitaOrganizzativa))
			return false;
		UnitaOrganizzativa other = (UnitaOrganizzativa) obj;
		if (chiave_completa == null) {
			if (other.chiave_completa != null)
				return false;
		} else if (!chiave_completa.equals(other.chiave_completa))
			return false;
		return true;
	}
	/**
	 * @return the numero_livello
	 */
	public BigDecimal getNumero_livello() {
		return numero_livello;
	}
	/**
	 * @param numero_livello the numero_livello to set
	 */
	public void setNumero_livello(BigDecimal numero_livello) {
		this.numero_livello = numero_livello;
	}
	/**
	 * @return the spesa_max_consentita
	 */
	public BigDecimal getSpesa_max_consentita() {
		return spesa_max_consentita;
	}
	/**
	 * @param spesa_max_consentita the spesa_max_consentita to set
	 */
	public void setSpesa_max_consentita(BigDecimal spesa_max_consentita) {
		this.spesa_max_consentita = spesa_max_consentita;
	}
	
}
