/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.cia;

import it.fe.core.par.invoice.AdditionalData;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity(name="CIA_UTENTI")
public class Utente extends AdditionalData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static final String ciaViewName = "EPOCA_UTENTI";
	
	private String utente_utente;
	private String utente_matricola;
	private String utente_cognome_nome;
	@Temporal(TemporalType.DATE)
	private Date utente_inizio_validita;
	@Temporal(TemporalType.DATE)
	private Date utente_fine_validita;
	private String uniorg_codice;
	private String uniorg_esercizio;
	private String uniorg_nome;
	private String uniorg_bilancio;
	private String ruolo_codice;
	private String ruolo_descrizione;

	/**
	 * @return the utente_utente
	 */
	public String getUtente_utente() {
		return utente_utente;
	}
	/**
	 * @param utenteUtente the utente_utente to set
	 */
	public void setUtente_utente(String utenteUtente) {
		utente_utente = utenteUtente;
	}
	/**
	 * @return the utente_matricola
	 */
	public String getUtente_matricola() {
		return utente_matricola;
	}
	/**
	 * @param utenteMatricola the utente_matricola to set
	 */
	public void setUtente_matricola(String utenteMatricola) {
		utente_matricola = utenteMatricola;
	}
	/**
	 * @return the utente_cognome_nome
	 */
	public String getUtente_cognome_nome() {
		return utente_cognome_nome;
	}
	/**
	 * @param utenteCognomeNome the utente_cognome_nome to set
	 */
	public void setUtente_cognome_nome(String utenteCognomeNome) {
		utente_cognome_nome = utenteCognomeNome;
	}
	/**
	 * @return the utente_inizio_validita
	 */
	public Date getUtente_inizio_validita() {
		return utente_inizio_validita;
	}
	/**
	 * @param utenteInizioValidita the utente_inizio_validita to set
	 */
	public void setUtente_inizio_validita(Date utenteInizioValidita) {
		utente_inizio_validita = utenteInizioValidita;
	}
	/**
	 * @return the utente_fine_validita
	 */
	public Date getUtente_fine_validita() {
		return utente_fine_validita;
	}
	/**
	 * @param utenteFineValidita the utente_fine_validita to set
	 */
	public void setUtente_fine_validita(Date utenteFineValidita) {
		utente_fine_validita = utenteFineValidita;
	}
	/**
	 * @return the uniorg_codice
	 */
	public String getUniorg_codice() {
		return uniorg_codice;
	}
	/**
	 * @param uniorgCodice the uniorg_codice to set
	 */
	public void setUniorg_codice(String uniorgCodice) {
		uniorg_codice = uniorgCodice;
	}
	/**
	 * @return the uniorg_esercizio
	 */
	public String getUniorg_esercizio() {
		return uniorg_esercizio;
	}
	/**
	 * @param uniorgEsercizio the uniorg_esercizio to set
	 */
	public void setUniorg_esercizio(String uniorgEsercizio) {
		uniorg_esercizio = uniorgEsercizio;
	}
	/**
	 * @param uniorg_nome the uniorg_nome to set
	 */
	public void setUniorg_nome(String uniorg_nome) {
		this.uniorg_nome = uniorg_nome;
	}
	/**
	 * @return the uniorg_nome
	 */
	public String getUniorg_nome() {
		return uniorg_nome;
	}
	/**
	 * @return the uniorg_bilancio
	 */
	public String getUniorg_bilancio() {
		return uniorg_bilancio;
	}
	/**
	 * @param uniorgBilancio the uniorg_bilancio to set
	 */
	public void setUniorg_bilancio(String uniorgBilancio) {
		uniorg_bilancio = uniorgBilancio;
	}
	/**
	 * @return the ruolo_codice
	 */
	public String getRuolo_codice() {
		return ruolo_codice;
	}
	/**
	 * @param ruoloCodice the ruolo_codice to set
	 */
	public void setRuolo_codice(String ruoloCodice) {
		ruolo_codice = ruoloCodice;
	}
	/**
	 * @return the ruolo_descrizione
	 */
	public String getRuolo_descrizione() {
		return ruolo_descrizione;
	}
	/**
	 * @param ruoloDescrizione the ruolo_descrizione to set
	 */
	public void setRuolo_descrizione(String ruoloDescrizione) {
		ruolo_descrizione = ruoloDescrizione;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((ruolo_codice == null) ? 0 : ruolo_codice.hashCode());
		result = prime
				* result
				+ ((ruolo_descrizione == null) ? 0 : ruolo_descrizione
						.hashCode());
		result = prime * result
				+ ((uniorg_bilancio == null) ? 0 : uniorg_bilancio.hashCode());
		result = prime * result
				+ ((uniorg_codice == null) ? 0 : uniorg_codice.hashCode());
		result = prime
				* result
				+ ((uniorg_esercizio == null) ? 0 : uniorg_esercizio.hashCode());
		result = prime * result
				+ ((uniorg_nome == null) ? 0 : uniorg_nome.hashCode());
		result = prime
				* result
				+ ((utente_cognome_nome == null) ? 0 : utente_cognome_nome
						.hashCode());
		result = prime
				* result
				+ ((utente_matricola == null) ? 0 : utente_matricola.hashCode());
		result = prime * result
				+ ((utente_utente == null) ? 0 : utente_utente.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Utente))
			return false;
		Utente other = (Utente) obj;
		if (ruolo_codice == null) {
			if (other.ruolo_codice != null)
				return false;
		} else if (!ruolo_codice.equals(other.ruolo_codice))
			return false;
		if (ruolo_descrizione == null) {
			if (other.ruolo_descrizione != null)
				return false;
		} else if (!ruolo_descrizione.equals(other.ruolo_descrizione))
			return false;
		if (uniorg_bilancio == null) {
			if (other.uniorg_bilancio != null)
				return false;
		} else if (!uniorg_bilancio.equals(other.uniorg_bilancio))
			return false;
		if (uniorg_codice == null) {
			if (other.uniorg_codice != null)
				return false;
		} else if (!uniorg_codice.equals(other.uniorg_codice))
			return false;
		if (uniorg_esercizio == null) {
			if (other.uniorg_esercizio != null)
				return false;
		} else if (!uniorg_esercizio.equals(other.uniorg_esercizio))
			return false;
		if (uniorg_nome == null) {
			if (other.uniorg_nome != null)
				return false;
		} else if (!uniorg_nome.equals(other.uniorg_nome))
			return false;
		if (utente_cognome_nome == null) {
			if (other.utente_cognome_nome != null)
				return false;
		} else if (!utente_cognome_nome.equals(other.utente_cognome_nome))
			return false;
		if (utente_matricola == null) {
			if (other.utente_matricola != null)
				return false;
		} else if (!utente_matricola.equals(other.utente_matricola))
			return false;
		if (utente_utente == null) {
			if (other.utente_utente != null)
				return false;
		} else if (!utente_utente.equals(other.utente_utente))
			return false;
		return true;
	}
}
