/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.sia;

import java.io.Serializable;
import java.util.Date;

@SuppressWarnings("serial")
public class ImpFattura implements Serializable {
	
	public static final String ciaViewName = "IMP_FATTURA";
	
	private long id_imp_fattura;                                                                                                                                                                                        
	private String ti_import;                                                                                                                                                                                       
	private String numero;                                                                                                                                                                                  
	private String bilancio;                                                                                                                                                                                  
	private String esercizio;                                                                                                                                                                                   
	private String unita_organizzativa;                                                                                                                                                                                  
	private String codice_valuta;                                                                                                                                                                                  
	private Date data_valuta;                                                                                                                                                                                          
	private Date data_registrazione;                                                                                                                                                                                          
	private String tipo_fattura;                                                                                                                                                                                  
	private String ragione_sociale;                                                                                                                                                                                 
	private String numero_fattura_fornitore;                                                                                                                                                                                  
	private Date data_fattura;                                                                                                                                                                                          
	private String anno_fattura_fornitore;                                                                                                                                                                                   
	private String modalita_pagamento;                                                                                                                                                                                  
	private String termini_pagamento;                                                                                                                                                                                  
	private double totale_iva;                                                                                                                                                                                  
	private double totale_imponibile;                                                                                                                                                                                  
	private double importo_valuta;                                                                                                                                                                                  
	private String abi;                                                                                                                                                                                   
	private String cab;                                                                                                                                                                                   
	private String numero_conto;                                                                                                                                                                                  
	private long indirizzo;                                                                                                                                                                                       
	private String codice_fornitore;                                                                                                                                                                        
	private String codice_fiscale;                                                                                                                                                                            
	private String partita_iva;                                                                                                                                                                              
	private String iva_sovrascritta;                                                                                                                                                                                 
	private Date data_approvazione_1;                                                                                                                                                                               
	private Date data_approvazione_2;                                                                                                                                                                                  
	private Date data_approvazione_3;                                                                                                                                                                                 
	private Date data_approvazione_4;                                                                                                                                                                                  
	private String stato_approvazione;                                                                                                                                                                             
	private Date data_scadenza;                                                                                                                                                                                 
	private String note;                                                                                                                                                                
	private Date dacr;                                                                                                                                                                           
	private String utuv;                                                                                                                                                                             
	private Date duva;                                                                                                                                                                          
	private String descrizione;                                                                                                                                                              
	private String liquidazione_differita;                                                                                                                                                                                
	private String sezionale;                                                                                                                                                                            
	private String bolla_doganale;                                                                                                                                                                              
	private String auto_fattura;                                                                                                                                                                             
	private String numero_fattura;                                                                                                                                                               
	private String bilancio_fattura;                                                                                                                                                                              
	private String esercizio_fattura;                                                                                                                                                                     
	private Date data_protocollatura;                                                                                                                                                                           
	private String fl_stato_import;                                                                                                                                                                         
	private String fl_err_import;                                                                                                                                                                      
	private String fl_war_import;                                                                                                                                                                     
	private String numero_prefattura_cia;
	
	
	/**
	 * @return the ti_import
	 */
	public String getTi_import() {
		return ti_import;
	}
	/**
	 * @param tiImport the ti_import to set
	 */
	public void setTi_import(String tiImport) {
		ti_import = tiImport;
	}
	/**
	 * @return the numero
	 */
	public String getNumero() {
		return numero;
	}
	/**
	 * @param numero the numero to set
	 */
	public void setNumero(String numero) {
		this.numero = numero;
	}
	/**
	 * @return the bilancio
	 */
	public String getBilancio() {
		return bilancio;
	}
	/**
	 * @param bilancio the bilancio to set
	 */
	public void setBilancio(String bilancio) {
		this.bilancio = bilancio;
	}
	/**
	 * @return the esercizio
	 */
	public String getEsercizio() {
		return esercizio;
	}
	/**
	 * @param esercizio the esercizio to set
	 */
	public void setEsercizio(String esercizio) {
		this.esercizio = esercizio;
	}
	/**
	 * @return the unita_organizzativa
	 */
	public String getUnita_organizzativa() {
		return unita_organizzativa;
	}
	/**
	 * @param unitaOrganizzativa the unita_organizzativa to set
	 */
	public void setUnita_organizzativa(String unitaOrganizzativa) {
		unita_organizzativa = unitaOrganizzativa;
	}
	/**
	 * @return the codice_valuta
	 */
	public String getCodice_valuta() {
		return codice_valuta;
	}
	/**
	 * @param codiceValuta the codice_valuta to set
	 */
	public void setCodice_valuta(String codiceValuta) {
		codice_valuta = codiceValuta;
	}
	/**
	 * @return the data_valuta
	 */
	public Date getData_valuta() {
		return data_valuta;
	}
	/**
	 * @param dataValuta the data_valuta to set
	 */
	public void setData_valuta(Date dataValuta) {
		data_valuta = dataValuta;
	}
	/**
	 * @return the data_registrazione
	 */
	public Date getData_registrazione() {
		return data_registrazione;
	}
	/**
	 * @param dataRegistrazione the data_registrazione to set
	 */
	public void setData_registrazione(Date dataRegistrazione) {
		data_registrazione = dataRegistrazione;
	}
	/**
	 * @return the tipo_fattura
	 */
	public String getTipo_fattura() {
		return tipo_fattura;
	}
	/**
	 * @param tipoFattura the tipo_fattura to set
	 */
	public void setTipo_fattura(String tipoFattura) {
		tipo_fattura = tipoFattura;
	}
	/**
	 * @return the ragione_sociale
	 */
	public String getRagione_sociale() {
		return ragione_sociale;
	}
	/**
	 * @param ragioneSociale the ragione_sociale to set
	 */
	public void setRagione_sociale(String ragioneSociale) {
		ragione_sociale = ragioneSociale;
	}
	/**
	 * @return the numero_fattura_fornitore
	 */
	public String getNumero_fattura_fornitore() {
		return numero_fattura_fornitore;
	}
	/**
	 * @param numeroFatturaFornitore the numero_fattura_fornitore to set
	 */
	public void setNumero_fattura_fornitore(String numeroFatturaFornitore) {
		numero_fattura_fornitore = numeroFatturaFornitore;
	}
	/**
	 * @return the data_fattura
	 */
	public Date getData_fattura() {
		return data_fattura;
	}
	/**
	 * @param dataFattura the data_fattura to set
	 */
	public void setData_fattura(Date dataFattura) {
		data_fattura = dataFattura;
	}
	/**
	 * @return the anno_fattura_fornitore
	 */
	public String getAnno_fattura_fornitore() {
		return anno_fattura_fornitore;
	}
	/**
	 * @param annoFatturaFornitore the anno_fattura_fornitore to set
	 */
	public void setAnno_fattura_fornitore(String annoFatturaFornitore) {
		anno_fattura_fornitore = annoFatturaFornitore;
	}
	/**
	 * @return the modalita_pagamento
	 */
	public String getModalita_pagamento() {
		return modalita_pagamento;
	}
	/**
	 * @param modalitaPagamento the modalita_pagamento to set
	 */
	public void setModalita_pagamento(String modalitaPagamento) {
		modalita_pagamento = modalitaPagamento;
	}
	/**
	 * @return the termini_pagamento
	 */
	public String getTermini_pagamento() {
		return termini_pagamento;
	}
	/**
	 * @param terminiPagamento the termini_pagamento to set
	 */
	public void setTermini_pagamento(String terminiPagamento) {
		termini_pagamento = terminiPagamento;
	}
	/**
	 * @return the totale_iva
	 */
	public double getTotale_iva() {
		return totale_iva;
	}
	/**
	 * @param totaleIva the totale_iva to set
	 */
	public void setTotale_iva(double totaleIva) {
		totale_iva = totaleIva;
	}
	/**
	 * @return the totale_imponibile
	 */
	public double getTotale_imponibile() {
		return totale_imponibile;
	}
	/**
	 * @param totaleImponibile the totale_imponibile to set
	 */
	public void setTotale_imponibile(double totaleImponibile) {
		totale_imponibile = totaleImponibile;
	}
	/**
	 * @return the importo_valuta
	 */
	public double getImporto_valuta() {
		return importo_valuta;
	}
	/**
	 * @param importoValuta the importo_valuta to set
	 */
	public void setImporto_valuta(double importoValuta) {
		importo_valuta = importoValuta;
	}
	/**
	 * @return the abi
	 */
	public String getAbi() {
		return abi;
	}
	/**
	 * @param abi the abi to set
	 */
	public void setAbi(String abi) {
		this.abi = abi;
	}
	/**
	 * @return the cab
	 */
	public String getCab() {
		return cab;
	}
	/**
	 * @param cab the cab to set
	 */
	public void setCab(String cab) {
		this.cab = cab;
	}
	/**
	 * @return the numero_conto
	 */
	public String getNumero_conto() {
		return numero_conto;
	}
	/**
	 * @param numeroConto the numero_conto to set
	 */
	public void setNumero_conto(String numeroConto) {
		numero_conto = numeroConto;
	}
	/**
	 * @return the indirizzo
	 */
	public long getIndirizzo() {
		return indirizzo;
	}
	/**
	 * @param indirizzo the indirizzo to set
	 */
	public void setIndirizzo(long indirizzo) {
		this.indirizzo = indirizzo;
	}
	/**
	 * @return the codice_fornitore
	 */
	public String getCodice_fornitore() {
		return codice_fornitore;
	}
	/**
	 * @param codiceFornitore the codice_fornitore to set
	 */
	public void setCodice_fornitore(String codiceFornitore) {
		codice_fornitore = codiceFornitore;
	}
	/**
	 * @return the codice_fiscale
	 */
	public String getCodice_fiscale() {
		return codice_fiscale;
	}
	/**
	 * @param codiceFiscale the codice_fiscale to set
	 */
	public void setCodice_fiscale(String codiceFiscale) {
		codice_fiscale = codiceFiscale;
	}
	/**
	 * @return the partita_iva
	 */
	public String getPartita_iva() {
		return partita_iva;
	}
	/**
	 * @param partitaIva the partita_iva to set
	 */
	public void setPartita_iva(String partitaIva) {
		partita_iva = partitaIva;
	}
	/**
	 * @return the iva_sovrascritta
	 */
	public String getIva_sovrascritta() {
		return iva_sovrascritta;
	}
	/**
	 * @param ivaSovrascritta the iva_sovrascritta to set
	 */
	public void setIva_sovrascritta(String ivaSovrascritta) {
		iva_sovrascritta = ivaSovrascritta;
	}
	/**
	 * @return the data_approvazione_1
	 */
	public Date getData_approvazione_1() {
		return data_approvazione_1;
	}
	/**
	 * @param dataApprovazione_1 the data_approvazione_1 to set
	 */
	public void setData_approvazione_1(Date dataApprovazione_1) {
		data_approvazione_1 = dataApprovazione_1;
	}
	/**
	 * @return the data_approvazione_2
	 */
	public Date getData_approvazione_2() {
		return data_approvazione_2;
	}
	/**
	 * @param dataApprovazione_2 the data_approvazione_2 to set
	 */
	public void setData_approvazione_2(Date dataApprovazione_2) {
		data_approvazione_2 = dataApprovazione_2;
	}
	/**
	 * @return the data_approvazione_3
	 */
	public Date getData_approvazione_3() {
		return data_approvazione_3;
	}
	/**
	 * @param dataApprovazione_3 the data_approvazione_3 to set
	 */
	public void setData_approvazione_3(Date dataApprovazione_3) {
		data_approvazione_3 = dataApprovazione_3;
	}
	/**
	 * @return the data_approvazione_4
	 */
	public Date getData_approvazione_4() {
		return data_approvazione_4;
	}
	/**
	 * @param dataApprovazione_4 the data_approvazione_4 to set
	 */
	public void setData_approvazione_4(Date dataApprovazione_4) {
		data_approvazione_4 = dataApprovazione_4;
	}
	/**
	 * @return the stato_approvazione
	 */
	public String getStato_approvazione() {
		return stato_approvazione;
	}
	/**
	 * @param statoApprovazione the stato_approvazione to set
	 */
	public void setStato_approvazione(String statoApprovazione) {
		stato_approvazione = statoApprovazione;
	}
	/**
	 * @return the data_scadenza
	 */
	public Date getData_scadenza() {
		return data_scadenza;
	}
	/**
	 * @param dataScadenza the data_scadenza to set
	 */
	public void setData_scadenza(Date dataScadenza) {
		data_scadenza = dataScadenza;
	}
	/**
	 * @return the note
	 */
	public String getNote() {
		return note;
	}
	/**
	 * @param note the note to set
	 */
	public void setNote(String note) {
		this.note = note;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the descrizione
	 */
	public String getDescrizione() {
		return descrizione;
	}
	/**
	 * @param descrizione the descrizione to set
	 */
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	/**
	 * @return the liquidazione_differita
	 */
	public String getLiquidazione_differita() {
		return liquidazione_differita;
	}
	/**
	 * @param liquidazioneDifferita the liquidazione_differita to set
	 */
	public void setLiquidazione_differita(String liquidazioneDifferita) {
		liquidazione_differita = liquidazioneDifferita;
	}
	/**
	 * @return the sezionale
	 */
	public String getSezionale() {
		return sezionale;
	}
	/**
	 * @param sezionale the sezionale to set
	 */
	public void setSezionale(String sezionale) {
		this.sezionale = sezionale;
	}
	/**
	 * @return the bolla_doganale
	 */
	public String getBolla_doganale() {
		return bolla_doganale;
	}
	/**
	 * @param bollaDoganale the bolla_doganale to set
	 */
	public void setBolla_doganale(String bollaDoganale) {
		bolla_doganale = bollaDoganale;
	}
	/**
	 * @return the auto_fattura
	 */
	public String getAuto_fattura() {
		return auto_fattura;
	}
	/**
	 * @param autoFattura the auto_fattura to set
	 */
	public void setAuto_fattura(String autoFattura) {
		auto_fattura = autoFattura;
	}
	/**
	 * @return the numero_fattura
	 */
	public String getNumero_fattura() {
		return numero_fattura;
	}
	/**
	 * @param numeroFattura the numero_fattura to set
	 */
	public void setNumero_fattura(String numeroFattura) {
		numero_fattura = numeroFattura;
	}
	/**
	 * @return the bilancio_fattura
	 */
	public String getBilancio_fattura() {
		return bilancio_fattura;
	}
	/**
	 * @param bilancioFattura the bilancio_fattura to set
	 */
	public void setBilancio_fattura(String bilancioFattura) {
		bilancio_fattura = bilancioFattura;
	}
	/**
	 * @return the esercizio_fattura
	 */
	public String getEsercizio_fattura() {
		return esercizio_fattura;
	}
	/**
	 * @param esercizioFattura the esercizio_fattura to set
	 */
	public void setEsercizio_fattura(String esercizioFattura) {
		esercizio_fattura = esercizioFattura;
	}
	/**
	 * @return the data_protocollatura
	 */
	public Date getData_protocollatura() {
		return data_protocollatura;
	}
	/**
	 * @param dataProtocollatura the data_protocollatura to set
	 */
	public void setData_protocollatura(Date dataProtocollatura) {
		data_protocollatura = dataProtocollatura;
	}
	/**
	 * @return the fl_stato_import
	 */
	public String getFl_stato_import() {
		return fl_stato_import;
	}
	/**
	 * @param flStatoImport the fl_stato_import to set
	 */
	public void setFl_stato_import(String flStatoImport) {
		fl_stato_import = flStatoImport;
	}
	/**
	 * @return the fl_err_import
	 */
	public String getFl_err_import() {
		return fl_err_import;
	}
	/**
	 * @param flErrImport the fl_err_import to set
	 */
	public void setFl_err_import(String flErrImport) {
		fl_err_import = flErrImport;
	}
	/**
	 * @return the fl_war_import
	 */
	public String getFl_war_import() {
		return fl_war_import;
	}
	/**
	 * @param flWarImport the fl_war_import to set
	 */
	public void setFl_war_import(String flWarImport) {
		fl_war_import = flWarImport;
	}
	/**
	 * @return the numero_prefattura_cia
	 */
	public String getNumero_prefattura_cia() {
		return numero_prefattura_cia;
	}
	/**
	 * @param numeroPrefatturaCia the numero_prefattura_cia to set
	 */
	public void setNumero_prefattura_cia(String numeroPrefatturaCia) {
		numero_prefattura_cia = numeroPrefatturaCia;
	}
	public void setId_imp_fattura(long id_imp_fattura) {
		this.id_imp_fattura = id_imp_fattura;
	}
	public long getId_imp_fattura() {
		return id_imp_fattura;
	}
	
	
	

}
