/**
 * This file is part of FatturazioneElettronica - Core Extensions - UniMoRe
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - UniMoRe is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - UniMoRe.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.unimore.sia;

import java.io.Serializable;
import java.util.Date;

@SuppressWarnings("serial")
public class ImpFatturaDett implements Serializable {
	
	public static final String ciaViewName = "IMP_FATTURA_DETT";
	
	private long id_imp_fattura;
	private long numero_dettaglio;                                                                                                                                                                                 
	private String codice_iva;                                                                                                                                                                              
	private double quantita;                                                                                                                                                                     
	private String tipologia_spesa;                                                                                                                                                                  
	private String codice_bene;                                                                                                                                                                       
	private double prezzo_totale;                                                                                                                                                                         
	private double importo_totale_it;                                                                                                                                                                            
	private double prezzo_unitario;                                                                                                                                                                    
	private double percentuale_iva;                                                                                                                                                                 
	private Date inizio;                                                                                                                                                                     
	private Date fine;                                                                                                                                                                          
	private long numero_dettaglio_o;                                                                                                                                                                      
	private String numero_ordine;                                                                                                                                                                            
	private String esercizio_ordine;                                                                                                                                                                     
	private Date dacr;                                                                                                                                                                          
	private String utuv;                                                                                                                                                                       
	private Date duva;                                                                                                                                                                                 
	private String descrizione_bene;                                                                                                                                                                               
	private String discrepante_ordine;                                                                                                                                                                              
	private String unita_organizzativa;                                                                                                                                                                  
	private String conto_contabile;                                                                                                                                                                             
	private String funzione_obiettivo;                                                                                                                                                                            
	private String causale;                                                                                                                                                                             
	private String centro_costo;                                                                                                                                                                          
	private String chiave_impegno;                                                                                                                                                                          
	private double importo_sconto;                                                                                                                                                                             
	private String commessa;                                                                                                                                                                            
	private double importo_iva;                                                                                                                                                                               
	private String chiave_prenotazione;                                                                                                                                                                         
	private String tipo_fattura;                                                                                                                                                                          
	private String da_non_inventariare;                                                                                                                                                                               
	private String flag_solo_iva;                                                                                                                                                                                
	private double sconto_finanziario;                                                                                                                                                                
	private double abbuono;                                                                                                                                                                      
	private double spesa_commissione_bancaria;                                                                                                                                                                   
	private double differenza_cambio;                                                                                                                                                                        
	private String codice_articolo;                                                                                                                                                                        
	private String responsabile_collaudo;                                                                                                                                                                
	private Date data_collaudo;  
	
	
	/**
	 * @return the numero_dettaglio
	 */
	public long getNumero_dettaglio() {
		return numero_dettaglio;
	}
	/**
	 * @param numeroDettaglio the numero_dettaglio to set
	 */
	public void setNumero_dettaglio(long numeroDettaglio) {
		numero_dettaglio = numeroDettaglio;
	}
	/**
	 * @return the codice_iva
	 */
	public String getCodice_iva() {
		return codice_iva;
	}
	/**
	 * @param codiceIva the codice_iva to set
	 */
	public void setCodice_iva(String codiceIva) {
		codice_iva = codiceIva;
	}
	/**
	 * @return the quantita
	 */
	public double getQuantita() {
		return quantita;
	}
	/**
	 * @param quantita the quantita to set
	 */
	public void setQuantita(double quantita) {
		this.quantita = quantita;
	}
	/**
	 * @return the tipologia_spesa
	 */
	public String getTipologia_spesa() {
		return tipologia_spesa;
	}
	/**
	 * @param tipologiaSpesa the tipologia_spesa to set
	 */
	public void setTipologia_spesa(String tipologiaSpesa) {
		tipologia_spesa = tipologiaSpesa;
	}
	/**
	 * @return the codice_bene
	 */
	public String getCodice_bene() {
		return codice_bene;
	}
	/**
	 * @param codiceBene the codice_bene to set
	 */
	public void setCodice_bene(String codiceBene) {
		codice_bene = codiceBene;
	}
	/**
	 * @return the prezzo_totale
	 */
	public double getPrezzo_totale() {
		return prezzo_totale;
	}
	/**
	 * @param prezzoTotale the prezzo_totale to set
	 */
	public void setPrezzo_totale(double prezzoTotale) {
		prezzo_totale = prezzoTotale;
	}
	/**
	 * @return the importo_totale_it
	 */
	public double getImporto_totale_it() {
		return importo_totale_it;
	}
	/**
	 * @param importoTotaleIt the importo_totale_it to set
	 */
	public void setImporto_totale_it(double importoTotaleIt) {
		importo_totale_it = importoTotaleIt;
	}
	/**
	 * @return the prezzo_unitario
	 */
	public double getPrezzo_unitario() {
		return prezzo_unitario;
	}
	/**
	 * @param prezzoUnitario the prezzo_unitario to set
	 */
	public void setPrezzo_unitario(double prezzoUnitario) {
		prezzo_unitario = prezzoUnitario;
	}
	/**
	 * @return the percentuale_iva
	 */
	public double getPercentuale_iva() {
		return percentuale_iva;
	}
	/**
	 * @param percentualeIva the percentuale_iva to set
	 */
	public void setPercentuale_iva(double percentualeIva) {
		percentuale_iva = percentualeIva;
	}
	/**
	 * @return the inizio
	 */
	public Date getInizio() {
		return inizio;
	}
	/**
	 * @param inizio the inizio to set
	 */
	public void setInizio(Date inizio) {
		this.inizio = inizio;
	}
	/**
	 * @return the fine
	 */
	public Date getFine() {
		return fine;
	}
	/**
	 * @param fine the fine to set
	 */
	public void setFine(Date fine) {
		this.fine = fine;
	}
	/**
	 * @return the numero_dettaglio_o
	 */
	public long getNumero_dettaglio_o() {
		return numero_dettaglio_o;
	}
	/**
	 * @param numeroDettaglioO the numero_dettaglio_o to set
	 */
	public void setNumero_dettaglio_o(long numeroDettaglioO) {
		numero_dettaglio_o = numeroDettaglioO;
	}
	/**
	 * @return the numero_ordine
	 */
	public String getNumero_ordine() {
		return numero_ordine;
	}
	/**
	 * @param numeroOrdine the numero_ordine to set
	 */
	public void setNumero_ordine(String numeroOrdine) {
		numero_ordine = numeroOrdine;
	}
	/**
	 * @return the esercizio_ordine
	 */
	public String getEsercizio_ordine() {
		return esercizio_ordine;
	}
	/**
	 * @param esercizioOrdine the esercizio_ordine to set
	 */
	public void setEsercizio_ordine(String esercizioOrdine) {
		esercizio_ordine = esercizioOrdine;
	}
	/**
	 * @return the dacr
	 */
	public Date getDacr() {
		return dacr;
	}
	/**
	 * @param dacr the dacr to set
	 */
	public void setDacr(Date dacr) {
		this.dacr = dacr;
	}
	/**
	 * @return the utuv
	 */
	public String getUtuv() {
		return utuv;
	}
	/**
	 * @param utuv the utuv to set
	 */
	public void setUtuv(String utuv) {
		this.utuv = utuv;
	}
	/**
	 * @return the duva
	 */
	public Date getDuva() {
		return duva;
	}
	/**
	 * @param duva the duva to set
	 */
	public void setDuva(Date duva) {
		this.duva = duva;
	}
	/**
	 * @return the descrizione_bene
	 */
	public String getDescrizione_bene() {
		return descrizione_bene;
	}
	/**
	 * @param descrizioneBene the descrizione_bene to set
	 */
	public void setDescrizione_bene(String descrizioneBene) {
		descrizione_bene = descrizioneBene;
	}
	/**
	 * @return the discrepante_ordine
	 */
	public String getDiscrepante_ordine() {
		return discrepante_ordine;
	}
	/**
	 * @param discrepanteOrdine the discrepante_ordine to set
	 */
	public void setDiscrepante_ordine(String discrepanteOrdine) {
		discrepante_ordine = discrepanteOrdine;
	}
	/**
	 * @return the unita_organizzativa
	 */
	public String getUnita_organizzativa() {
		return unita_organizzativa;
	}
	/**
	 * @param unitaOrganizzativa the unita_organizzativa to set
	 */
	public void setUnita_organizzativa(String unitaOrganizzativa) {
		unita_organizzativa = unitaOrganizzativa;
	}
	/**
	 * @return the conto_contabile
	 */
	public String getConto_contabile() {
		return conto_contabile;
	}
	/**
	 * @param contoContabile the conto_contabile to set
	 */
	public void setConto_contabile(String contoContabile) {
		conto_contabile = contoContabile;
	}
	/**
	 * @return the funzione_obiettivo
	 */
	public String getFunzione_obiettivo() {
		return funzione_obiettivo;
	}
	/**
	 * @param funzioneObiettivo the funzione_obiettivo to set
	 */
	public void setFunzione_obiettivo(String funzioneObiettivo) {
		funzione_obiettivo = funzioneObiettivo;
	}
	/**
	 * @return the causale
	 */
	public String getCausale() {
		return causale;
	}
	/**
	 * @param causale the causale to set
	 */
	public void setCausale(String causale) {
		this.causale = causale;
	}
	/**
	 * @return the centro_costo
	 */
	public String getCentro_costo() {
		return centro_costo;
	}
	/**
	 * @param centroCosto the centro_costo to set
	 */
	public void setCentro_costo(String centroCosto) {
		centro_costo = centroCosto;
	}
	/**
	 * @return the chiave_impegno
	 */
	public String getChiave_impegno() {
		return chiave_impegno;
	}
	/**
	 * @param chiaveImpegno the chiave_impegno to set
	 */
	public void setChiave_impegno(String chiaveImpegno) {
		chiave_impegno = chiaveImpegno;
	}
	/**
	 * @return the importo_sconto
	 */
	public double getImporto_sconto() {
		return importo_sconto;
	}
	/**
	 * @param importoSconto the importo_sconto to set
	 */
	public void setImporto_sconto(double importoSconto) {
		importo_sconto = importoSconto;
	}
	/**
	 * @return the commessa
	 */
	public String getCommessa() {
		return commessa;
	}
	/**
	 * @param commessa the commessa to set
	 */
	public void setCommessa(String commessa) {
		this.commessa = commessa;
	}
	/**
	 * @return the importo_iva
	 */
	public double getImporto_iva() {
		return importo_iva;
	}
	/**
	 * @param importoIva the importo_iva to set
	 */
	public void setImporto_iva(double importoIva) {
		importo_iva = importoIva;
	}
	/**
	 * @return the chiave_prenotazione
	 */
	public String getChiave_prenotazione() {
		return chiave_prenotazione;
	}
	/**
	 * @param chiavePrenotazione the chiave_prenotazione to set
	 */
	public void setChiave_prenotazione(String chiavePrenotazione) {
		chiave_prenotazione = chiavePrenotazione;
	}
	/**
	 * @return the tipo_fattura
	 */
	public String getTipo_fattura() {
		return tipo_fattura;
	}
	/**
	 * @param tipoFattura the tipo_fattura to set
	 */
	public void setTipo_fattura(String tipoFattura) {
		tipo_fattura = tipoFattura;
	}
	/**
	 * @return the da_non_inventariare
	 */
	public String getDa_non_inventariare() {
		return da_non_inventariare;
	}
	/**
	 * @param daNonInventariare the da_non_inventariare to set
	 */
	public void setDa_non_inventariare(String daNonInventariare) {
		da_non_inventariare = daNonInventariare;
	}
	/**
	 * @return the flag_solo_iva
	 */
	public String getFlag_solo_iva() {
		return flag_solo_iva;
	}
	/**
	 * @param flagSoloIva the flag_solo_iva to set
	 */
	public void setFlag_solo_iva(String flagSoloIva) {
		flag_solo_iva = flagSoloIva;
	}
	/**
	 * @return the sconto_finanziario
	 */
	public double getSconto_finanziario() {
		return sconto_finanziario;
	}
	/**
	 * @param scontoFinanziario the sconto_finanziario to set
	 */
	public void setSconto_finanziario(double scontoFinanziario) {
		sconto_finanziario = scontoFinanziario;
	}
	/**
	 * @return the abbuono
	 */
	public double getAbbuono() {
		return abbuono;
	}
	/**
	 * @param abbuono the abbuono to set
	 */
	public void setAbbuono(double abbuono) {
		this.abbuono = abbuono;
	}
	/**
	 * @return the spesa_commissione_bancaria
	 */
	public double getSpesa_commissione_bancaria() {
		return spesa_commissione_bancaria;
	}
	/**
	 * @param spesaCommissioneBancaria the spesa_commissione_bancaria to set
	 */
	public void setSpesa_commissione_bancaria(double spesaCommissioneBancaria) {
		spesa_commissione_bancaria = spesaCommissioneBancaria;
	}
	/**
	 * @return the differenza_cambio
	 */
	public double getDifferenza_cambio() {
		return differenza_cambio;
	}
	/**
	 * @param differenzaCambio the differenza_cambio to set
	 */
	public void setDifferenza_cambio(double differenzaCambio) {
		differenza_cambio = differenzaCambio;
	}
	/**
	 * @return the codice_articolo
	 */
	public String getCodice_articolo() {
		return codice_articolo;
	}
	/**
	 * @param codiceArticolo the codice_articolo to set
	 */
	public void setCodice_articolo(String codiceArticolo) {
		codice_articolo = codiceArticolo;
	}
	/**
	 * @return the responsabile_collaudo
	 */
	public String getResponsabile_collaudo() {
		return responsabile_collaudo;
	}
	/**
	 * @param responsabileCollaudo the responsabile_collaudo to set
	 */
	public void setResponsabile_collaudo(String responsabileCollaudo) {
		responsabile_collaudo = responsabileCollaudo;
	}
	/**
	 * @return the data_collaudo
	 */
	public Date getData_collaudo() {
		return data_collaudo;
	}
	/**
	 * @param dataCollaudo the data_collaudo to set
	 */
	public void setData_collaudo(Date dataCollaudo) {
		data_collaudo = dataCollaudo;
	}
	public void setId_imp_fattura(long id_imp_fattura) {
		this.id_imp_fattura = id_imp_fattura;
	}
	public long getId_imp_fattura() {
		return id_imp_fattura;
	}

}
