/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.common.utils;

import com.sun.xml.bind.marshaller.NamespacePrefixMapper;

public class SDINamespaceMapper extends NamespacePrefixMapper {
 
    private static final String TYPES_PREFIX = "types";
    private static final String TYPES_URI = "http://www.fatturapa.gov.it/sdi/messaggi/v1.0";
 
    private static final String DS_PREFIX = "ds";
    private static final String DS_URI = "http://www.w3.org/2000/09/xmldsig#";
 
    private static final String XSI_PREFIX = "xsi";
    private static final String XSI_URI = "http://www.w3.org/2001/XMLSchema-instance";
 
    @Override
    public String getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix) {
        if(TYPES_URI.equals(namespaceUri)) {
            return TYPES_PREFIX;
        } else if(DS_URI.equals(namespaceUri)) {
            return DS_PREFIX;
        } else if(XSI_URI.equals(namespaceUri)) {
            return XSI_PREFIX;
        }
        return suggestion;
    }
 
    @Override
    public String[] getPreDeclaredNamespaceUris() {
        return new String[] { TYPES_URI, DS_URI, XSI_URI };
    }
 
}