/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.authorization;

import it.fe.core.par.authorization.Permission;

import java.util.List;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import org.apache.log4j.Logger;


@Stateless
@Remote(PermissionManager.class)
public class PermissionManagerBean implements PermissionManager {

	@PersistenceContext(name="FatturazioneElettronicaPersistenceUnit")
	EntityManager entityManager;
	
	protected static Logger logger = Logger.getLogger(PermissionManagerBean.class.getName());

	@SuppressWarnings("unchecked")
	public List<Permission> getPermissions() {
		Query q = entityManager.createQuery("SELECT p FROM Permission p");
		List<Permission> permissions = q.getResultList();
		return permissions;
	}

	public Permission getPermissionByCode(String code) {
		Query q = entityManager.createQuery("SELECT p FROM Permission p WHERE p.code = :code");
		q.setParameter("code", code);
		return (Permission) q.getSingleResult();
	}

}
