/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.invoice;

import it.fe.core.par.invoice.InvoiceState;

import java.util.List;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import org.apache.log4j.Logger;

@Stateless
@Remote(InvoiceStateManager.class)
public class InvoiceStateManagerBean implements InvoiceStateManager {

	@PersistenceContext(name="FatturazioneElettronicaPersistenceUnit")
	EntityManager entityManager;
	
	protected static Logger logger = Logger.getLogger(InvoiceStateManagerBean.class.getName());
	
	@SuppressWarnings("unchecked")
	public List<InvoiceState> getInvoiceStates() {
		Query q = entityManager.createQuery("SELECT s FROM InvoiceState s");
		List<InvoiceState> invoiceStates = q.getResultList();
		return invoiceStates;
	}

	public InvoiceState getInvoiceStateByDescription(String description) {
		Query q = entityManager.createQuery("SELECT s FROM InvoiceState s WHERE s.description = :description");
		q.setParameter("description", description);
		return (InvoiceState)q.getSingleResult();
	}

	public InvoiceState getInvoiceStateById(long id) {
		Query q = entityManager.createQuery("SELECT s FROM InvoiceState s WHERE s.id = :id");
		q.setParameter("id", id);
		return (InvoiceState)q.getSingleResult();
	}

}
