/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.sdi;

import it.fe.core.par.sdi.NotificaDecorrenzaTermini;

import java.util.List;

public interface NotificaDecorrenzaTerminiManager {

	public Long insert(NotificaDecorrenzaTermini notifica);
	
	public NotificaDecorrenzaTermini findById(Long id);
	
	public NotificaDecorrenzaTermini update(NotificaDecorrenzaTermini notifica);
	
	public int remove(NotificaDecorrenzaTermini notifica);
	
	public List<NotificaDecorrenzaTermini> findAll();
	
	public List<NotificaDecorrenzaTermini> findByIdentificativoSdi(String identificativoSdi);
	
	public List<NotificaDecorrenzaTermini> findByNomeFile(String nomeFile);
	
	public List<NotificaDecorrenzaTermini> findByMessageId(String messageId);
	
	public List<NotificaDecorrenzaTermini> findByPecMessageId(String pecMessageId);
	
	public List<NotificaDecorrenzaTermini> findByNumeroFattura(String numeroFattura);
}
