/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.user;

import it.fe.core.par.user.Context;

import java.util.List;
import java.util.logging.Logger;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless
@Remote(ContextManager.class)
public class ContextManagerBean implements ContextManager {
	
	@PersistenceContext(name="FatturazioneElettronicaPersistenceUnit")
	EntityManager entityManager;
	
	protected static Logger logger = Logger.getLogger(ContextManagerBean.class.getName());

	@SuppressWarnings("unchecked")
	public List<Context> getContexts() {
		Query q = entityManager.createQuery("SELECT c FROM Context c");
		List<Context> contexts = q.getResultList();
		return contexts;
	}

	public Context getContextByDescription(String description) {
		Query q = entityManager.createQuery("SELECT c FROM Context c WHERE description = :description");
		q.setParameter("description", description);
		return (Context) q.getSingleResult();
	}

}
