/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.utility;

import it.fe.core.par.common.PostalAddress;
import it.fe.core.par.utility.Meter;
import it.fe.core.par.utility.SupplyInfo;

import java.util.List;

public interface MeterManager {
	public List<Meter> getMeters();
	
	public Meter getMeterById(long id);
	
	public long insertMeter(Meter meter);
	
	public Meter updateMeterSupplyInfo(Long meterId, SupplyInfo supplyInfo);
	
	public int removeMeterById(long id);

	public Meter findMeter(String meterNumber, PostalAddress meterAddress);
	
	public Meter findMeter(String meterNumber, String connectionNumber);
}
