/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.par.authorization;

import it.fe.core.par.invoice.InvoiceState;
import it.fe.core.par.user.Role;

import java.io.Serializable;

import javax.persistence.Embeddable;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import org.hibernate.annotations.Parent;


@Embeddable
public class RoleDetail implements Serializable {

	private static final long serialVersionUID = 1L;
	
		public RoleDetail() {
		super();
	}

	public RoleDetail(Role role, InvoiceState invoiceState, Permission permission) {
			super();
			this.role = role;
			this.invoiceState = invoiceState;
			this.permission = permission;
	}

	@Parent
	private Role role;

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="invoiceStateId",
            	nullable = false,
            	updatable = false)
	private InvoiceState invoiceState;

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="permissionId",
        		nullable = false,
        		updatable = false)
	private Permission permission;

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public InvoiceState getInvoiceState() {
		return invoiceState;
	}

	public void setInvoiceState(InvoiceState invoiceState) {
		this.invoiceState = invoiceState;
	}

	public Permission getPermission() {
		return permission;
	}

	public void setPermission(Permission permission) {
		this.permission = permission;
	}
	

	@Override
	public int hashCode() {
		
		return super.hashCode();
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RoleDetail other = (RoleDetail) obj;
		if (permission == null) {
			if (other.permission != null)
				return false;
		} else if (!permission.equals(other.permission))
			return false;
		if (role == null) {
			if (other.role != null)
				return false;
		} else if (!role.equals(other.role))
			return false;
		if (invoiceState == null) {
			if (other.invoiceState != null)
				return false;
		} else if (!invoiceState.equals(other.invoiceState))
			return false;
		return true;
	}

}
