/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @author chiara.pezzi@epocaricerca.it
 * 
 * <br /><br />
* 
 *
 */

/**
 * La classe <b><i>Contact</i></b> contiene le informazioni relative ai contatti del gestore della rete.
 * 
 * <b>N.B.</b> Sono presenti le annotazioni Hibernate/JPA per la persistenza sul database di FE.
 *
 */

package it.fe.core.par.utility;

import it.fe.core.par.invoice.Client;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Lob;


@Entity
@Table(name="Contacts")
public class Contact {

	private static final long serialVersionUID = 1L;
	
	/**
	 * Numero progressivo assegnato al contatto
	 */
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private Long contactId;
	
	/**
	 * Numero di telefono del gestore
	 */
	private String telephone;
	
	/**
	 * Note associate al contatto
	 */
	@Lob
	private String notes;
	
	/**
	 * @param telephone
	 * @param notes
	 */
	public Contact(String telephone, String notes) {
		super();
		this.setTelephone(telephone);
		this.setNotes(notes);
	}

	/**
	 * @return the telephone
	 */
	public String getTelephone() {
		return telephone;
	}

	/**
	 * @param telephone the telephone to set
	 */
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	/**
	 * @return the notes
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * @param notes the notes to set
	 */
	public void setNotes(String notes) {
		this.notes = notes;
	}	
}
