/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.process.listener;

import it.fe.core.common.utils.JNDIUtils;
import it.fe.core.par.invoice.InvoiceState;

import org.jbpm.api.listener.EventListener;
import org.jbpm.api.listener.EventListenerExecution;

public class InvoiceTechnicallyRejectedListener implements EventListener {

	private static final long serialVersionUID = 1L;

	public void notify(EventListenerExecution execution) throws Exception {
		Long invoiceId = (Long) execution.getVariable("invoiceId");
		String invoiceNumber = (String) execution.getVariable("invoiceNumber");
		String supplierName = (String) execution.getVariable("supplierName");
		
		// TODO: salvataggio su db del nuovo stato raggiunto dalla fattura
		JNDIUtils
			.getInvoiceManager()
				.updateInvoiceState(
						invoiceId, 
						JNDIUtils.getInvoiceStateManager().getInvoiceStateByDescription(InvoiceState.TECHNICALLY_REJECTED));
		
		// TODO: salvataggio su db del log dell'azione
		
	}

}
