--
-- This file is part of FatturazioneElettronica - Core
--
-- Copyright © 2009-2014 EPOCA
--
-- FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- FatturazioneElettronica - Core is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
--




-- JBPM4 SCHEMA
create table if not exists JBPM4_DEPLOYMENT (DBID_ bigint not null auto_increment,NAME_ longtext,TIMESTAMP_ bigint,STATE_ varchar(255),primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_DEPLOYPROP (DBID_ bigint not null auto_increment,DEPLOYMENT_ bigint,OBJNAME_ varchar(255),KEY_ varchar(255),STRINGVAL_ varchar(255),LONGVAL_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_EXECUTION (DBID_ bigint not null auto_increment,CLASS_ varchar(255) not null,DBVERSION_ integer not null,ACTIVITYNAME_ varchar(255),PROCDEFID_ varchar(255),HASVARS_ bit,NAME_ varchar(255),KEY_ varchar(255),ID_ varchar(255) unique,STATE_ varchar(255),SUSPHISTSTATE_ varchar(255),PRIORITY_ integer,HISACTINST_ bigint,PARENT_ bigint,INSTANCE_ bigint,SUPEREXEC_ bigint,SUBPROCINST_ bigint,PARENT_IDX_ integer,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_HIST_ACTINST (DBID_ bigint not null auto_increment,CLASS_ varchar(255) not null,DBVERSION_ integer not null,HPROCI_ bigint,TYPE_ varchar(255),EXECUTION_ varchar(255),ACTIVITY_NAME_ varchar(255),START_ datetime,END_ datetime,DURATION_ bigint,TRANSITION_ varchar(255),NEXTIDX_ integer,HTASK_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_HIST_DETAIL (DBID_ bigint not null auto_increment,CLASS_ varchar(255) not null,DBVERSION_ integer not null,USERID_ varchar(255),TIME_ datetime,HPROCI_ bigint,HPROCIIDX_ integer,HACTI_ bigint,HACTIIDX_ integer,HTASK_ bigint,HTASKIDX_ integer,HVAR_ bigint,HVARIDX_ integer,MESSAGE_ longtext,OLD_INT_ integer,NEW_INT_ integer,OLD_STR_ varchar(255),NEW_STR_ varchar(255),OLD_TIME_ datetime,NEW_TIME_ datetime,PARENT_ bigint,PARENT_IDX_ integer,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_HIST_PROCINST (DBID_ bigint not null,DBVERSION_ integer not null,ID_ varchar(255),PROCDEFID_ varchar(255),KEY_ varchar(255),START_ datetime,END_ datetime,DURATION_ bigint,STATE_ varchar(255),ENDACTIVITY_ varchar(255),NEXTIDX_ integer,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_HIST_TASK (DBID_ bigint not null,DBVERSION_ integer not null,EXECUTION_ varchar(255),OUTCOME_ varchar(255),ASSIGNEE_ varchar(255),PRIORITY_ integer,STATE_ varchar(255),CREATE_ datetime,END_ datetime,DURATION_ bigint,NEXTIDX_ integer,SUPERTASK_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_HIST_VAR (DBID_ bigint not null,DBVERSION_ integer not null,PROCINSTID_ varchar(255),EXECUTIONID_ varchar(255),VARNAME_ varchar(255),VALUE_ varchar(255),HPROCI_ bigint,HTASK_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_ID_GROUP (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,ID_ varchar(255),NAME_ varchar(255),TYPE_ varchar(255),PARENT_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_ID_MEMBERSHIP (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,USER_ bigint,GROUP_ bigint,NAME_ varchar(255),primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_ID_USER (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,ID_ varchar(255),PASSWORD_ varchar(255),GIVENNAME_ varchar(255),FAMILYNAME_ varchar(255),BUSINESSEMAIL_ varchar(255),primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_JOB (DBID_ bigint not null auto_increment,CLASS_ varchar(255) not null,DBVERSION_ integer not null,DUEDATE_ datetime,STATE_ varchar(255),ISEXCLUSIVE_ bit,LOCKOWNER_ varchar(255),LOCKEXPTIME_ datetime,EXCEPTION_ longtext,RETRIES_ integer,PROCESSINSTANCE_ bigint,EXECUTION_ bigint,CFG_ bigint,SIGNAL_ varchar(255),EVENT_ varchar(255),REPEAT_ varchar(255),primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_LOB (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,BLOB_VALUE_ longblob,DEPLOYMENT_ bigint,NAME_ longtext,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_PARTICIPATION (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,GROUPID_ varchar(255),USERID_ varchar(255),TYPE_ varchar(255),TASK_ bigint,SWIMLANE_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_SWIMLANE (DBID_ bigint not null auto_increment,DBVERSION_ integer not null,NAME_ varchar(255),ASSIGNEE_ varchar(255),EXECUTION_ bigint,primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_TASK (DBID_ bigint not null auto_increment,CLASS_ char(1) not null,DBVERSION_ integer not null,NAME_ varchar(255),DESCR_ longtext,STATE_ varchar(255),SUSPHISTSTATE_ varchar(255),ASSIGNEE_ varchar(255),FORM_ varchar(255),PRIORITY_ integer,CREATE_ datetime,DUEDATE_ datetime,PROGRESS_ integer,SIGNALLING_ bit,EXECUTION_ID_ varchar(255),ACTIVITY_NAME_ varchar(255),HASVARS_ bit,SUPERTASK_ bigint,EXECUTION_ bigint,PROCINST_ bigint,SWIMLANE_ bigint,TASKDEFNAME_ varchar(255),primary key (DBID_)) engine=InnoDB;
create table if not exists JBPM4_VARIABLE (DBID_ bigint not null auto_increment,CLASS_ varchar(255) not null,DBVERSION_ integer not null,KEY_ varchar(255),CONVERTER_ varchar(255),HIST_ bit,EXECUTION_ bigint,TASK_ bigint,DATE_VALUE_ datetime,DOUBLE_VALUE_ double precision,LONG_VALUE_ bigint,STRING_VALUE_ varchar(255),TEXT_VALUE_ longtext,LOB_ bigint,EXESYS_ bigint,primary key (DBID_)) engine=InnoDB;
create index IDX_DEPLPROP_DEPL on JBPM4_DEPLOYPROP (DEPLOYMENT_);
alter table JBPM4_DEPLOYPROP add index FK_DEPLPROP_DEPL (DEPLOYMENT_), add constraint FK_DEPLPROP_DEPL foreign key (DEPLOYMENT_) references JBPM4_DEPLOYMENT (DBID_);
create index IDX_EXEC_SUPEREXEC on JBPM4_EXECUTION (SUPEREXEC_);
create index IDX_EXEC_INSTANCE on JBPM4_EXECUTION (INSTANCE_);
create index IDX_EXEC_SUBPI on JBPM4_EXECUTION (SUBPROCINST_);
create index IDX_EXEC_PARENT on JBPM4_EXECUTION (PARENT_);
alter table JBPM4_EXECUTION add index FK_EXEC_PARENT (PARENT_), add constraint FK_EXEC_PARENT foreign key (PARENT_) references JBPM4_EXECUTION (DBID_);
alter table JBPM4_EXECUTION add index FK_EXEC_SUBPI (SUBPROCINST_), add constraint FK_EXEC_SUBPI foreign key (SUBPROCINST_) references JBPM4_EXECUTION (DBID_);
alter table JBPM4_EXECUTION add index FK_EXEC_INSTANCE (INSTANCE_), add constraint FK_EXEC_INSTANCE foreign key (INSTANCE_) references JBPM4_EXECUTION (DBID_);
alter table JBPM4_EXECUTION add index FK_EXEC_SUPEREXEC (SUPEREXEC_), add constraint FK_EXEC_SUPEREXEC foreign key (SUPEREXEC_) references JBPM4_EXECUTION (DBID_);
create index IDX_HACTI_HPROCI on JBPM4_HIST_ACTINST (HPROCI_);
create index IDX_HTI_HTASK on JBPM4_HIST_ACTINST (HTASK_);
alter table JBPM4_HIST_ACTINST add index FK_HACTI_HPROCI (HPROCI_), add constraint FK_HACTI_HPROCI foreign key (HPROCI_) references JBPM4_HIST_PROCINST (DBID_);
alter table JBPM4_HIST_ACTINST add index FK_HTI_HTASK (HTASK_), add constraint FK_HTI_HTASK foreign key (HTASK_) references JBPM4_HIST_TASK (DBID_);
create index IDX_HDET_HACTI on JBPM4_HIST_DETAIL (HACTI_);
create index IDX_HDET_HPROCI on JBPM4_HIST_DETAIL (HPROCI_);
create index IDX_HDETAIL_HACTI on JBPM4_HIST_DETAIL (HACTI_);
create index IDX_HDETAIL_HVAR on JBPM4_HIST_DETAIL (HVAR_);
create index IDX_HDETAIL_HTASK on JBPM4_HIST_DETAIL (HTASK_);
create index IDX_HDETAIL_HPROCI on JBPM4_HIST_DETAIL (HPROCI_);
create index IDX_HDET_HVAR on JBPM4_HIST_DETAIL (HVAR_);
create index IDX_HDET_HTASK on JBPM4_HIST_DETAIL (HTASK_);
alter table JBPM4_HIST_DETAIL add index FK_HDETAIL_HPROCI (HPROCI_), add constraint FK_HDETAIL_HPROCI foreign key (HPROCI_) references JBPM4_HIST_PROCINST (DBID_);
alter table JBPM4_HIST_DETAIL add index FK_HDETAIL_HACTI (HACTI_), add constraint FK_HDETAIL_HACTI foreign key (HACTI_) references JBPM4_HIST_ACTINST (DBID_);
alter table JBPM4_HIST_DETAIL add index FK_HDETAIL_HTASK (HTASK_), add constraint FK_HDETAIL_HTASK foreign key (HTASK_) references JBPM4_HIST_TASK (DBID_);
alter table JBPM4_HIST_DETAIL add index FK_HDETAIL_HVAR (HVAR_), add constraint FK_HDETAIL_HVAR foreign key (HVAR_) references JBPM4_HIST_VAR (DBID_);
alter table JBPM4_HIST_TASK add index FK_HSUPERT_SUB (SUPERTASK_), add constraint FK_HSUPERT_SUB foreign key (SUPERTASK_) references JBPM4_HIST_TASK (DBID_);
create index IDX_HVAR_HPROCI on JBPM4_HIST_VAR (HPROCI_);
create index IDX_HVAR_HTASK on JBPM4_HIST_VAR (HTASK_);
alter table JBPM4_HIST_VAR add index FK_HVAR_HPROCI (HPROCI_), add constraint FK_HVAR_HPROCI foreign key (HPROCI_) references JBPM4_HIST_PROCINST (DBID_);
alter table JBPM4_HIST_VAR add index FK_HVAR_HTASK (HTASK_), add constraint FK_HVAR_HTASK foreign key (HTASK_) references JBPM4_HIST_TASK (DBID_);
create index IDX_GROUP_PARENT on JBPM4_ID_GROUP (PARENT_);
alter table JBPM4_ID_GROUP add index FK_GROUP_PARENT (PARENT_), add constraint FK_GROUP_PARENT foreign key (PARENT_) references JBPM4_ID_GROUP (DBID_);
create index IDX_MEM_USER on JBPM4_ID_MEMBERSHIP (USER_);
create index IDX_MEM_GROUP on JBPM4_ID_MEMBERSHIP (GROUP_);
alter table JBPM4_ID_MEMBERSHIP add index FK_MEM_GROUP (GROUP_), add constraint FK_MEM_GROUP foreign key (GROUP_) references JBPM4_ID_GROUP (DBID_);
alter table JBPM4_ID_MEMBERSHIP add index FK_MEM_USER (USER_), add constraint FK_MEM_USER foreign key (USER_) references JBPM4_ID_USER (DBID_);
create index IDX_JOBRETRIES on JBPM4_JOB (RETRIES_);
create index IDX_JOB_CFG on JBPM4_JOB (CFG_);
create index IDX_JOB_PRINST on JBPM4_JOB (PROCESSINSTANCE_);
create index IDX_JOB_EXE on JBPM4_JOB (EXECUTION_);
create index IDX_JOBLOCKEXP on JBPM4_JOB (LOCKEXPTIME_);
create index IDX_JOBDUEDATE on JBPM4_JOB (DUEDATE_);
alter table JBPM4_JOB add index FK_JOB_CFG (CFG_), add constraint FK_JOB_CFG foreign key (CFG_) references JBPM4_LOB (DBID_);
create index IDX_LOB_DEPLOYMENT on JBPM4_LOB (DEPLOYMENT_);
alter table JBPM4_LOB add index FK_LOB_DEPLOYMENT (DEPLOYMENT_), add constraint FK_LOB_DEPLOYMENT foreign key (DEPLOYMENT_) references JBPM4_DEPLOYMENT (DBID_);
create index IDX_PART_TASK on JBPM4_PARTICIPATION (TASK_);
alter table JBPM4_PARTICIPATION add index FK_PART_SWIMLANE (SWIMLANE_), add constraint FK_PART_SWIMLANE foreign key (SWIMLANE_) references JBPM4_SWIMLANE (DBID_);
alter table JBPM4_PARTICIPATION add index FK_PART_TASK (TASK_), add constraint FK_PART_TASK foreign key (TASK_) references JBPM4_TASK (DBID_);
create index IDX_SWIMLANE_EXEC on JBPM4_SWIMLANE (EXECUTION_);
alter table JBPM4_SWIMLANE add index FK_SWIMLANE_EXEC (EXECUTION_), add constraint FK_SWIMLANE_EXEC foreign key (EXECUTION_) references JBPM4_EXECUTION (DBID_);
create index IDX_TASK_SUPERTASK on JBPM4_TASK (SUPERTASK_);
alter table JBPM4_TASK add index FK_TASK_SWIML (SWIMLANE_), add constraint FK_TASK_SWIML foreign key (SWIMLANE_) references JBPM4_SWIMLANE (DBID_);
alter table JBPM4_TASK add index FK_TASK_SUPERTASK (SUPERTASK_), add constraint FK_TASK_SUPERTASK foreign key (SUPERTASK_) references JBPM4_TASK (DBID_);
create index IDX_VAR_EXESYS on JBPM4_VARIABLE (EXESYS_);
create index IDX_VAR_TASK on JBPM4_VARIABLE (TASK_);
create index IDX_VAR_EXECUTION on JBPM4_VARIABLE (EXECUTION_);
create index IDX_VAR_LOB on JBPM4_VARIABLE (LOB_);
alter table JBPM4_VARIABLE add index FK_VAR_LOB (LOB_), add constraint FK_VAR_LOB foreign key (LOB_) references JBPM4_LOB (DBID_);
alter table JBPM4_VARIABLE add index FK_VAR_EXECUTION (EXECUTION_), add constraint FK_VAR_EXECUTION foreign key (EXECUTION_) references JBPM4_EXECUTION (DBID_);
alter table JBPM4_VARIABLE add index FK_VAR_EXESYS (EXESYS_), add constraint FK_VAR_EXESYS foreign key (EXESYS_) references JBPM4_EXECUTION (DBID_);
alter table JBPM4_VARIABLE add index FK_VAR_TASK (TASK_), add constraint FK_VAR_TASK foreign key (TASK_) references JBPM4_TASK (DBID_);

-- JBPM4 Sample Identities
INSERT INTO JBPM4_ID_GROUP VALUES (1,0,'manager','manager','security-role',NULL);
INSERT INTO JBPM4_ID_GROUP VALUES (2,0,'administrator','administrator','security-role',NULL);
INSERT INTO JBPM4_ID_GROUP VALUES (3,0,'user','user','security-role',NULL);
INSERT INTO JBPM4_ID_GROUP VALUES(4,0,'sales','sales',NULL,NULL);

INSERT INTO JBPM4_ID_USER VALUES (1,0,'alex','password','Alex',NULL,'alex@jbpm.org');
INSERT INTO JBPM4_ID_USER VALUES (2,0,'mike','password','Mike',NULL,'mike@jbpm.org');
INSERT INTO JBPM4_ID_USER VALUES (3,0,'peter','password','Peter',NULL,'peter@jbpm.org');
INSERT INTO JBPM4_ID_USER VALUES (4,0,'mary','password','Mary',NULL,'mary@jbpm.org');
INSERT INTO JBPM4_ID_USER VALUES (5,0,'fe_user','fe_user','fe_user',NULL,'fe_user@epocaricerca.it');

INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (1,0,1,2,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (2,0,2,1,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (3,0,3,3,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (4,0,3,4,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (5,0,4,3,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (6,0,4,4,NULL);
INSERT INTO JBPM4_ID_MEMBERSHIP VALUES (7,0,5,2,NULL);

-- UTENTI e PASSWORDUTENTI
INSERT INTO Users (userId ,name ,surname ,email ,registrationNumber ,uoId ,uoDenomination ,username) VALUES ('1', 'Mario', 'Rossi', 'mario.rossi@fatturazioneelettronica.it', '001' , '001' , 'FE', 'mrossi');
INSERT INTO UserPasswords (passwordId ,password ,startDate ,endDate ,userId) VALUES (NULL , 'kd9iUDWBTWwS0iy8lgubqQ+yskc=', '2010-03-11', NULL , '1');
INSERT INTO Users (userId ,name ,surname ,email ,registrationNumber ,uoId ,uoDenomination ,username) VALUES ('2', 'Matteo', 'Bianchi', 'matteo.bianchi@fatturazioneelettronica.it', '002' , '001' , 'FE', 'mbianchi');
INSERT INTO UserPasswords (passwordId ,password ,startDate ,endDate ,userId) VALUES (NULL , '63vdgewFa+kdAc1E9cMCcvsUV+A=', '2010-03-11', NULL , '2');
INSERT INTO Users (userId ,name ,surname ,email ,registrationNumber ,uoId ,uoDenomination ,username) VALUES ('3', 'Andrea', 'Verdi', 'andrea.verdi@epocaricerca.it', '003' , '001' , 'FE', 'averdi');
INSERT INTO UserPasswords (passwordId ,password ,startDate ,endDate ,userId) VALUES (NULL , '3H/GDv+PkLa/GDMwSGghs7N30iQ=', '2010-03-11', NULL , '3');
INSERT INTO Users (userId, name, surname, email, registrationNumber, uoId, uoDenomination, username) VALUES ('4', 'Admin', 'Admin', 'amministratore@fe.it', '004', '001', 'FE', 'admin');
INSERT INTO UserPasswords (passwordId, password, startDate, endDate, userId) VALUES (NULL, '0DPiKuNIrrVmD8IUCuw1hQxNqZc=', '2010-03-11', NULL, '4');
INSERT INTO Users (userId, name, surname, email, registrationNumber, uoId, uoDenomination, username) VALUES ('5', 'Fornitore', 'Fornitore', 'fornitore@fe.it', '005', '002', 'Fornitore', 'fornitore');
INSERT INTO UserPasswords (passwordId, password, startDate, endDate, userId) VALUES (NULL, 'ZKxhmYlP3KSJCX39XBZAbtmaPyM=', '2010-03-11', NULL, '5');
-- RUOLI
INSERT INTO Roles (roleId, description, startDate, endDate) VALUES(1, 'CONSULTATORE', '2010-03-19', NULL),(2, 'FIRMATARIO_CONTABILE', '2010-03-19', NULL),(3, 'FIRMATARIO_TECNICO', '2010-03-19', NULL),(4, 'FUNZIONARIO_CONTABILE', '2010-03-19', NULL),(5, 'FUNZIONARIO_TECNICO', '2010-03-19', NULL),(6, 'GESTORE', '2010-03-19', NULL),(7, 'AMMINISTRATORE', '2010-03-19', NULL), (8, 'FORNITORE', '2010-03-19', NULL);
-- CONTESTI
INSERT INTO Contexts (contextId, description, columnName, tableName) VALUES (1, 'FORNITORE', 'supplier.supplierName', 'Invoice'),(2, 'CAUSALE', NULL, NULL),(3, 'UNITA_ORGANIZZATIVA_INTESTAZIONE', NULL, NULL),(4, 'UNITA_ORGANIZZATIVA_GESTIONE', NULL, NULL),(5, 'DOCUMENTO_PREGRESSO_CONTRATTO', NULL, NULL),(6, 'DOCUMENTO_PREGRESSO_ORDINE', NULL, NULL),(7, 'DOCUMENTO_PREGRESSO_DOCUMENTO_GENERICO', NULL, NULL),(8, 'REFERENTE', NULL, NULL),(9, 'ALL', NULL, NULL);
-- STATI FATTURA
INSERT INTO InvoiceStates (invoiceStateId, description, startDate, endDate) VALUES ('1', 'Ricevuta', NULL, NULL), ('2', 'Validata tecnicamente', NULL, NULL), ('3', 'Firmata dal  Responsabile Tecnico', NULL, NULL), ('4', 'Validata contabilmente', NULL, NULL), ('5', 'Firmata dal Responsabile Contabile', NULL, NULL), ('6', 'Contabilizzata', NULL, NULL), ('7', 'Rifiutata al controllo tecnico', NULL, NULL), ('8', 'Rifiutata al controllo contabile', NULL, NULL), ('9', 'Non contabilizzata', NULL, NULL), ('10', 'Inserita nel sistema contabile', NULL, NULL);
-- PERMESSI
INSERT INTO Permissions (permissionId, code, description, startDate, endDate) VALUES ('1', 'R', 'Lettura - solo diritti di consultazione', NULL, NULL), ('2', 'W', 'Esecuzione - diritti di gestione', NULL, NULL);
-- DETTAGLI RUOLI
INSERT INTO RoleDetails (roleId, invoiceStateId, permissionId) VALUES (1, 1, 1),(1, 2, 1),(1, 3, 1),(1, 4, 1),(1, 5, 1),(1, 6, 1),(1, 7, 1),(1, 8, 1),(1, 9, 1),(2, 4, 2),(2, 5, 1),(5, 1, 2),(7, 1, 2),(7, 2, 2),(7, 3, 2),(7, 4, 2),(7, 5, 2),(7, 6, 2),(7, 7, 2),(7, 8, 2),(7, 9, 2),(7, 10, 1),(7, 10, 2),(5, 10, 1);
-- DETTAGLI PROFILI
INSERT INTO ProfileDetails (userId, roleId, contextId, contextValue, startDate, endDate) VALUES (1, 5, 1, 'HERA S.p.a.', '2010-03-26', '2011-03-26'),(2, 5, 1, 'HERA Comm S.R.L.', '2010-03-26', '2011-03-26'),(3, 7, 9, 'ALL', '2010-03-26', '2011-03-26'),(4, 7, 9, 'ALL', '2010-03-26', '2011-03-26'), (5, 8, 9, 'ALL', '2010-03-26', '2011-03-26');
-- MEZZI TRASMISSIONE
INSERT INTO TransmissionTypes (transmissionTypeId, description) VALUES ('1', 'EMAIL'), ('2', 'MANUAL'), ('3', 'PEPPOL_INCOMING'), ('4', 'PEPPOL_OUTGOING'), ('5', 'PEPPOL_DRAFT'), ('6', 'SUPPLIER_OUTGOING'), ('7', 'SUPPLIER_DRAFT');
-- TIPOLOGIE DI TRADUZIONE
INSERT INTO TranslationTypes (translationTypeId, description) VALUES ('1', 'HERA_txt'), ('2', 'UBL2_xml');
-- SETTORI MERCEOLOGICI
INSERT INTO Sectors (sectorId, sectorName, startDate, endDate) VALUES ('1', 'ALTRO', '2010-06-07', null), ('2', 'ENERGIA ELETTRICA', '2010-06-07', null), ('3', 'ACQUA', '2010-06-07', null), ('4', 'GAS', '2010-06-07', null), ('5', 'AMBIENTE', '2010-06-07', null), ('6', 'TELERISCALDAMENTO', '2010-06-07', null);
-- FORNITURE
INSERT INTO SpecificSectors (specificSectorId, specificSectorName, sectorId, startDate, endDate) VALUES ('1', 'ALTRO', '1', '2010-06-07', null), ('2', 'ALTA TENSIONE', '2', '2010-06-07', null), ('3', 'MEDIA TENSIONE', '2', '2010-06-07', null), ('4', 'BASSA TENSIONE', '2', '2010-06-07', null), ('5', 'ACQUA', '3', '2010-06-07', null), ('6', 'IDRANTE', '3', '2010-06-07', null), ('7', 'EN. E. TELERISCALDAMENTO', '3', '2010-06-07', null), ('8', 'METANO', '4', '2010-06-07', null), ('9', 'RIFIUTI', '5', '2010-06-07', null), ('10', 'NEVE', '5', '2010-06-07', null), ('11', 'ENERGIA ELETTRICA', '6', '2010-06-07', null), ('12', 'TELERISCALDAMENTO', '6', '2010-06-07', null);
-- INVOICES
ALTER TABLE Invoices add constraint processInstanceId foreign key (processInstanceId) references JBPM4_EXECUTION(ID_);
ALTER TABLE Invoices ALTER processInstanceId SET DEFAULT NULL;