/**
 * This file is part of FatturazioneElettronica - ESB
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - ESB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - ESB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - ESB.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.esb.translation;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import it.fe.core.par.common.FEFile;
import it.fe.core.par.invoice.OriginalDocument;
import it.fe.esb.common.CheckedDocument;
import it.fe.esb.common.HolderOriginalDocument;

public class GenericUBLInvoice {
	
	protected static Logger logger = Logger.getLogger(GenericUBLInvoice.class.getName());
	
	static OriginalDocument originalDocument;	
	
	 public static HolderOriginalDocument readFiles(CheckedDocument documents) throws IOException {
		
    	List<FEFile> files = documents.getDocumentList();
    	
    	byte[] fileUBL;
		List<byte[]> xmlList = new ArrayList<byte[]>();
		
		HolderOriginalDocument out = null;
		
		originalDocument = documents.getOriginalDocument();
		
		if((files != null) && (files.size() > 0)) {
			for (int i=0; i < files.size(); i++) {

				fileUBL = files.get(i).getFileBlob();
				xmlList.add(fileUBL);

			}
		
			out = new HolderOriginalDocument(originalDocument, xmlList);
		}
		
		return out;
	}
}
