/**
 * This file is part of FatturazioneElettronica - Process - Generic Process
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Process - Generic Process is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Process - Generic Process is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Process - Generic Process.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.process.generic.action;

import it.fe.core.common.utils.FEPropertiesUtil;
import it.fe.core.common.utils.JNDIUtils;
import it.fe.core.ejb.process.ProcessManager;
import it.fe.core.process.ProcessVariables;

import org.jbpm.api.activity.ActivityBehaviour;
import org.jbpm.api.activity.ActivityExecution;

public class InsertInAccountableSystemAction implements ActivityBehaviour {

	private static final long serialVersionUID = 1L;

	/* (non-Javadoc)
	 * @see org.jbpm.api.activity.ActivityBehaviour#execute(org.jbpm.api.activity.ActivityExecution)
	 */
	public void execute(ActivityExecution activityExecution) throws Exception {
		Object[] results = new Object[1];
		String invoiceNumber = (String) activityExecution.getVariable(ProcessVariables.INVOICE_NUMBER);
		Long invoiceId = (Long) activityExecution.getVariable(ProcessVariables.INVOICE_ID);
		ProcessManager genericProcessManager = JNDIUtils.getProcessManager();
		
		if (FEPropertiesUtil.useProcessMockAccountableSystem()) {
			results[0] = "success";
		}
		else {
			results[0] = genericProcessManager.insertIntoAccountableSystem(invoiceId.longValue(), (String) activityExecution.getVariable(ProcessVariables.USERNAME));
		}
		
		// setting result in process instance variables in order to trigger next transition. This value is read in the process jpdl descriptor.
		activityExecution.setVariable(ProcessVariables.INVOICE_INSERTION_RESULT, results[0]);
		
	}

}
