/**
 * This file is part of FatturazioneElettronica - Signature and timestamp facilities
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Signature and timestamp facilities is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Signature and timestamp facilities is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Signature and timestamp facilities.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.signature;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;



public class TimestampVerificationResult {

	private boolean hashVerified;
	private boolean certificateVerified;
	private Date timestamp;
	private List<String> errorMessages;
	
	public boolean getValidationResult(){
		return hashVerified & certificateVerified;
	}
	
	public TimestampVerificationResult() {
		super();
		hashVerified = false;
		certificateVerified = false;
		errorMessages = new ArrayList<String>();
	}
	public boolean isHashVerified() {
		return hashVerified;
	}
	public void setHashVerified(boolean hashVerified) {
		this.hashVerified = hashVerified;
	}
	public boolean isCertificateVerified() {
		return certificateVerified;
	}
	public void setCertificateVerified(boolean certificateVerified) {
		this.certificateVerified = certificateVerified;
	}
	public Date getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}
	public List<String> getErrorMessages() {
		return errorMessages;
	}
	public void setErrorMessages(List<String> errorMessages) {
		this.errorMessages = errorMessages;
	}
	
}
