/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.dummy;

import it.fe.web.common.JSFUtils;

import java.io.Serializable;

import org.apache.log4j.Logger;

public class PanelMenuDummyController implements Serializable {

	private static final long serialVersionUID = 1L;

	private static Logger logger = Logger.getLogger(PanelMenuDummyController.class);
	
	private String currentContract;
	private String currentPod;
	private boolean contractPanelRendered;
	private boolean podPanelRendered;
	private String text;
	
	public PanelMenuDummyController() {
		this.setCurrentContract("");
		this.setCurrentPod("");
		this.setText("test");
		this.setContractPanelRendered(false);
		this.setPodPanelRendered(false);
	}

	public void updateCurrentContract()  {
		this.currentContract = JSFUtils.getRequestParameterByKey("currentContract");
		logger.info("updating current contract: "+currentContract);
		this.setPodPanelRendered(false);
		this.setContractPanelRendered(true);
		logger.info("Setting podPanelRendered to "+podPanelRendered+ " and contractPanelRendered to "+contractPanelRendered);
	}
	
	public void updateCurrentPod() {
		this.currentPod = JSFUtils.getRequestParameterByKey("currentPod");
		logger.info("updating current pod: "+currentPod);
		this.setContractPanelRendered(false);
		this.setPodPanelRendered(true);
		logger.info("Setting podPanelRendered to "+podPanelRendered+ " and contractPanelRendered to "+contractPanelRendered);
	}

	/**
	 * @return the text
	 */
	public String getText() {
		return text;
	}

	/**
	 * @param text the text to set
	 */
	public void setText(String text) {
		this.text = text;
	}

	/**
	 * @return the contractPanelRendered
	 */
	public boolean isContractPanelRendered() {
		return contractPanelRendered;
	}

	/**
	 * @param contractPanelRendered the contractPanelRendered to set
	 */
	public void setContractPanelRendered(boolean contractPanelRendered) {
		this.contractPanelRendered = contractPanelRendered;
	}

	/**
	 * @return the podPanelRendered
	 */
	public boolean isPodPanelRendered() {
		return podPanelRendered;
	}

	/**
	 * @param podPanelRendered the podPanelRendered to set
	 */
	public void setPodPanelRendered(boolean podPanelRendered) {
		this.podPanelRendered = podPanelRendered;
	}

	/**
	 * @return the currentPod
	 */
	public String getCurrentPod() {
		return currentPod;
	}

	/**
	 * @param currentPod the currentPod to set
	 */
	public void setCurrentPod(String currentPod) {
		this.currentPod = currentPod;
	}

	/**
	 * @return the currentContract
	 */
	public String getCurrentContract() {
		return currentContract;
	}

	/**
	 * @param currentContract the currentContract to set
	 */
	public void setCurrentContract(String currentContract) {
		this.currentContract = currentContract;
	}
	
}
