/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.invoice;

import it.fe.core.par.invoice.Invoice;
import it.fe.web.common.JSFUtils;

import org.apache.log4j.Logger;

/**
 * Handler di fatture; estende la classe ProfileFilterableHandler e ne ridefinisce i metodi astratti per gestire opportunamente i filtri lato web e lato profilo utente
 * 
 * 
 * @author Stefano Monti, Fulvio Di Marco
 *
 */

public class ArchivableInvoicesHandler extends FilterableInvoicesHandler {

	private static final long serialVersionUID = 1L;
	private static final String INVOICE_WAITING = "waiting";
	protected Logger logger = Logger.getLogger(ArchivableInvoicesHandler.class.getName());

	
	public ArchivableInvoicesHandler() {}
	


	public String openDetail() {
		selectedInvoice = (Invoice) dataModel.getRowData();
		fetchLazyCollections((Invoice) dataModel.getRowData());
		fetchAccountingCosts((Invoice) dataModel.getRowData());
		updateEditable();
		ArchivingHandler archivingHandler = (ArchivingHandler) JSFUtils.getManagedBean("archivingHandler");
		
		archivingHandler.setCurrentInvoice(this.selectedInvoice);
		
		String supplierCode = null;
		if( (selectedInvoice.getSupplier().getVatId() != null) && (!selectedInvoice.getSupplier().getVatId().equals("")) ){
			supplierCode = selectedInvoice.getSupplier().getVatId();
			archivingHandler.setSupplierId(supplierCode);

		}
		else if( (selectedInvoice.getSupplier().getItalianFiscalCode() != null) && (!selectedInvoice.getSupplier().getItalianFiscalCode().equals("")) ){
			supplierCode = selectedInvoice.getSupplier().getItalianFiscalCode();
			archivingHandler.setSupplierId(supplierCode);

		}
			
		String supplierName = selectedInvoice.getSupplier().getSupplierName();
		archivingHandler.setSupplierName(supplierName);

		return "openDetail";
	}
}