/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.invoiceUpload;

/**
 * Classe che mappa una struttura PostalAddress UBL.
 * Da integrare nel modello di dominio della fattura.
 * 
 * 
 * 
 * 
 * @author stefano
 *
 */
public class PostalAddress {
//	
//	<cac:PostalAddress>
//	<cbc:ID schemeID="GLN" schemeAgencyID="9">1231412341324</cbc:ID>
//	<cbc:Postbox>5467</cbc:Postbox>
//	<cbc:StreetName>Main street</cbc:StreetName>
//	<cbc:AdditionalStreetName>Suite 123</cbc:AdditionalStreetName>
//	<cbc:BuildingNumber>1</cbc:BuildingNumber>
//	<cbc:Department>Revenue department</cbc:Department>
//	<cbc:CityName>Big city</cbc:CityName>
//	<cbc:PostalZone>54321</cbc:PostalZone>
//	<cbc:CountrySubentityCode>RegionA</cbc:CountrySubentityCode>
//	<cac:Country>
//		<cbc:IdentificationCode listID="ISO3166-1" listAgencyID="6">DK</cbc:IdentificationCode>
//	</cac:Country>
//</cac:PostalAddress>
	
	public String postBox;
	public String streetName;
	public String additionalStreetName;
	public String buildingNumber;
	public String department;
	public String cityName;
	public String postalZone;
	public String countrySubentityCode;
	public String country;
	
	
	public PostalAddress(String postBox, String streetName,
			String additionalStreetName, String buildingNumber,
			String department, String cityName, String postalZone,
			String countrySubentityCode, String country) {
		super();
		this.postBox = postBox;
		this.streetName = streetName;
		this.additionalStreetName = additionalStreetName;
		this.buildingNumber = buildingNumber;
		this.department = department;
		this.cityName = cityName;
		this.postalZone = postalZone;
		this.countrySubentityCode = countrySubentityCode;
		this.country = country;
	}
	
	
	public PostalAddress() {
		super();
	}


	public String getPostBox() {
		return postBox;
	}
	public void setPostBox(String postBox) {
		this.postBox = postBox;
	}
	public String getStreetName() {
		return streetName;
	}
	public void setStreetName(String streetName) {
		this.streetName = streetName;
	}
	public String getAdditionalStreetName() {
		return additionalStreetName;
	}
	public void setAdditionalStreetName(String additionalStreetName) {
		this.additionalStreetName = additionalStreetName;
	}
	public String getBuildingNumber() {
		return buildingNumber;
	}
	public void setBuildingNumber(String buildingNumber) {
		this.buildingNumber = buildingNumber;
	}
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	public String getCityName() {
		return cityName;
	}
	public void setCityName(String cityName) {
		this.cityName = cityName;
	}
	public String getPostalZone() {
		return postalZone;
	}
	public void setPostalZone(String postalZone) {
		this.postalZone = postalZone;
	}
	public String getCountrySubentityCode() {
		return countrySubentityCode;
	}
	public void setCountrySubentityCode(String countrySubentityCode) {
		this.countrySubentityCode = countrySubentityCode;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}

	
	

}
