/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.quicknote;

import it.fe.core.common.utils.JNDIUtils;
import it.fe.core.par.Quicknote;
import it.fe.web.common.SessionUtils;

import java.io.Serializable;
import java.util.Date;

import org.apache.log4j.Logger;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portal.util.PortalUtil;

public class QuicknoteHandler implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private static final Logger logger = Logger.getLogger(QuicknoteHandler.class);
	
	private String text;
	private String username;
	
	public void saveText() {
		JNDIUtils.getQuicknoteManager().saveQuicknoteByUser(username, text, new Date());
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getText() {
		if (text == null) {
			Quicknote quicknote = JNDIUtils.getQuicknoteManager().getQuicknoteByUser(username);
			if (quicknote != null) {
				text = quicknote.getText();
			}			
		}
		return text;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getUsername() {
		if (username == null) {
			try {
				username = PortalUtil.getUser(SessionUtils.getPortletRequest()).getScreenName();
			} catch (PortalException e) {
				logger.error(e);
			} catch (SystemException e) {
				logger.error(e);
			}
		}
		return username;	
	}

}
