/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.model;

import it.fe.core.common.utils.JNDIUtils;
import it.fe.core.par.invoice.Invoice;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.primefaces.model.LazyDataModel;

public class InvoiceLazyDataModel extends LazyDataModel<Invoice> {

	private static final long serialVersionUID = 1L;
	private Logger logger = Logger.getLogger(InvoiceLazyDataModel.class.getName());

	public InvoiceLazyDataModel(int totalNumRows) {
		super(totalNumRows);
	}
	
	@Override
	public List<Invoice> fetchLazyData(int first, int pageSize) {
		logger.info("Lazily loading invoices between "+first+" and "+first+pageSize);
		List<Invoice> resultList = new ArrayList<Invoice>();
		resultList =  JNDIUtils.getInvoiceManager().getPagedInvoices(first, pageSize);
		setWrappedData(resultList);
		return resultList;
	}

}
