/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.model;

import it.fe.core.common.utils.JNDIUtils;
import it.fe.core.par.invoice.Invoice;

import java.util.List;

import javax.naming.NamingException;

@SuppressWarnings("unchecked")
public class InvoiceLocalDataModel extends PagedListDataModel {
	
	public InvoiceLocalDataModel(int pageSize) {
		super(pageSize);
	}

	public DataPage<Invoice> fetchPage(int startRow, int pageSize) {
		try {
			return getDataPage(startRow, pageSize);
		} catch (NamingException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
	}

	private DataPage<Invoice> getDataPage(int first, int pageSize) throws NamingException {
		DataPage<Invoice> dataPage = null;
		try {
			
			List data = JNDIUtils.getInvoiceManager().getPagedInvoices(first, pageSize);
			
			int totalRowCount = JNDIUtils.getInvoiceManager().findTotalInvoices();
			
			dataPage = new DataPage<Invoice>(totalRowCount, first, data);
			
		} catch (Exception e) {
			e.printStackTrace();
		}

		return dataPage;
	}

}
