/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.validators;

import it.fe.web.common.JSFUtils;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class RequiredFieldValidator implements Validator {

	public void validate(FacesContext arg0, UIComponent component,
			Object toValidate) throws ValidatorException {
		if (toValidate == null) {
			String label = (String) component.getAttributes().get("label");

//			String tab = (String) component.getAttributes().get("tab");

			FacesMessage message = new FacesMessage();
			String msg = JSFUtils.getBundledMessage("it.fe.bundle.Messages",
					"msgs.validationNoData");

//			message.setDetail(tab + " - " + label + " : " + msg);
//			message.setSummary(tab + " - " + label + " : " + msg);
			message.setDetail(label + " : " + msg);
			message.setSummary(label + " : " + msg);
			message.setSeverity(FacesMessage.SEVERITY_ERROR);
			((UIInput) toValidate).setValid(false);
			throw new ValidatorException(message);
		} else {
			((UIInput) toValidate).setValid(true);
		}

	}

}
