<?xml version="1.0" encoding="US-ASCII"?>
<!--

    This file is part of FatturazioneElettronica - Portlets - Skeleton

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Portlets - Skeleton is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Portlets - Skeleton is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Portlets - Skeleton.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
CraneUBL2UNLK-print.xsl - support stylesheet for Crane layouts for the UNLK
                        - this stylesheet produces parts of an instance of
                          XSL-FO suitable for formatting to PDF or other
                          print format by using an XSL-FO rendering engine

 $Id: CraneUBL2UNLK-print.xsl,v 3.2 2008/03/22 23:23:17 G. Ken Holman Exp $
-->
<!--
Copyright (C) - Crane Softwrights Ltd.
              - http://www.CraneSoftwrights.com/links/res-un-s.htm

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.
- The name of the author may not be used to endorse or promote products
  derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2003-07-26 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" 
  xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" 
  xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
  xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
  xmlns:in="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"
  xmlns="http://www.w3.org/1999/XSL/Format" 
  version="1.0" exclude-result-prefixes="un-in un-out cac cbc in">

<xsl:import href="CraneUBL2UNLK-common.xsl"/>

<xsl:output method="xml"/>

<!--========================================================================-->
<!--a typical line output with four possible orientations for XSL-FO-->

<xsl:template name="line" mode="line" match="*">
  <xsl:param name="content">
    <xsl:apply-templates mode="content"/>
  </xsl:param>
  <block start-indent="2pt" end-indent="2pt" text-align="start">
    <xsl:copy-of select="$content"/>
  </block>
</xsl:template>

<xsl:template name="line-centre" mode="line-centre" match="*">
  <xsl:param name="content">
    <xsl:apply-templates mode="content"/>
  </xsl:param>
  <block start-indent="2pt" end-indent="2pt" text-align="center">
    <xsl:copy-of select="$content"/>
  </block>
</xsl:template>

<xsl:template name="line-end" mode="line-end" match="*">
  <xsl:param name="content">
    <xsl:apply-templates mode="content"/>
  </xsl:param>
  <block start-indent="2pt" end-indent="2pt" text-align="end">
    <xsl:copy-of select="$content"/>
  </block>
</xsl:template>

<xsl:template name="line-both">
  <xsl:param name="content-start" select="/.."/>
  <xsl:param name="content-end" select="/.."/>
  <block start-indent="2pt" end-indent="2pt" text-align-last="justify">
    <inline><xsl:copy-of select="$content-start"/></inline>
    <leader leader-length.optimum=".5em"/>
    <inline><xsl:copy-of select="$content-end"/></inline>
  </block>
</xsl:template>

</xsl:stylesheet>
