<?xml version="1.0" encoding="utf-8"?>
<!--

    This file is part of FatturazioneElettronica - Portlets - Skeleton

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Portlets - Skeleton is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Portlets - Skeleton is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Portlets - Skeleton.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
    Note that this XSLT is a synthesized stylesheet, not a manually-authored
    stylesheet.  The ResultXSLT(tm) result-tree annotation environment read
    a prototypical XSL-FO instance of the output and created this importable
    stylesheet for use by an importing stylesheet that can support any data
    vocabulary of the required information.

    Please see the documentation on this importable stylesheet for
    guidelines on writing a compatible importing stylesheet in order to
    take advantage of this stylesheet with any other importing stylesheet.
    
    $Id: CraneUN380Invoice-html-EN.xsl,v 3.10 2008/12/19 16:39:44 gkholman Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xst="http://www.w3.org/1999/XSL/Transform" xmlns:un-in="http://www.CraneSoftwrights.com/ns/unlk/in" xmlns:un-out="http://www.CraneSoftwrights.com/ns/unlk/out" version="1.0" exclude-result-prefixes="un-in un-out">


<!--Root: default processing for the root node-->
   <xsl:template match="/">
      <html>
         <head>
            <xsl:call-template name="un-out:form-comment"/>
            <title>
               <xsl:call-template name="un-out:form-title"/>
               <xsl:call-template name="un-out:check_alternate_form-title"/>
            </title>
            <style type="text/css">
      /*general text properties*/
      .crane-body { font-family:serif }
      .crane-form-label { font-family:sans-serif;font-weight:bold }
      .crane-box-label { font-family:sans-serif;font-size:60% }
      .crane-alternate-box-label { margin-top:0pt;margin-bottom:0pt;
                                   font-style:italic }
      /*basic table properties*/
      .crane-table { border-collapse:collapse;table-layout:fixed }
      .crane-filler-column { width:0% }
      .crane-form-column { width:12.5% } 
      .crane-counter-cell { border:none }
      /*cell decoration combinations*/
      .crane-cell-data { margin-top:0pt;margin-bottom:0pt }
      .crane-cell-data-start   { text-align:left }
      .crane-cell-data-center  { text-align:center }
      .crane-cell-data-end     { text-align:right }
      .crane-cell-data-justify { text-align:left }
      .crane-cell-base { border:solid;border-width:1pt }
      .crane-cell-before { border-top-color:#e8e8e8 }
      .crane-cell-start { border-left-style:dotted;border-left-color:#e8e8e8 }
      .crane-cell-end-override { border-right-style:none }
      .crane-cell-before-override { border-top-style:none }
      .crane-cell-after-override { border-bottom-style:none }
      .crane-cell-data-background { }
      .crane-cell-filler-background { background-color:#e8e8e8 }
    </style>
            <link type="text/css" rel="stylesheet" href="CraneUBL2UN380Invoice-override.css"/>
         </head>
         <body class="crane-body">
            <table class="crane-table" summary="document layout">
               <col class="crane-filler-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <col class="crane-form-column"/>
               <thead>
                  <tr>
                     <td colspan="4">
                        <span/>
                     </td>
                     <td colspan="4" class="crane-form-label">
                        <xsl:call-template name="un-out:form-title"/>
                        <xsl:call-template name="un-out:check_alternate_form-title"/>
                     </td>
                  </tr>
               </thead>
               <tbody>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="6" colspan="4" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Seller</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_seller-party"/>
                        </div>
                        <xsl:call-template name="un-out:seller-party"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Invoice number</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_in-number"/>
                        </div>
                        <xsl:call-template name="un-out:in-number"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Invoice date (tax point)</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_invoice-date"/>
                        </div>
                        <xsl:call-template name="un-out:invoice-date"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Seller's reference</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_seller-reference"/>
                        </div>
                        <xsl:call-template name="un-out:seller-reference"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Buyer's reference</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_buyer-reference"/>
                        </div>
                        <xsl:call-template name="un-out:buyer-reference"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Purchase order date</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_po-date"/>
                        </div>
                        <xsl:call-template name="un-out:po-date"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="6" colspan="4" class="crane-cell-base crane-cell-end-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Consignee</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_consignee-party"/>
                        </div>
                        <xsl:call-template name="un-out:consignee-party"/>
                     </td>
                     <td rowspan="6" colspan="4" class="crane-cell-base crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Buyer</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_buyer-party"/>
                        </div>
                        <xsl:call-template name="un-out:buyer-party"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="4" colspan="4" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                     <td rowspan="2" colspan="4" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Buyer bank</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_buyer-bank"/>
                        </div>
                        <xsl:call-template name="un-out:buyer-bank"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Country of origin</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_country-of-origin"/>
                        </div>
                        <xsl:call-template name="un-out:country-of-origin"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Country of destination</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_country-of-destination"/>
                        </div>
                        <xsl:call-template name="un-out:country-of-destination"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Mode of transport</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_mode-of-transport"/>
                        </div>
                        <xsl:call-template name="un-out:mode-of-transport"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Date of despatch</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_date-of-despatch"/>
                        </div>
                        <xsl:call-template name="un-out:date-of-despatch"/>
                     </td>
                     <td rowspan="4" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Terms of payment</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_payment-terms"/>
                        </div>
                        <xsl:call-template name="un-out:payment-terms"/>
                     </td>
                     <td rowspan="4" colspan="2" class="crane-cell-base crane-cell-start crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Currency of payment</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_payment-currency"/>
                        </div>
                        <xsl:call-template name="un-out:payment-currency"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Means of transport</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_means-of-transport"/>
                        </div>
                        <xsl:call-template name="un-out:means-of-transport"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Place of despatch</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_place-of-despatch"/>
                        </div>
                        <xsl:call-template name="un-out:place-of-despatch"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Vessel/flight No.</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_vessel-flight-no"/>
                        </div>
                        <xsl:call-template name="un-out:vessel-flight-no"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Port of loading</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_port-of-loading"/>
                        </div>
                        <xsl:call-template name="un-out:port-of-loading"/>
                     </td>
                     <td rowspan="4" colspan="2" class="crane-cell-base crane-cell-before crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Seller's bank</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_seller-bank"/>
                        </div>
                        <xsl:call-template name="un-out:seller-bank"/>
                     </td>
                     <td rowspan="2" colspan="1" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Sort code</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_sort-code"/>
                        </div>
                        <xsl:call-template name="un-out:sort-code"/>
                     </td>
                     <td rowspan="2" colspan="1" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Acct. no.</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_account-number"/>
                        </div>
                        <xsl:call-template name="un-out:account-number"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Port of discharge</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_port-of-discharge"/>
                        </div>
                        <xsl:call-template name="un-out:port-of-discharge"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Place of delivery</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_place-of-delivery"/>
                        </div>
                        <xsl:call-template name="un-out:place-of-delivery"/>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Account name</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_account-name"/>
                        </div>
                        <xsl:call-template name="un-out:account-name"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="8" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Shipping marks; container number</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_shipping-marks-container-number"/>
                        </div>
                        <xsl:call-template name="un-out:shipping-marks-container-number"/>
                     </td>
                     <td rowspan="8" colspan="4" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">No. and kind of packages; description of goods</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_no-and-kind-of-packages-description-of-goods"/>
                        </div>
                        <xsl:call-template name="un-out:no-and-kind-of-packages-description-of-goods"/>
                     </td>
                     <td rowspan="4" colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Total gross weight (kg)</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-gross-weight-kg"/>
                        </div>
                        <xsl:call-template name="un-out:total-gross-weight-kg"/>
                     </td>
                     <td rowspan="4" colspan="1" class="crane-cell-base crane-cell-start crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Total cube(m3)</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-cubem3"/>
                        </div>
                        <xsl:call-template name="un-out:total-cubem3"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="4" colspan="1" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label">Total net weight (kg)</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-net-weight-kg"/>
                        </div>
                        <xsl:call-template name="un-out:total-net-weight-kg"/>
                     </td>
                     <td rowspan="4" colspan="1" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
               </tbody>
               <tbody>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Item / References</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_item-references"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Description</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_description"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Country of origin</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_country-of-origin-line"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Commodity code</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_commodity-code"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Quantity</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_quantity"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Unit price</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_unit-price"/>
                        </div>
                        <span/>
                     </td>
                     <td rowspan="1" colspan="1" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Amount</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_amount"/>
                        </div>
                        <span/>
                     </td>
                  </tr>
               </tbody>
               <tbody>
                  <xsl:call-template name="un-out:lineitem-table"/>
               </tbody>
               <tbody>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="16" colspan="5" class="crane-cell-base crane-cell-end-override crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Clauses and / or Notes</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_notes"/>
                        </div>
                        <xsl:call-template name="un-out:notes"/>
                     </td>
                     <td rowspan="6" colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Total amount</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-amount"/>
                        </div>
                        <xsl:call-template name="un-out:total-amount"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Total tax amount</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-tax-amount"/>
                        </div>
                        <xsl:call-template name="un-out:total-tax-amount"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="2" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Total amount due</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_total-amount-due"/>
                        </div>
                        <xsl:call-template name="un-out:total-amount-due"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="4" colspan="1" class="crane-cell-base crane-cell-before crane-cell-start crane-cell-end-override crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                     <td rowspan="4" colspan="2" class="crane-cell-base crane-cell-start crane-cell-after-override crane-cell-filler-background">
                        <span nowrap="nowrap" class="crane-box-label"/>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_"/>
                        </div>
                        <span>
                           <br/>
                        </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="3" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Name of signatory</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_signatory"/>
                        </div>
                        <xsl:call-template name="un-out:signatory"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="3" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Place and date of issue</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_issue"/>
                        </div>
                        <xsl:call-template name="un-out:issue"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                     <td rowspan="2" colspan="3" class="crane-cell-base crane-cell-after-override crane-cell-data-background">
                        <span nowrap="nowrap" class="crane-box-label">Signature</span>
                        <div class="crane-box-label crane-alternate-box-label">
                           <xsl:call-template name="un-out:check_alternate_title_signature"/>
                        </div>
                        <xsl:call-template name="un-out:signature"/>
                     </td>
                  </tr>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span> </span>
                     </td>
                  </tr>
               </tbody>
               <tbody>
                  <tr valign="top">
                     <td class="crane-counter-cell">
                        <span/>
                     </td>
                     <td colspan="8" class="crane-cell-base crane-box-label">
                        <span>
                           <xsl:call-template name="un-out:caller-identification"/>
                        </span>
                        <br/>CraneUN380Invoice-html.xsl - <span>
                           <xsl:call-template name="un-out:revision"/>
                        </span>
                        <span>
                           <xsl:call-template name="un-out:check_alternate_revision"/>
                        </span>
                        <br/>
                        <xsl:call-template name="un-out:url"/>
                     </td>
                  </tr>
               </tbody>
            </table>
         </body>
      </html>
   </xsl:template>

<!--Branch: form-comment-->
   <xsl:template name="un-out:form-comment">
      <xsl:call-template name="un-in:form-comment"/>
   </xsl:template>
   <xsl:template name="un-in:form-comment">
      <span/>
   </xsl:template>

<!--Branch: form-title-->
   <xsl:template name="un-out:form-title">
      <xsl:call-template name="un-in:form-title"/>
   </xsl:template>
   <xsl:template name="un-in:form-title">
      <span/>
   </xsl:template>

<!--Branch: check_alternate_form-title-->
   <xsl:template name="un-out:check_alternate_form-title">
      <xsl:call-template name="un-in:check_alternate_form-title"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_form-title">
      <span/>
   </xsl:template>

<!--Branch: check_alternate_title_seller-party-->
   <xsl:template name="un-out:check_alternate_title_seller-party">
      <xsl:call-template name="un-in:check_alternate_title_seller-party"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_seller-party"/>

<!--Branch: seller-party-->
   <xsl:template name="un-out:seller-party">
      <xsl:call-template name="un-in:seller-party"/>
   </xsl:template>
   <xsl:template name="un-in:seller-party">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_in-number-->
   <xsl:template name="un-out:check_alternate_title_in-number">
      <xsl:call-template name="un-in:check_alternate_title_in-number"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_in-number"/>

<!--Branch: in-number-->
   <xsl:template name="un-out:in-number">
      <xsl:call-template name="un-in:in-number"/>
   </xsl:template>
   <xsl:template name="un-in:in-number">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_-->
   <xsl:template name="un-out:check_alternate_title_">
      <xsl:call-template name="un-in:check_alternate_title_"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_"/>

<!--Branch: check_alternate_title_invoice-date-->
   <xsl:template name="un-out:check_alternate_title_invoice-date">
      <xsl:call-template name="un-in:check_alternate_title_invoice-date"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_invoice-date"/>

<!--Branch: invoice-date-->
   <xsl:template name="un-out:invoice-date">
      <xsl:call-template name="un-in:invoice-date"/>
   </xsl:template>
   <xsl:template name="un-in:invoice-date">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_seller-reference-->
   <xsl:template name="un-out:check_alternate_title_seller-reference">
      <xsl:call-template name="un-in:check_alternate_title_seller-reference"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_seller-reference"/>

<!--Branch: seller-reference-->
   <xsl:template name="un-out:seller-reference">
      <xsl:call-template name="un-in:seller-reference"/>
   </xsl:template>
   <xsl:template name="un-in:seller-reference">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_buyer-reference-->
   <xsl:template name="un-out:check_alternate_title_buyer-reference">
      <xsl:call-template name="un-in:check_alternate_title_buyer-reference"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_buyer-reference"/>

<!--Branch: buyer-reference-->
   <xsl:template name="un-out:buyer-reference">
      <xsl:call-template name="un-in:buyer-reference"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-reference">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_po-date-->
   <xsl:template name="un-out:check_alternate_title_po-date">
      <xsl:call-template name="un-in:check_alternate_title_po-date"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_po-date"/>

<!--Branch: po-date-->
   <xsl:template name="un-out:po-date">
      <xsl:call-template name="un-in:po-date"/>
   </xsl:template>
   <xsl:template name="un-in:po-date">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_consignee-party-->
   <xsl:template name="un-out:check_alternate_title_consignee-party">
      <xsl:call-template name="un-in:check_alternate_title_consignee-party"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_consignee-party"/>

<!--Branch: consignee-party-->
   <xsl:template name="un-out:consignee-party">
      <xsl:call-template name="un-in:consignee-party"/>
   </xsl:template>
   <xsl:template name="un-in:consignee-party">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_buyer-party-->
   <xsl:template name="un-out:check_alternate_title_buyer-party">
      <xsl:call-template name="un-in:check_alternate_title_buyer-party"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_buyer-party"/>

<!--Branch: buyer-party-->
   <xsl:template name="un-out:buyer-party">
      <xsl:call-template name="un-in:buyer-party"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-party">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_buyer-bank-->
   <xsl:template name="un-out:check_alternate_title_buyer-bank">
      <xsl:call-template name="un-in:check_alternate_title_buyer-bank"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_buyer-bank"/>

<!--Branch: buyer-bank-->
   <xsl:template name="un-out:buyer-bank">
      <xsl:call-template name="un-in:buyer-bank"/>
   </xsl:template>
   <xsl:template name="un-in:buyer-bank">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_country-of-origin-->
   <xsl:template name="un-out:check_alternate_title_country-of-origin">
      <xsl:call-template name="un-in:check_alternate_title_country-of-origin"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_country-of-origin"/>

<!--Branch: country-of-origin-->
   <xsl:template name="un-out:country-of-origin">
      <xsl:call-template name="un-in:country-of-origin"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-origin">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_country-of-destination-->
   <xsl:template name="un-out:check_alternate_title_country-of-destination">
      <xsl:call-template name="un-in:check_alternate_title_country-of-destination"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_country-of-destination"/>

<!--Branch: country-of-destination-->
   <xsl:template name="un-out:country-of-destination">
      <xsl:call-template name="un-in:country-of-destination"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-destination">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_mode-of-transport-->
   <xsl:template name="un-out:check_alternate_title_mode-of-transport">
      <xsl:call-template name="un-in:check_alternate_title_mode-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_mode-of-transport"/>

<!--Branch: mode-of-transport-->
   <xsl:template name="un-out:mode-of-transport">
      <xsl:call-template name="un-in:mode-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:mode-of-transport">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_date-of-despatch-->
   <xsl:template name="un-out:check_alternate_title_date-of-despatch">
      <xsl:call-template name="un-in:check_alternate_title_date-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_date-of-despatch"/>

<!--Branch: date-of-despatch-->
   <xsl:template name="un-out:date-of-despatch">
      <xsl:call-template name="un-in:date-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:date-of-despatch">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_payment-terms-->
   <xsl:template name="un-out:check_alternate_title_payment-terms">
      <xsl:call-template name="un-in:check_alternate_title_payment-terms"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_payment-terms"/>

<!--Branch: payment-terms-->
   <xsl:template name="un-out:payment-terms">
      <xsl:call-template name="un-in:payment-terms"/>
   </xsl:template>
   <xsl:template name="un-in:payment-terms">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_payment-currency-->
   <xsl:template name="un-out:check_alternate_title_payment-currency">
      <xsl:call-template name="un-in:check_alternate_title_payment-currency"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_payment-currency"/>

<!--Branch: payment-currency-->
   <xsl:template name="un-out:payment-currency">
      <xsl:call-template name="un-in:payment-currency"/>
   </xsl:template>
   <xsl:template name="un-in:payment-currency">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_means-of-transport-->
   <xsl:template name="un-out:check_alternate_title_means-of-transport">
      <xsl:call-template name="un-in:check_alternate_title_means-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_means-of-transport"/>

<!--Branch: means-of-transport-->
   <xsl:template name="un-out:means-of-transport">
      <xsl:call-template name="un-in:means-of-transport"/>
   </xsl:template>
   <xsl:template name="un-in:means-of-transport">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_place-of-despatch-->
   <xsl:template name="un-out:check_alternate_title_place-of-despatch">
      <xsl:call-template name="un-in:check_alternate_title_place-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_place-of-despatch"/>

<!--Branch: place-of-despatch-->
   <xsl:template name="un-out:place-of-despatch">
      <xsl:call-template name="un-in:place-of-despatch"/>
   </xsl:template>
   <xsl:template name="un-in:place-of-despatch">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_vessel-flight-no-->
   <xsl:template name="un-out:check_alternate_title_vessel-flight-no">
      <xsl:call-template name="un-in:check_alternate_title_vessel-flight-no"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_vessel-flight-no"/>

<!--Branch: vessel-flight-no-->
   <xsl:template name="un-out:vessel-flight-no">
      <xsl:call-template name="un-in:vessel-flight-no"/>
   </xsl:template>
   <xsl:template name="un-in:vessel-flight-no">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_port-of-loading-->
   <xsl:template name="un-out:check_alternate_title_port-of-loading">
      <xsl:call-template name="un-in:check_alternate_title_port-of-loading"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_port-of-loading"/>

<!--Branch: port-of-loading-->
   <xsl:template name="un-out:port-of-loading">
      <xsl:call-template name="un-in:port-of-loading"/>
   </xsl:template>
   <xsl:template name="un-in:port-of-loading">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_seller-bank-->
   <xsl:template name="un-out:check_alternate_title_seller-bank">
      <xsl:call-template name="un-in:check_alternate_title_seller-bank"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_seller-bank"/>

<!--Branch: seller-bank-->
   <xsl:template name="un-out:seller-bank">
      <xsl:call-template name="un-in:seller-bank"/>
   </xsl:template>
   <xsl:template name="un-in:seller-bank">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_sort-code-->
   <xsl:template name="un-out:check_alternate_title_sort-code">
      <xsl:call-template name="un-in:check_alternate_title_sort-code"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_sort-code"/>

<!--Branch: sort-code-->
   <xsl:template name="un-out:sort-code">
      <xsl:call-template name="un-in:sort-code"/>
   </xsl:template>
   <xsl:template name="un-in:sort-code">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_account-number-->
   <xsl:template name="un-out:check_alternate_title_account-number">
      <xsl:call-template name="un-in:check_alternate_title_account-number"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_account-number"/>

<!--Branch: account-number-->
   <xsl:template name="un-out:account-number">
      <xsl:call-template name="un-in:account-number"/>
   </xsl:template>
   <xsl:template name="un-in:account-number">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_port-of-discharge-->
   <xsl:template name="un-out:check_alternate_title_port-of-discharge">
      <xsl:call-template name="un-in:check_alternate_title_port-of-discharge"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_port-of-discharge"/>

<!--Branch: port-of-discharge-->
   <xsl:template name="un-out:port-of-discharge">
      <xsl:call-template name="un-in:port-of-discharge"/>
   </xsl:template>
   <xsl:template name="un-in:port-of-discharge">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_place-of-delivery-->
   <xsl:template name="un-out:check_alternate_title_place-of-delivery">
      <xsl:call-template name="un-in:check_alternate_title_place-of-delivery"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_place-of-delivery"/>

<!--Branch: place-of-delivery-->
   <xsl:template name="un-out:place-of-delivery">
      <xsl:call-template name="un-in:place-of-delivery"/>
   </xsl:template>
   <xsl:template name="un-in:place-of-delivery">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_account-name-->
   <xsl:template name="un-out:check_alternate_title_account-name">
      <xsl:call-template name="un-in:check_alternate_title_account-name"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_account-name"/>

<!--Branch: account-name-->
   <xsl:template name="un-out:account-name">
      <xsl:call-template name="un-in:account-name"/>
   </xsl:template>
   <xsl:template name="un-in:account-name">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_shipping-marks-container-number-->
   <xsl:template name="un-out:check_alternate_title_shipping-marks-container-number">
      <xsl:call-template name="un-in:check_alternate_title_shipping-marks-container-number"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_shipping-marks-container-number"/>

<!--Branch: shipping-marks-container-number-->
   <xsl:template name="un-out:shipping-marks-container-number">
      <xsl:call-template name="un-in:shipping-marks-container-number"/>
   </xsl:template>
   <xsl:template name="un-in:shipping-marks-container-number">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_no-and-kind-of-packages-description-of-goods-->
   <xsl:template name="un-out:check_alternate_title_no-and-kind-of-packages-description-of-goods">
      <xsl:call-template name="un-in:check_alternate_title_no-and-kind-of-packages-description-of-goods"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_no-and-kind-of-packages-description-of-goods"/>

<!--Branch: no-and-kind-of-packages-description-of-goods-->
   <xsl:template name="un-out:no-and-kind-of-packages-description-of-goods">
      <xsl:call-template name="un-in:no-and-kind-of-packages-description-of-goods"/>
   </xsl:template>
   <xsl:template name="un-in:no-and-kind-of-packages-description-of-goods">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-gross-weight-kg-->
   <xsl:template name="un-out:check_alternate_title_total-gross-weight-kg">
      <xsl:call-template name="un-in:check_alternate_title_total-gross-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-gross-weight-kg"/>

<!--Branch: total-gross-weight-kg-->
   <xsl:template name="un-out:total-gross-weight-kg">
      <xsl:call-template name="un-in:total-gross-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:total-gross-weight-kg">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-cubem3-->
   <xsl:template name="un-out:check_alternate_title_total-cubem3">
      <xsl:call-template name="un-in:check_alternate_title_total-cubem3"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-cubem3"/>

<!--Branch: total-cubem3-->
   <xsl:template name="un-out:total-cubem3">
      <xsl:call-template name="un-in:total-cubem3"/>
   </xsl:template>
   <xsl:template name="un-in:total-cubem3">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-net-weight-kg-->
   <xsl:template name="un-out:check_alternate_title_total-net-weight-kg">
      <xsl:call-template name="un-in:check_alternate_title_total-net-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-net-weight-kg"/>

<!--Branch: total-net-weight-kg-->
   <xsl:template name="un-out:total-net-weight-kg">
      <xsl:call-template name="un-in:total-net-weight-kg"/>
   </xsl:template>
   <xsl:template name="un-in:total-net-weight-kg">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_item-references-->
   <xsl:template name="un-out:check_alternate_title_item-references">
      <xsl:call-template name="un-in:check_alternate_title_item-references"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_item-references"/>

<!--Branch: check_alternate_title_description-->
   <xsl:template name="un-out:check_alternate_title_description">
      <xsl:call-template name="un-in:check_alternate_title_description"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_description"/>

<!--Branch: check_alternate_title_country-of-origin-line-->
   <xsl:template name="un-out:check_alternate_title_country-of-origin-line">
      <xsl:call-template name="un-in:check_alternate_title_country-of-origin-line"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_country-of-origin-line"/>

<!--Branch: check_alternate_title_commodity-code-->
   <xsl:template name="un-out:check_alternate_title_commodity-code">
      <xsl:call-template name="un-in:check_alternate_title_commodity-code"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_commodity-code"/>

<!--Branch: check_alternate_title_quantity-->
   <xsl:template name="un-out:check_alternate_title_quantity">
      <xsl:call-template name="un-in:check_alternate_title_quantity"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_quantity"/>

<!--Branch: check_alternate_title_unit-price-->
   <xsl:template name="un-out:check_alternate_title_unit-price">
      <xsl:call-template name="un-in:check_alternate_title_unit-price"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_unit-price"/>

<!--Branch: check_alternate_title_amount-->
   <xsl:template name="un-out:check_alternate_title_amount">
      <xsl:call-template name="un-in:check_alternate_title_amount"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_amount"/>

<!--Branch: lineitem-table-->
   <xsl:template name="un-out:lineitem-table">
      <xsl:call-template name="un-in:lineitem-table"/>
   </xsl:template>
   <xsl:template name="un-in:lineitem-table">
      <tr valign="top">
         <xsl:call-template name="un-out:lineitem"/>
      </tr>
   </xsl:template>

<!--Branch: lineitem-->
   <xsl:template name="un-out:lineitem">
      <xsl:call-template name="un-in:lineitem"/>
   </xsl:template>
   <xsl:template name="un-in:lineitem">
      <td class="crane-counter-cell">
         <span> </span>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:item-references"/>
      </td>
      <td colspan="2" class="crane-cell-base crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:description"/>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:country-of-origin-line"/>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-start crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:commodity-code"/>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:quantity"/>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-end-override crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:unit-price"/>
      </td>
      <td colspan="1" class="crane-cell-base crane-cell-before-override crane-cell-after-override crane-cell-data-background">
         <xsl:call-template name="un-out:amount"/>
      </td>
   </xsl:template>

<!--Branch: item-references-->
   <xsl:template name="un-out:item-references">
      <xsl:call-template name="un-in:item-references"/>
   </xsl:template>
   <xsl:template name="un-in:item-references">
      <span/>
   </xsl:template>

<!--Branch: description-->
   <xsl:template name="un-out:description">
      <xsl:call-template name="un-in:description"/>
   </xsl:template>
   <xsl:template name="un-in:description">
      <span/>
   </xsl:template>

<!--Branch: country-of-origin-line-->
   <xsl:template name="un-out:country-of-origin-line">
      <xsl:call-template name="un-in:country-of-origin-line"/>
   </xsl:template>
   <xsl:template name="un-in:country-of-origin-line">
      <span/>
   </xsl:template>

<!--Branch: commodity-code-->
   <xsl:template name="un-out:commodity-code">
      <xsl:call-template name="un-in:commodity-code"/>
   </xsl:template>
   <xsl:template name="un-in:commodity-code">
      <span/>
   </xsl:template>

<!--Branch: quantity-->
   <xsl:template name="un-out:quantity">
      <xsl:call-template name="un-in:quantity"/>
   </xsl:template>
   <xsl:template name="un-in:quantity">
      <span/>
   </xsl:template>

<!--Branch: unit-price-->
   <xsl:template name="un-out:unit-price">
      <xsl:call-template name="un-in:unit-price"/>
   </xsl:template>
   <xsl:template name="un-in:unit-price">
      <span/>
   </xsl:template>

<!--Branch: amount-->
   <xsl:template name="un-out:amount">
      <xsl:call-template name="un-in:amount"/>
   </xsl:template>
   <xsl:template name="un-in:amount">
      <span/>
   </xsl:template>

<!--Branch: check_alternate_title_notes-->
   <xsl:template name="un-out:check_alternate_title_notes">
      <xsl:call-template name="un-in:check_alternate_title_notes"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_notes"/>

<!--Branch: notes-->
   <xsl:template name="un-out:notes">
      <xsl:call-template name="un-in:notes"/>
   </xsl:template>
   <xsl:template name="un-in:notes">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-amount-->
   <xsl:template name="un-out:check_alternate_title_total-amount">
      <xsl:call-template name="un-in:check_alternate_title_total-amount"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-amount"/>

<!--Branch: total-amount-->
   <xsl:template name="un-out:total-amount">
      <xsl:call-template name="un-in:total-amount"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-tax-amount-->
   <xsl:template name="un-out:check_alternate_title_total-tax-amount">
      <xsl:call-template name="un-in:check_alternate_title_total-tax-amount"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-tax-amount"/>

<!--Branch: total-tax-amount-->
   <xsl:template name="un-out:total-tax-amount">
      <xsl:call-template name="un-in:total-tax-amount"/>
   </xsl:template>
   <xsl:template name="un-in:total-tax-amount">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_total-amount-due-->
   <xsl:template name="un-out:check_alternate_title_total-amount-due">
      <xsl:call-template name="un-in:check_alternate_title_total-amount-due"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_total-amount-due"/>

<!--Branch: total-amount-due-->
   <xsl:template name="un-out:total-amount-due">
      <xsl:call-template name="un-in:total-amount-due"/>
   </xsl:template>
   <xsl:template name="un-in:total-amount-due">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_signatory-->
   <xsl:template name="un-out:check_alternate_title_signatory">
      <xsl:call-template name="un-in:check_alternate_title_signatory"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_signatory"/>

<!--Branch: signatory-->
   <xsl:template name="un-out:signatory">
      <xsl:call-template name="un-in:signatory"/>
   </xsl:template>
   <xsl:template name="un-in:signatory">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_issue-->
   <xsl:template name="un-out:check_alternate_title_issue">
      <xsl:call-template name="un-in:check_alternate_title_issue"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_issue"/>

<!--Branch: issue-->
   <xsl:template name="un-out:issue">
      <xsl:call-template name="un-in:issue"/>
   </xsl:template>
   <xsl:template name="un-in:issue">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: check_alternate_title_signature-->
   <xsl:template name="un-out:check_alternate_title_signature">
      <xsl:call-template name="un-in:check_alternate_title_signature"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_title_signature"/>

<!--Branch: signature-->
   <xsl:template name="un-out:signature">
      <xsl:call-template name="un-in:signature"/>
   </xsl:template>
   <xsl:template name="un-in:signature">
      <span>
         <br/>
      </span>
   </xsl:template>

<!--Branch: caller-identification-->
   <xsl:template name="un-out:caller-identification">
      <xsl:call-template name="un-in:caller-identification"/>
   </xsl:template>
   <xsl:template name="un-in:caller-identification">
      <i>
              (raw presentation; no calling stylesheet)
            </i>
   </xsl:template>

<!--Branch: revision-->
   <xsl:template name="un-out:revision">
      <xsl:call-template name="un-in:revision"/>
   </xsl:template>
   <xsl:template name="un-in:revision">$Date: 2008/12/19 16:39:44 $(UTC)</xsl:template>

<!--Branch: check_alternate_revision-->
   <xsl:template name="un-out:check_alternate_revision">
      <xsl:call-template name="un-in:check_alternate_revision"/>
   </xsl:template>
   <xsl:template name="un-in:check_alternate_revision"/>

<!--Branch: url-->
   <xsl:template name="un-out:url">
      <xsl:call-template name="un-in:url"/>
   </xsl:template>
   <xsl:template name="un-in:url">
      <a target="_blank" href="http://www.CraneSoftwrights.com/links/res-un-f.htm">http://www.CraneSoftwrights.com/links/res-un-f.htm</a>
   </xsl:template>
</xsl:stylesheet>