<?xml version="1.0" encoding="UTF-8"?>
<!--

    This file is part of FatturazioneElettronica - Portlets - Skeleton

    Copyright © 2009-2014 EPOCA

    FatturazioneElettronica - Portlets - Skeleton is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FatturazioneElettronica - Portlets - Skeleton is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FatturazioneElettronica - Portlets - Skeleton.  If not, see <http://www.gnu.org/licenses/>.

-->
<!-- 
    Descrizione documento:     Foglio di stile per Fattura italiana
    Prodotto il :              Ottobre 2013      
    Prodotto da :              A. Brutti
    Ambito:                    Intercent-ER - Piloti Peppol
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
    xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
    xmlns:in="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" version="2.0"
    exclude-result-prefixes="cac cbc in">
    <xd:doc xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet">
        <xd:desc>
            <xd:p><xd:b>Created on:</xd:b> Oct 28, 2013</xd:p>
            <xd:p><xd:b>Author:</xd:b> Arianna Brutti</xd:p>
            <xd:p/>
        </xd:desc>
    </xd:doc>
    <xsl:decimal-format name="number" decimal-separator="," grouping-separator="."/>
    <xsl:template match="/">
        <html>
            <head>
                <title>FATTURA</title>
                <style type="text/css">
                    /* general text properties */
                    .in-body {
                        font-family:serif
                    }
                    .in-box-label {
                        font-family:sans-serif;
                        font-style:italic;
                        font-size:60%;
                        margin-left: 1pt;
                        margin-right:1pt;
                        margin-top:1pt
                    }
                    .box-text {
                        font-family:sans-serif;
                        font-size:90%;
                        line-height:15pt;
                        margin-left: 1pt;
                        margin-right:1pt
                    }
                    .title-text {
                        font-family:sans-serif;
                        font-weight:bold;
                        font-size:90%
                        margin-left:10pt;
                    }
                    .subtitle-text {
                        font-family:sans-serif;
                        font-weight:bold;
                        font-size:80%;
                        margin-left: 1pt;
                        margin-right:1pt
                    }
                    .in-table {
                        border-collapse:collapse;
                        border-color: #000000;
                        table-layout:fixed
                    }
                    .in-form-column {
                        width:8.33%
                    }
                    .in-counter-cell {
                        border:none
                    }
                    .in-cell-data {
                        margin-top:0pt;
                        margin-bottom:0pt
                    }
                    .in-cell-data-background {
                    }
                    .in-cell-data-center {
                        text-align:center
                    }
                    .in-cell-base {
                        border:solid;
                        border-width:1pt
                    }
                    .in-cell-end-override {
                        border-right-style:none
                    }
                    .in-cell-after-override {
                        border-bottom-style:none
                    }
                    .cell-middle {
                        margin-bottom:5pt
                    }
                    .in-cell-line-background {
                        background-color:#b8b8b8;
                        font-weight:bold
                    }
                    .in-cell-filler-background {
                        background-color:#e8e8e8
                    }</style>
            </head>
            <body class="in-body">
                <table class="in-table" summary="document layout">
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <col class="in-form-column"/>
                    <tbody>
                        <tr valign="top">
                            <td class="in-counter-cell title-text">
                                <span>Fattura </span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell">
                                <span> </span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td rowspan="4" colspan="6"
                                class="in-cell-base in-cell-after-override in-cell-data-background">
                                <span class="in-box-label">Fornitore</span>
                                <xsl:call-template name="in-supplier"/>
                            </td>
                            <td rowspan="2" colspan="3"
                                class="in-cell-base in-cell-end-override in-cell-filler-background">
                                <span class="in-box-label">Numero fattura</span>
                                <div class="box-text">
                                    <xsl:call-template name="in-id"/>
                                </div>
                            </td>
                            <td rowspan="2" colspan="2"
                                class="in-cell-base in-cell-after-override in-cell-filler-background">
                                <span class="in-box-label">Data fattura</span>
                                <div class="box-text">
                                    <xsl:call-template name="in-date"/>
                                </div>
                            </td>
                            <td rowspan="2" colspan="1"
                                class="in-cell-base in-cell-after-override in-cell-filler-background">
                                <span class="in-box-label">Valuta</span>
                                <div class="box-text">
                                    <xsl:call-template name="in-currency"/>
                                </div>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"> </td>
                        </tr>
                        <tr valign="top">
                            <td rowspan="2" colspan="3"
                                class="in-cell-base in-cell-after-override in-cell-data-background">
                                <span class="in-box-label">Numero ordine (assegnato dal
                                    cliente)</span>
                                <div class="box-text">
                                    <xsl:call-template name="po-customer-id"/>
                                </div>
                            </td>
                            <td rowspan="2" colspan="3"
                                class="in-cell-base in-cell-after-override in-cell-data-background">
                                <span class="in-box-label">Data ordine</span>
                                <div class="box-text">
                                    <xsl:call-template name="po-date"/>
                                </div>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td rowspan="6" colspan="6"
                                class="in-cell-base  in-cell-data-background">
                                <span class="in-box-label">Cliente</span>
                                <xsl:call-template name="in-customer"/>
                            </td>
                            <td rowspan="6" colspan="6" class="in-cell-base in-cell-data-background">
                                <span class="in-box-label">Note</span>
                                <div class="box-text">
                                    <xsl:call-template name="in-note"/>
                                </div>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                    </tbody>
                    <tbody>
                        <tr valign="top">
                            <td class="in-counter-cell">
                                <span> </span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell subtitle-text" colspan="12">
                                <span>Righe fattura </span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell"/>
                        </tr>
                        <tr valign="top">
                            <td rowspan="2" colspan="1"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Id. Articolo</span>
                            </td>
                            <td rowspan="2" colspan="3"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Nome/Descrizione</span>
                            </td>
                            <td rowspan="2" colspan="1"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Quantità/Unità di misura</span>
                            </td>
                            <td rowspan="2" colspan="2"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Prezzo unitario</span>
                            </td>
                            <td rowspan="2" colspan="2"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Importo</span>
                            </td>
                            <td rowspan="2" colspan="3"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Imposta</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell">
                                <span> </span>
                            </td>
                        </tr>
                        <xsl:for-each select="/in:Invoice/cac:InvoiceLine">
                            <tr valign="top">
                                <td rowspan="1" colspan="1" class="in-cell-base in-cell-data-center">
                                    <div class="box-text">
                                        <span class="box-text">
                                            <xsl:value-of
                                                select="cac:Item/cac:SellersItemIdentification/cbc:ID"
                                            />
                                        </span>
                                    </div>
                                </td>
                                <td rowspan="1" colspan="3" class="in-cell-base">
                                    <div class="box-text">
                                        <div class="cell-middle">
                                            <span class="box-text">
                                                <xsl:value-of select="cac:Item/cbc:Name"/>
                                            </span>
                                            <xsl:if test="cac:Item/cbc:Description">
                                                <span class="box-text">/</span>
                                                <div>
                                                  <span class="box-text">
                                                  <xsl:value-of select="cac:Item/cbc:Description"/>
                                                  </span>
                                                </div>
                                            </xsl:if>
                                        </div>
                                    </div>
                                </td>
                                <td rowspan="1" colspan="1"
                                    class="in-cell-base  in-cell-data-center">
                                    <div class="box-text">
                                        <span class="box-text">
                                            <xsl:value-of select="cbc:InvoicedQuantity"/>
                                            <xsl:text> </xsl:text>
                                            <xsl:value-of select="cbc:InvoicedQuantity/@unitCode"/>
                                        </span>
                                    </div>
                                </td>
                                <td rowspan="1" colspan="2"
                                    class="in-cell-base  in-cell-data-center">
                                    <div class="box-text" align="right">
                                        <xsl:call-template name="format-amount">
                                            <xsl:with-param name="amount">
                                                <xsl:value-of select="cac:Price/cbc:PriceAmount"/>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                        <span class="box-text">
                                            <xsl:text> </xsl:text>
                                            <xsl:value-of
                                                select="cac:Price/cbc:PriceAmount/@currencyID"/>
                                        </span>
                                    </div>
                                </td>
                                <td rowspan="1" colspan="2"
                                    class="in-cell-base  in-cell-data-center">
                                    <div class="box-text" align="right">
                                        <xsl:call-template name="format-amount">
                                            <xsl:with-param name="amount">
                                                <xsl:value-of select="cbc:LineExtensionAmount"/>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                        <span class="box-text" nowrap="nowrap">
                                            <xsl:text>  </xsl:text>
                                            <xsl:value-of
                                                select="cbc:LineExtensionAmount/@currencyID"/>
                                        </span>
                                    </div>
                                    <span/>
                                </td>
                                <td rowspan="1" colspan="3" class="in-cell-base in-cell-data-center">
                                    <xsl:for-each select="cac:TaxTotal">
                                        <xsl:choose>
                                            <xsl:when test="cac:TaxSubtotal">
                                                <xsl:for-each select="cac:TaxSubtotal">
                                                  <div class="box-text" align="right">
                                                  <span class="box-text">
                                                  <xsl:apply-templates mode="line"
                                                  select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>
                                                  <xsl:text> </xsl:text>
                                                  <xsl:if test="cac:TaxCategory/cbc:Percent">
                                                  <xsl:apply-templates mode="line"
                                                  select="cac:TaxCategory/cbc:Percent"/>%: </xsl:if>
                                                  <xsl:call-template name="format-amount">
                                                  <xsl:with-param name="amount">
                                                  <xsl:value-of select="cbc:TaxAmount"/>
                                                  </xsl:with-param>
                                                  </xsl:call-template>
                                                  <xsl:text> </xsl:text>
                                                  <xsl:value-of select="cbc:TaxAmount/@currencyID"/>
                                                  </span>
                                                  <xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReasonCode or cac:TaxCategory/cbc:TaxExemptionReason)">
                                                  <div class="box-text" align="left">
                                                  <span class="box-text">Esentasse<xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReason)">;
                                                  causale esenzione: "<xsl:apply-templates
                                                  mode="line"
                                                  select="cac:TaxCategory/cbc:TaxExemptionReason"/>" </xsl:if>
                                                  <xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReasonCode)"
                                                  > (codice causale esenzione: <xsl:apply-templates
                                                  mode="line"
                                                  select="cac:TaxCategory/cbc:TaxExemptionReasonCode"
                                                  />) </xsl:if>
                                                  </span>
                                                  </div>
                                                  </xsl:if>
                                                  </div>
                                                </xsl:for-each>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:if test="cbc:TaxAmount">
                                                  <span class="box-text">
                                                  <xsl:value-of select="cbc:TaxAmount"/>
                                                  <xsl:text> </xsl:text>
                                                  <xsl:value-of select="cbc:TaxAmount/@currencyID"/>
                                                  </span>
                                                </xsl:if>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:for-each>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </tbody>

                    <!-- Subtotali fattura -->
                    <tbody>
                        <tr valign="top">
                            <td class="in-counter-cell">
                                <span> </span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell subtitle-text" colspan="7">
                                <span>Subtotali</span>
                            </td>
                        </tr>
                        <xsl:for-each select="/in:Invoice/cac:TaxTotal">
                            <tr valign="top">
                                <td colspan="3">
                                    <span class="box-text">Schema di imposta: <span
                                            style="font-weight:bold"><xsl:value-of
                                                select="cac:TaxSubtotal/cac:TaxCategory/cac:TaxScheme/cbc:ID"
                                            />
                                        </span>
                                    </span>

                                </td>
                                <td class="in-counter-cell" colspan="4">
                                    <span> </span>
                                </td>
                            </tr>
                            <tr valign="top">
                                <td rowspan="2" colspan="2"
                                    class="in-cell-base in-cell-data-center in-cell-filler-background">
                                    <span class="in-box-label">Imponibile</span>
                                </td>

                                <td rowspan="2" colspan="2"
                                    class="in-cell-base in-cell-data-center in-cell-filler-background">
                                    <span class="in-box-label">Percentuale imposta</span>
                                </td>
                                <td rowspan="2" colspan="2"
                                    class="in-cell-base in-cell-data-center in-cell-filler-background">
                                    <span class="in-box-label">Importo imposta</span>
                                </td>
                                <td rowspan="2" colspan="2"
                                    class="in-cell-base in-cell-data-center in-cell-filler-background">
                                    <span class="in-box-label">Subtotale</span>
                                    <span/>
                                </td>
                            </tr>
                            <tr valign="top">
                                <td class="in-counter-cell">
                                    <span> </span>
                                </td>
                            </tr>

                            <xsl:for-each select="cac:TaxSubtotal">
                                <tr valign="top">
                                    <td rowspan="1" colspan="2"
                                        class="in-cell-base  in-cell-data-center">
                                        <div class="box-text" align="right">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount">
                                                  <xsl:value-of select="cbc:TaxableAmount"/>
                                                </xsl:with-param>
                                            </xsl:call-template>
                                            <span class="box-text">
                                                <xsl:text>  </xsl:text>
                                                <xsl:value-of select="cbc:TaxableAmount/@currencyID"
                                                />
                                            </span>
                                        </div>
                                    </td>
                                    <td rowspan="1" colspan="2"
                                        class="in-cell-base  in-cell-data-center">
                                        <div>
                                            <span class="box-text">
                                                <xsl:if test="cac:TaxCategory/cbc:Percent">
                                                  <span class="box-text">
                                                  <xsl:apply-templates mode="line"
                                                  select="cac:TaxCategory/cbc:Percent"/>% </span>
                                                </xsl:if>
                                                <xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReasonCode or cac:TaxCategory/cbc:TaxExemptionReason)">
                                                  <div align="left">
                                                  <span class="box-text"> Esentasse<xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReason)">,
                                                  causale esenzione: "<xsl:apply-templates
                                                  mode="line"
                                                  select="cac:TaxCategory/cbc:TaxExemptionReason"/>" </xsl:if>
                                                  <xsl:if
                                                  test="(cac:TaxCategory/cbc:TaxExemptionReasonCode)"
                                                  > (codice causale esenzione: <xsl:apply-templates
                                                  mode="line"
                                                  select="cac:TaxCategory/cbc:TaxExemptionReasonCode"
                                                  />) </xsl:if>
                                                  </span>
                                                  </div>
                                                </xsl:if>
                                            </span>
                                        </div>
                                    </td>
                                    <td rowspan="1" colspan="2"
                                        class="in-cell-base  in-cell-data-center">
                                        <div>
                                            <span class="box-text">
                                                <xsl:call-template name="format-amount">
                                                  <xsl:with-param name="amount">
                                                  <xsl:value-of select="cbc:TaxAmount"/>
                                                  </xsl:with-param>
                                                </xsl:call-template>
                                            </span>
                                            <span class="box-text">
                                                <xsl:text>  </xsl:text>
                                                <xsl:value-of select="cbc:TaxAmount/@currencyID"/>
                                            </span>
                                        </div>
                                    </td>
                                    <td rowspan="1" colspan="2"
                                        class="in-cell-base  in-cell-data-center">
                                        <div class="box-text" align="right">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount">
                                                  <xsl:value-of
                                                  select="(cbc:TaxAmount + cbc:TaxableAmount)"/>
                                                </xsl:with-param>
                                            </xsl:call-template>
                                            <span class="box-text">
                                                <xsl:text>  </xsl:text>
                                                <xsl:value-of select="cbc:TaxableAmount/@currencyID"
                                                />
                                            </span>
                                        </div>
                                    </td>
                                </tr>
                            </xsl:for-each>

                            <tr valign="top">
                                <td class="in-counter-cell">
                                    <span> </span>
                                </td>
                            </tr>
                        </xsl:for-each>

                        <!-- Totali fattura -->
                        <tr valign="top">
                            <td class="in-counter-cell subtitle-text" colspan="7">
                                <span>Totali</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td colspan="2"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Totale Imponibile</span>
                            </td>
                            <td colspan="4"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Totale imposte</span>
                            </td>
                            <td colspan="2"
                                class="in-cell-base in-cell-data-center in-cell-filler-background">
                                <span class="in-box-label">Totale da pagare</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td colspan="2" class="in-cell-base in-cell-data-center">
                                <div class="box-text" align="right">
                                    <xsl:call-template name="format-amount">
                                        <xsl:with-param name="amount">
                                            <xsl:value-of
                                                select="(/in:Invoice/cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount)"
                                            />
                                        </xsl:with-param>
                                    </xsl:call-template>
                                    <span class="box-text">
                                        <xsl:text>  </xsl:text>
                                        <xsl:value-of
                                            select="/in:Invoice/cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount/@currencyID"
                                        />
                                    </span>
                                </div>
                            </td>
                            <td colspan="4" class="in-cell-base in-cell-data-center">
                                <div class="box-text" align="right">
                                    <xsl:call-template name="format-amount">
                                        <xsl:with-param name="amount">
                                            <xsl:value-of
                                                select="/in:Invoice/cac:TaxTotal/cbc:TaxAmount"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                    <span class="box-text">
                                        <xsl:text>  </xsl:text>
                                        <xsl:value-of
                                            select="/in:Invoice/cac:TaxTotal/cbc:TaxAmount/@currencyID"
                                        />
                                    </span>
                                </div>
                            </td>
                            <td colspan="2" class="in-cell-base in-cell-data-center">
                                <div class="box-text" align="right">
                                    <xsl:call-template name="format-amount">
                                        <xsl:with-param name="amount">
                                            <xsl:value-of
                                                select="/in:Invoice/cac:LegalMonetaryTotal/cbc:PayableAmount"
                                            />
                                        </xsl:with-param>
                                    </xsl:call-template>
                                    <xsl:text>  </xsl:text>
                                    <span class="box-text">
                                        <xsl:value-of
                                            select="/in:Invoice/cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"
                                        />
                                    </span>
                                </div>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td class="in-counter-cell">
                                <span> </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="in-id">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cbc:ID"/>
        </span>
    </xsl:template>

    <xsl:template name="in-date">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cbc:IssueDate"/>
        </span>
    </xsl:template>
    <xsl:template name="in-currency">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cbc:DocumentCurrencyCode"/>
        </span>
    </xsl:template>

    <xsl:template name="po-customer-id">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cac:OrderReference/cbc:ID"/>
        </span>
    </xsl:template>

    <xsl:template name="po-date">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cac:OrderReference/cbc:IssueDate"/>
        </span>
    </xsl:template>

    <xsl:template name="in-note">
        <span class="box-text">
            <xsl:apply-templates mode="line" select="/in:Invoice/cbc:Note"/>
        </span>
    </xsl:template>

    <xsl:template name="in-supplier">
        <xsl:call-template name="in-party">
            <xsl:with-param name="party" select="/in:Invoice/cac:AccountingSupplierParty/cac:Party"
            />
        </xsl:call-template>
    </xsl:template>
    <xsl:template name="in-customer">
        <xsl:call-template name="in-party">
            <xsl:with-param name="party" select="/in:Invoice/cac:AccountingCustomerParty/cac:Party"
            />
        </xsl:call-template>
    </xsl:template>
    <xsl:template name="in-party">
        <xsl:param name="party"/>
        <div class="box-text">
            <span class="box-text">
                <xsl:value-of select="$party/cac:PartyName/cbc:Name"/>
            </span>
        </div>
        <div class="box-text">
            <span class="box-text">
                <xsl:value-of select="$party/cac:PostalAddress/cbc:StreetName"/>
            </span>
        </div>
        <div class="box-text">
            <span class="box-text">
                <xsl:value-of select="$party/cac:PostalAddress/cbc:PostalZone"/>
            </span>
            <span class="box-text">
                <xsl:text>, </xsl:text>
                <xsl:value-of select="$party/cac:PostalAddress/cbc:CityName"/>
                <xsl:text> (</xsl:text><xsl:value-of
                    select="$party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>) </span>
        </div>
        <div class="box-text">
            <span class="box-text">P. IVA <xsl:value-of
                    select="$party/cac:PartyTaxScheme/cbc:CompanyID"/>
            </span>
        </div>
    </xsl:template>
    <xsl:template name="format-amount">
        <xsl:param name="amount"/>
        <span nowrap="nowrap">
            <xsl:value-of select="format-number($amount, '#.###,00', 'number')"/>
        </span>
    </xsl:template>
</xsl:stylesheet>
