/**
 * This file is part of FatturazioneElettronica
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * 
*
 *
 */
package it.fe.ws.unimore;

import it.fe.core.ejb.unimore.cia.UnimoreCIAGenericDAO;

import java.util.ArrayList;
import java.util.HashMap;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import org.apache.log4j.Logger;

@Stateless
@Remote(CIAIntegration.class)
@WebService
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT) 
public class CIAIntegrationBean implements CIAIntegration {
	
	private static Logger logger = Logger.getLogger(CIAIntegrationBean.class);

	@WebMethod
	public <T> ArrayList<T> findByParameters(Class<T> clazz, HashMap<String, Object> parameters) {
		return (ArrayList<T>) UnimoreCIAGenericDAO.findByParameters(clazz, parameters);
	}

	@WebMethod
	public <T> ArrayList<T> findByNativeQuery(Class<T> clazz, String query) {
		return (ArrayList<T>) UnimoreCIAGenericDAO.findByNativeQuery(clazz, query);
	}

	@WebMethod
	public String[] invokeStoredProcedure(Long code, String CIACode) {
		return UnimoreCIAGenericDAO.invokeStoredProcedure(code, CIACode);
	}

	@WebMethod
	public String test(String test) {
		logger.info(test);
		return test;
	}

}
