/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.common.utils.liferay.action;

import it.fe.core.par.user.ProfileDetail;

import java.util.Set;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;

import com.liferay.portal.kernel.events.Action;
import com.liferay.portal.kernel.events.ActionException;

/**
 * @author fulvio
 * 
*
 * 
 * By now, just a proof of concept of what kind of information can be accessed after login
 *
 */
public class SessionAttributesSetupAction extends Action {
	
	private Logger logger = Logger.getLogger(SessionAttributesSetupAction.class);

	@SuppressWarnings("unchecked")
	public void run(HttpServletRequest request, HttpServletResponse response)
			throws ActionException {
		
		try {
			
			logger.info("Setting user session attributes");
			
			HttpSession session = request.getSession();
			
			if(session != null) {
				
				Set<ProfileDetail> profileDetailSet = (Set<ProfileDetail>) session.getAttribute("FE_SHARED_USERPROFILEDETAIL");
				session.removeAttribute("FE_SHARED_USERPROFILEDETAIL");
				
				if( profileDetailSet!=null && !profileDetailSet.isEmpty() ) {
					int index = 1;
					for(ProfileDetail pd : profileDetailSet) {
						logger.info("Setting HttpSession SharedAttribute FE_SHARED_USERPROFILEDETAIL_"+index+"; "+pd.getContext().getDescription()+" - "+pd.getRole().getDescription());
						session.setAttribute("FE_SHARED_USERPROFILEDETAIL_"+index, pd);
						index++;
					}
				}
				
			}
			
		} catch (Exception e) {
			throw new ActionException(e);
		}

	}

}
